#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x778e30b9, "__SCT__tp_func_kvm_cr" },
	{ 0x996af740, "kvm_init_shadow_ept_mmu" },
	{ 0xff358fb0, "kvm_emulate_monitor" },
	{ 0xfd81f1f1, "__tracepoint_kvm_pml_full" },
	{ 0xab0f9c1, "kvm_requeue_exception_e" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xe2951403, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x5c7e9f84, "__SCT__tp_func_kvm_apicv_accept_irq" },
	{ 0x3c312a53, "kvm_gfn_to_hva_cache_init" },
	{ 0xaec4bc47, "kvm_lmsw" },
	{ 0x3ef2f595, "x86_perf_get_lbr" },
	{ 0xbb26c2ae, "kvm_lapic_set_eoi" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xc96d35f4, "report_ignored_msrs" },
	{ 0xc73d4131, "kvm_queue_exception" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9df90355, "kvm_emulate_halt_noskip" },
	{ 0xf4802f9e, "kvm_emulate_rdmsr" },
	{ 0x793ac193, "__SCT__tp_func_ipi_send_cpu" },
	{ 0xe59f5550, "__tracepoint_kvm_apicv_accept_irq" },
	{ 0x195d751f, "__tracepoint_kvm_pi_irte_update" },
	{ 0x618911fc, "numa_node" },
	{ 0x3f90b22f, "const_pcpu_hot" },
	{ 0x8b618aa6, "__SCT__tp_func_kvm_nested_vmexit_inject" },
	{ 0x8e32a842, "kvm_vcpu_unmap" },
	{ 0x351ab410, "kvm_write_guest_page" },
	{ 0xc287d96a, "kvm_set_posted_intr_wakeup_handler" },
	{ 0x9f7581f9, "__free_pages" },
	{ 0xbaf9d785, "__tss_limit_invalid" },
	{ 0x7fe19488, "kvm_add_user_return_msr" },
	{ 0x3e39d447, "__SCT__apic_call_send_IPI_self" },
	{ 0x7b1fba0d, "__SCT__apic_call_send_IPI_mask" },
	{ 0x970d53f, "kvm_valid_efer" },
	{ 0x820a8792, "__tracepoint_ipi_send_cpu" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x35d0573, "__SCK__tp_func_kvm_pi_irte_update" },
	{ 0x7cd21ac7, "__SCK__tp_func_kvm_apicv_accept_irq" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x76690475, "__SCK__tp_func_kvm_entry" },
	{ 0x9c26144, "kvm_read_guest_offset_cached" },
	{ 0x3a68c7d7, "kvm_handle_invpcid" },
	{ 0xd070219c, "__tracepoint_kvm_entry" },
	{ 0x283728a5, "kvm_load_host_xsave_state" },
	{ 0x6e256860, "__tracepoint_kvm_page_fault" },
	{ 0xa99e3bc4, "kvm_mmu_free_roots" },
	{ 0x9a2c088f, "irq_stat" },
	{ 0x2e2df7f4, "irq_remapping_cap" },
	{ 0x13e458af, "kvm_queue_exception_p" },
	{ 0x9f81061a, "kvm_read_l1_tsc" },
	{ 0x8c341c48, "current_save_fsgs" },
	{ 0x65eb619f, "kvm_vcpu_deliver_sipi_vector" },
	{ 0x8346aac1, "__tracepoint_kvm_inj_virq" },
	{ 0x49608959, "migrate_disable" },
	{ 0x45a9413, "kvm_cpu_has_interrupt" },
	{ 0x6243ac82, "__kvm_apic_update_irr" },
	{ 0x53499dd5, "handle_fastpath_set_msr_irqoff" },
	{ 0x35bba257, "kvm_apic_update_ppr" },
	{ 0x6cdc8d1, "kvm_configure_mmu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x5a14c301, "kvm_make_all_cpus_request" },
	{ 0x11f1cff1, "__srcu_read_lock" },
	{ 0x2b08b773, "pmc_write_counter" },
	{ 0x35fa0c8c, "kvm_apic_update_irr" },
	{ 0x205ad6de, "kvm_init_mmu" },
	{ 0x3ce7234, "sched_smt_present" },
	{ 0x6f2088f1, "kvm_emulate_wbinvd" },
	{ 0x1139a3bc, "kvm_set_cr3" },
	{ 0x696d7e0b, "l1tf_mitigation" },
	{ 0x72721130, "kvm_update_cpuid_runtime" },
	{ 0x8c4fded2, "sgx_virt_einit" },
	{ 0x92d308d1, "__ct_user_enter" },
	{ 0x666f26f3, "__SCK__kvm_x86_get_cs_db_l_bits" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3b91db5b, "intel_pt_handle_vmx" },
	{ 0x37a71152, "__SCK__tp_func_kvm_page_fault" },
	{ 0x5ea4fa9f, "kvm_alloc_apic_access_page" },
	{ 0x2b31a0db, "kvm_get_cr8" },
	{ 0x6636c3c9, "irq_set_vcpu_affinity" },
	{ 0x388e0e10, "__SCT__tp_func_kvm_pi_irte_update" },
	{ 0xa9759ff0, "vcpu_load" },
	{ 0x4324eeba, "__SCK__tp_func_ipi_send_cpu" },
	{ 0x3b5d2838, "kvm_handle_memory_failure" },
	{ 0x62a1c432, "kvm_set_dr" },
	{ 0x4351af03, "kvm_set_msi_irq" },
	{ 0x828c7afc, "kvm_emulate_hypercall" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x31c45b8c, "mds_verw_sel" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x709cd8cb, "kvm_spurious_fault" },
	{ 0x732ba17e, "kvm_inject_emulated_page_fault" },
	{ 0xa270f756, "kvm_get_linear_rip" },
	{ 0x8228252e, "kvm_prepare_emulation_failure_exit" },
	{ 0x2a5c0933, "x86_cpu_to_apicid" },
	{ 0xb58a11d, "kvm_nr_uret_msrs" },
	{ 0x644d4458, "__kvm_prepare_emulation_failure_exit" },
	{ 0x68952493, "rcu_note_context_switch" },
	{ 0x43ccd689, "kvm_get_msr" },
	{ 0x29c9164, "load_pdptrs" },
	{ 0x18b2907a, "kvm_get_running_vcpu" },
	{ 0xe3e88acb, "__get_current_cr3_fast" },
	{ 0x5d0113e0, "x86_pred_cmd" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x5d2516f, "kvm_vcpu_read_guest_page" },
	{ 0x5d996b31, "kvm_set_cpu_caps" },
	{ 0xfb578fc5, "memset" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0xe66a6f02, "hv_track_root_tdp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf2df48f3, "__SCT__tp_func_kvm_pml_full" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x9d4894c8, "x2apic_mode" },
	{ 0x5b67f2a3, "kvm_set_cr4" },
	{ 0x9f4ee3f0, "__SCK__tp_func_kvm_exit" },
	{ 0x49a99333, "kvm_handle_page_fault" },
	{ 0x95609b26, "context_tracking_key" },
	{ 0x6303c089, "kvm_calc_nested_tsc_offset" },
	{ 0xad43fc4c, "kvm_cpu_caps" },
	{ 0x2d82cc24, "kvm_spec_ctrl_test_value" },
	{ 0x616e6c95, "__SCT__tp_func_kvm_exit" },
	{ 0x9acd3f6f, "get_cpu_entry_area" },
	{ 0x130dec9d, "kvm_apic_clear_irr" },
	{ 0x5f5e9f5, "__x86_set_memory_region" },
	{ 0xe5fc026, "kvm_load_guest_xsave_state" },
	{ 0xf7445d2a, "kvm_set_cr0" },
	{ 0x68a12ab8, "rep_movs_alternative" },
	{ 0xcd34d78f, "__kvm_is_valid_cr4" },
	{ 0xb4f7575f, "kvm_mmu_free_guest_mode_roots" },
	{ 0x4f80e319, "__ct_user_exit" },
	{ 0xc14e01c6, "pv_ops" },
	{ 0x74720479, "kvm_set_cr8" },
	{ 0x8bc4fe6, "kvm_get_dr" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb637410, "cr4_update_irqsoff" },
	{ 0xc575c737, "debug_locks_off" },
	{ 0x44aaf30f, "tsc_khz" },
	{ 0x169ee2cc, "kvm_mmu_page_fault" },
	{ 0x41d9f0ad, "clear_bhb_loop" },
	{ 0xd932bfb8, "__SCK__tp_func_kvm_nested_vmexit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xbc92596d, "intel_pt_validate_cap" },
	{ 0xb62dbd7, "param_ops_bool" },
	{ 0xe7ef7126, "kvm_emulate_instruction" },
	{ 0xa6729c43, "cpu_info" },
	{ 0xef14fd98, "kvm_calc_nested_tsc_multiplier" },
	{ 0xd72a625f, "__SCK__tp_func_kvm_pml_full" },
	{ 0xbb934066, "kvm_pmu_trigger_event" },
	{ 0x12be43f7, "kvm_mmu_reset_context" },
	{ 0x585e4b0d, "kvm_get_apic_mode" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd6aa15e9, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x50b03f5d, "l1tf_vmx_mitigation" },
	{ 0x6e33bc4b, "kvm_vcpu_read_guest" },
	{ 0x56470118, "__warn_printk" },
	{ 0x623a465e, "kvm_vcpu_on_spin" },
	{ 0xcb9997a, "__SCK__tp_func_kvm_fast_mmio" },
	{ 0x71537b53, "kvm_read_guest" },
	{ 0x858798ad, "__hrtimer_get_remaining" },
	{ 0x2b2d353c, "kvm_write_guest_cached" },
	{ 0x3a2ec721, "gfn_to_pfn_memslot" },
	{ 0xaa4b457e, "__srcu_read_unlock" },
	{ 0x60a3ac45, "kvm_vcpu_wake_up" },
	{ 0xdfb62b1b, "ms_hyperv" },
	{ 0x485cd7f6, "kvm_rebooting" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x7b1bd496, "kvm_get_rflags" },
	{ 0xcf0a2783, "kvm_queue_exception_e" },
	{ 0xa2d0b59d, "mmio_stale_data_clear" },
	{ 0xe9dc51c5, "cpu_emergency_register_virt_callback" },
	{ 0x6becaded, "__SCT__tp_func_kvm_inj_virq" },
	{ 0x299b5f56, "alloc_pages_noprof" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x3a3c6d55, "__tracepoint_kvm_exit" },
	{ 0xb4c3d877, "kvm_emulate_cpuid" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0x616953ad, "kvm_emulate_wrmsr" },
	{ 0xa9ed396f, "__SCK__tp_func_kvm_inj_virq" },
	{ 0x7e77ddf0, "kvm_apic_set_eoi_accelerated" },
	{ 0xaa0f65ba, "kvm_find_cpuid_entry_index" },
	{ 0x6d2c9437, "__SCT__tp_func_kvm_nested_vmenter" },
	{ 0xf49a06ea, "kvm_vcpu_kick" },
	{ 0x59387ba3, "__SCT__kvm_x86_cache_reg" },
	{ 0x97e5e5de, "kvm_inject_realmode_interrupt" },
	{ 0x4e3e247, "kvm_mmu_invlpg" },
	{ 0x96d001f, "kvm_emulate_invd" },
	{ 0xb958db47, "kvm_fast_pio" },
	{ 0x69ad6ac1, "cpu_emergency_unregister_virt_callback" },
	{ 0x39ccd0ad, "__SCK__tp_func_kvm_ple_window_update" },
	{ 0x8ca6f5e9, "kvm_set_msr_common" },
	{ 0x91a3c95d, "kvm_mmu_invalidate_addr" },
	{ 0xe93dfc8c, "__SCT__tp_func_kvm_nested_vmenter_failed" },
	{ 0xf5b52d5c, "hv_vp_assist_page" },
	{ 0x59a10752, "__SCK__tp_func_kvm_nested_vmexit_inject" },
	{ 0xd6df01f7, "perf_get_hw_event_config" },
	{ 0x36c75b4e, "context_tracking" },
	{ 0xa1948f43, "kvm_intr_is_single_vcpu" },
	{ 0x1ba68d47, "perf_event_release_kernel" },
	{ 0x6f23ba32, "kvm_apic_has_interrupt" },
	{ 0x3f510ff5, "kvm_has_noapic_vcpu" },
	{ 0x17add64b, "gdt_page" },
	{ 0xf1cd8929, "kvm_read_and_reset_apf_flags" },
	{ 0x9b9744fd, "kvm_emulate_rdpmc" },
	{ 0x93a3e40e, "__SCT__tp_func_kvm_ple_window_update" },
	{ 0xb6f1adde, "param_ops_int" },
	{ 0xcef40e1a, "__tracepoint_kvm_nested_vmexit_inject" },
	{ 0x4e3fd1b4, "kvm_release_pfn_clean" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7ff2a104, "__SCT__tp_func_kvm_page_fault" },
	{ 0x6714cecf, "kvm_require_dr" },
	{ 0x7bcea3, "kvm_skip_emulated_instruction" },
	{ 0x5bf7cde0, "kvm_mmu_set_ept_masks" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x9f519133, "kvm_handle_invalid_op" },
	{ 0xffb1e7ca, "kvm_cpu_get_interrupt" },
	{ 0xcf509080, "kvm_caps" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xdb8245fe, "kvm_vcpu_write_guest" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x25145a3, "hv_flush_remote_tlbs_range" },
	{ 0xc89424, "kvm_complete_insn_gp" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf045c6bd, "kmalloc_caches" },
	{ 0x646963f9, "kvm_mmu_print_sptes" },
	{ 0xea69d7d7, "asm_exc_nmi_kvm_vmx" },
	{ 0xc1c69c57, "kvm_apic_write_nodecode" },
	{ 0x808a8088, "handle_guest_split_lock" },
	{ 0x9cf59e7a, "allow_smaller_maxphyaddr" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xa89b8aba, "__SCK__kvm_x86_cache_reg" },
	{ 0x73838bee, "kvm_x86_vendor_init" },
	{ 0x573e9b05, "__tracepoint_kvm_ple_window_update" },
	{ 0xbc82e2ab, "vcpu_put" },
	{ 0x3a79834a, "kvm_arch_has_assigned_device" },
	{ 0xb580f37c, "kvm_vcpu_mark_page_dirty" },
	{ 0x6228c21f, "smp_call_function_single" },
	{ 0x32e4d1e0, "sgx_virt_ecreate" },
	{ 0x9d14205c, "cr4_read_shadow" },
	{ 0xb8bdeb6e, "kvm_host" },
	{ 0x3ab2794c, "kvm_find_user_return_msr" },
	{ 0x6988d0ca, "cpu_dr7" },
	{ 0xb82c0987, "enable_pmu" },
	{ 0x8d82586c, "kvm_requeue_exception" },
	{ 0xd416cfec, "perf_guest_get_msrs" },
	{ 0x7f103df7, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x53d9f927, "__SCT__kvm_x86_get_cs_db_l_bits" },
	{ 0x5f2d4a27, "__SCK__tp_func_kvm_nested_vmenter_failed" },
	{ 0xd475c188, "kvm_pmu_cap" },
	{ 0x27046576, "kvm_exit" },
	{ 0xd8d56398, "kvm_vcpu_gfn_to_hva" },
	{ 0x6f850de2, "kvm_init" },
	{ 0xf767ca35, "fixed_percpu_data" },
	{ 0xa83ec59, "kvm_set_msr" },
	{ 0x580b2ed4, "kvm_deliver_exception_payload" },
	{ 0xc071e99f, "__SCT__tp_func_kvm_entry" },
	{ 0x305a916c, "__x86_indirect_thunk_rdi" },
	{ 0x396aeac, "__tracepoint_kvm_nested_vmexit" },
	{ 0x1db1c372, "enable_vmware_backdoor" },
	{ 0x1d013832, "kvm_enable_efer_bits" },
	{ 0xeeb5add9, "__tracepoint_kvm_nested_vmenter" },
	{ 0xf881cecd, "load_fixmap_gdt" },
	{ 0x2510fc6d, "__SCT__tp_func_kvm_nested_vmexit" },
	{ 0xebab0e58, "perf_event_create_kernel_counter" },
	{ 0xbd9d6dfc, "kvm_mmu_set_me_spte_mask" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x338e80e9, "hrtimer_try_to_cancel" },
	{ 0xe85df3b0, "kvm_lapic_expired_hv_timer" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x27df0312, "kvm_emulate_xsetbv" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xfbfb9678, "kvm_fixup_and_inject_pf_error" },
	{ 0x47362bc6, "__SCK__tp_func_kvm_cr" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x97de2b83, "debug_locks_silent" },
	{ 0x7446b86e, "kvm_vcpu_write_guest_page" },
	{ 0xb4503362, "do_machine_check" },
	{ 0xce576a13, "enable_apicv" },
	{ 0x34c20d07, "kvm_read_guest_cached" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x3681b09a, "handle_ud" },
	{ 0xd7fe7fcd, "kvm_mmu_new_pgd" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xab456fca, "kvm_mmu_gva_to_gpa_read" },
	{ 0x27bdd68c, "__tracepoint_kvm_nested_vmenter_failed" },
	{ 0x4da14229, "kvm_get_msr_common" },
	{ 0x76ed1849, "smp_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xa7340509, "asm_fred_entry_from_kvm" },
	{ 0x3dfdbc06, "__tracepoint_kvm_fast_mmio" },
	{ 0xf4b5ddb5, "__SCK__tp_func_kvm_nested_vmenter" },
	{ 0xe943b4fc, "pcpu_hot" },
	{ 0x553778b3, "kvm_arch_has_noncoherent_dma" },
	{ 0x1df37b64, "kvm_hv_get_assist_page" },
	{ 0x6340434e, "x86_model" },
	{ 0x8b07bba2, "kvm_emulate_halt" },
	{ 0xfcc16c54, "kvm_pmu_eventsel" },
	{ 0x3323ec79, "kvm_emulate_mwait" },
	{ 0xa7d4063b, "kvm_vcpu_map" },
	{ 0x52350d43, "kvm_lapic_readable_reg_mask" },
	{ 0x1318990b, "kvm_msr_allowed" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xb255e924, "kvm_service_local_tlb_flush_requests" },
	{ 0x2656e66d, "kvm_lapic_find_highest_irr" },
	{ 0xf21a0e5c, "kvm_mmu_gva_to_gpa_write" },
	{ 0x687b78fc, "kvm_x86_vendor_exit" },
	{ 0xea821a8e, "kvm_wait_lapic_expire" },
	{ 0x5b115fab, "hv_flush_remote_tlbs" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x45a929b7, "perf_event_read_value" },
	{ 0x9493fc86, "node_states" },
	{ 0xfed9b806, "kvm_write_guest_virt_system" },
	{ 0x61b443f8, "x86_spec_ctrl_current" },
	{ 0xffbcc554, "kvm_find_cpuid_entry" },
	{ 0x3b5ee9c3, "kvm_task_switch" },
	{ 0xea5cda33, "__SCT__tp_func_kvm_fast_mmio" },
	{ 0x76647d1, "kvm_read_guest_virt" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7b31ae8e, "__tracepoint_kvm_cr" },
	{ 0xcc8c0b21, "kvm_io_bus_write" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x53614ec, "kvm_set_user_return_msr" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x9b1fd079, "module_layout" },
};

MODULE_INFO(depends, "kvm");

MODULE_ALIAS("cpu:type:x86,ven*fam*mod*:feature:*0085*");

MODULE_INFO(srcversion, "C1BB718A6952F2BC4B83EB2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
