#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0x14f4089b, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0x34a6f2ff, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0xf44355ff, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0xb8b7731a, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0x0bda967f, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0x43a47b6e, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0xad6ba042, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0x06c70b48, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0xb536c185, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0xc29948a4, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0x996fe104, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0x00fbc70d, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0xd812bdb8, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0x7945d16d, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0xb30b94b3, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0xd5780cef, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0xf69ad971, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0xdbf27360, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0xc66567f2, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0x211f9298, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0x1b9c02bd, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0xba213f59, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0x97cae306, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0x14386d69, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0xb6e37737, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0xe3945408, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0xf272ed7a, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0x2dc1a3d0, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0xadcaf1f0, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0x4069015c, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0x541b1616, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdeecbf63, "kthread_queue_work" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa51c770b, "_dev_warn" },
	{ 0xe50bb142, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x56b7465b, "kthread_create_worker" },
	{ 0x2a9ffdc4, "_dev_err" },
	{ 0x8861636e, "_dev_info" },
	{ 0xbb5be885, "sched_set_fifo" },
	{ 0x8176e511, "crypto_register_aead" },
	{ 0xac2961f, "crypto_unregister_aead" },
	{ 0xdc958265, "crypto_register_ahash" },
	{ 0xc671d511, "crypto_unregister_ahash" },
	{ 0xdb71e639, "crypto_register_akcipher" },
	{ 0xfb8fc537, "crypto_unregister_akcipher" },
	{ 0x40195b7d, "crypto_register_kpp" },
	{ 0x4f9d9c79, "crypto_unregister_kpp" },
	{ 0xde6dfe44, "crypto_register_skcipher" },
	{ 0x7afc59c6, "crypto_unregister_skcipher" },
	{ 0x5114eee8, "crypto_enqueue_request" },
	{ 0x64204183, "crypto_dequeue_request" },
	{ 0x53884973, "crypto_enqueue_request_head" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6eb1876b, "kthread_destroy_worker" },
	{ 0x9b1fd079, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "34AAA044EF2676298B039B6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
