#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x391cbcd5, "mlx5_set_port_caps" },
	{ 0xdc0c2b35, "rdma_user_mmap_entry_get_pgoff" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xafc29d8e, "mlx5_del_flow_rules" },
	{ 0xe944f1ce, "ib_umem_odp_unmap_dma_pages" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x2eed802f, "mlx5_core_modify_sq" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x4174d419, "ib_umem_dmabuf_get" },
	{ 0xbbff973, "mlx5_query_hca_vport_system_image_guid" },
	{ 0x4a8fc081, "mlx5_core_query_sq_state" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xb7f200e0, "debugfs_create_ulong" },
	{ 0xbb7e146e, "mlx5_core_query_vport_counter" },
	{ 0xe78a544a, "ib_uverbs_get_ucontext_file" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0x3a9b2f18, "__ib_create_cq" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xcbd0205f, "mlx5_query_port_max_mtu" },
	{ 0x66d45589, "ib_destroy_qp_user" },
	{ 0x5fb55fb4, "_uverbs_get_const_signed" },
	{ 0xebcb89b2, "mlx5_query_hca_vport_gid" },
	{ 0x9cac6156, "mlx5_frag_buf_free" },
	{ 0x38d5b6e4, "mlx5_nic_vport_disable_roce" },
	{ 0x7da85b81, "uverbs_fd_class" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x658a639, "macsec_netdev_is_offloaded" },
	{ 0x55c5003f, "mlx5_notifier_unregister" },
	{ 0xfb578fc5, "memset" },
	{ 0xa51c770b, "_dev_warn" },
	{ 0xe5ad0cad, "mlx5_create_lag_demux_flow_table" },
	{ 0xbbbe865, "mlx5_cmd_exec_cb" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0x9a008544, "mlx5_lag_get_num_ports" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xc12f4ce7, "mlx5_rl_remove_rate" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x25fcf5de, "debugfs_create_u32" },
	{ 0xe6f77a25, "mlx5_eswitch_register_vport_reps" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x9015182c, "mlx5_core_modify_cq" },
	{ 0x3d08fdcc, "mlx5_macsec_add_roce_rule" },
	{ 0xece784c2, "rb_first" },
	{ 0x3fee6c33, "mlx5_eswitch_vport_match_metadata_enabled" },
	{ 0x896b3ab8, "ib_dealloc_device" },
	{ 0x9d6711b6, "mlx5_blocking_notifier_unregister" },
	{ 0x54c4706d, "mlx5_fc_query" },
	{ 0xdb36a95, "ib_destroy_cq_user" },
	{ 0x5c0aa173, "rdma_user_mmap_io" },
	{ 0x1239417d, "skb_trim" },
	{ 0x4412ded9, "__mmdrop" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x3c15a578, "ib_modify_qp" },
	{ 0x5bcba2f7, "mlx5_eswitch_get_core_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f7f7bb4, "irq_poll_disable" },
	{ 0x43699686, "rdma_user_mmap_entry_insert_range" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xc14e01c6, "pv_ops" },
	{ 0x5a560bf2, "ib_umem_dmabuf_get_pinned" },
	{ 0xe5840ec6, "ib_wc_status_msg" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xfb328063, "ib_umem_dmabuf_unmap_pages" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x3da50661, "mlx5_eswitch_get_proto_dev" },
	{ 0xa23ab45f, "debugfs_create_file" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xcf830c13, "uverbs_copy_to_struct_or_zero" },
	{ 0x93c9aab9, "rdma_find_gid" },
	{ 0x2f4a2962, "ib_uverbs_flow_resources_free" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6a2fe30, "ib_umem_odp_map_dma_and_lock" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0x4c80b6da, "ib_free_cq" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x47e739fc, "mlx5_eq_notifier_unregister" },
	{ 0x6e7ea532, "mlx5_comp_eqn_get" },
	{ 0xb298a742, "mlx5_query_port_vl_hw_cap" },
	{ 0x109c1773, "__dma_sync_single_for_device" },
	{ 0x139cd824, "mlx5_query_hca_vport_pkey" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xcab16535, "mlx5_core_uplink_netdev_event_replay" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x6d0c8d10, "mlx5_frag_buf_alloc_node" },
	{ 0x42852286, "netdev_master_upper_dev_get_rcu" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd6aa15e9, "__kmalloc_cache_noprof" },
	{ 0x9db6416c, "netdev_master_upper_dev_get" },
	{ 0xa5cf2e6c, "_uverbs_alloc" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb6e55730, "mlx5_fc_destroy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf68688da, "mlx5_lag_is_master" },
	{ 0x77525cd0, "mlx5_nic_vport_unaffiliate_multiport" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xbec7ea61, "mlx5_query_hca_vport_context" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2b3b35af, "ib_query_pkey" },
	{ 0x238ce9f9, "uverbs_uobject_put" },
	{ 0x6b01502b, "mlx5_core_roce_gid_set" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xb633f115, "irq_poll_enable" },
	{ 0x7cc01ed, "mlx5_query_port_oper_mtu" },
	{ 0xc0557482, "mlx5_nic_vport_enable_roce" },
	{ 0x6b59ab18, "ib_port_immutable_read" },
	{ 0x299b5f56, "alloc_pages_noprof" },
	{ 0xfc6a32d1, "ib_create_qp_kernel" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0x592ffe, "uverbs_copy_to" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xca9beaa4, "__xa_store" },
	{ 0xc7c346e4, "mlx5_blocking_notifier_register" },
	{ 0x743cb731, "flow_resources_add" },
	{ 0xc1177ce2, "mlx5_core_modify_rq" },
	{ 0xacf9a40a, "mlx5_core_query_mkey" },
	{ 0x70497825, "__auxiliary_driver_register" },
	{ 0x110789dc, "mlx5_db_alloc_node" },
	{ 0xab6d4245, "rdma_nl_stat_hwcounter_entry" },
	{ 0xae76a6b3, "uverbs_destroy_def_handler" },
	{ 0xb66343, "mlx5_qp_debugfs_init" },
	{ 0xa0e68e79, "ib_dealloc_pd_user" },
	{ 0xc7afdba4, "mlx5_core_modify_tis" },
	{ 0xee4e6208, "mlx5_core_mp_event_replay" },
	{ 0x3a0c4e15, "mlx5_comp_vectors_max" },
	{ 0xeaa57a56, "mlx5_create_cq" },
	{ 0x94476a23, "rdma_port_get_link_layer" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x42b43a38, "mlx5_macsec_del_roce_rule" },
	{ 0x1edacc4a, "mlx5_eswitch_get_total_vports" },
	{ 0x14e1fe05, "mlx5_core_destroy_cq" },
	{ 0x389ad775, "mlx5_core_reserved_gids_count" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xb268500e, "mlx5_debugfs_root" },
	{ 0x35e78431, "mlx5_core_modify_cq_moderation" },
	{ 0x26d51ed0, "ib_umem_copy_from" },
	{ 0xcc43f1c5, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc158934d, "mlx5_qp_debugfs_cleanup" },
	{ 0xe4055de6, "mlx5_eq_disable" },
	{ 0xf334481e, "mlx5_cmd_cleanup_async_ctx" },
	{ 0xab7fb6e3, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x23bb3f50, "mlx5_create_flow_table" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x7dfaebbf, "mlx5_rl_remove_rate_raw" },
	{ 0xd673f78d, "rdma_roce_rescan_device" },
	{ 0xb28dbbe8, "mlx5_destroy_flow_group" },
	{ 0x41a24f40, "mlx5_alloc_bfreg" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x12117a4d, "mlx5_eq_destroy_generic" },
	{ 0xb2f7c556, "rdma_nl_put_driver_string" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce97be7, "mlx5_lag_is_active" },
	{ 0x69b050a7, "mlx5_free_bfreg" },
	{ 0xf045c6bd, "kmalloc_caches" },
	{ 0x54efe882, "mlx5_cmd_destroy_vport_lag" },
	{ 0x32389a73, "ib_set_device_ops" },
	{ 0xda88d0c3, "rdma_user_mmap_entry_put" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x31df2bbc, "mlx5_core_access_reg" },
	{ 0x72460c4, "mlx5_fill_page_frag_array" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd4cc1636, "mlx5_eswitch_add_send_to_vport_rule" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf24a43a, "mlx5_modify_header_alloc" },
	{ 0xda800fd, "mlx5_dm_sw_icm_dealloc" },
	{ 0xbd109230, "ib_umem_release" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x563f66da, "mlx5_db_free" },
	{ 0x12ab66f4, "mlx5_core_destroy_mkey" },
	{ 0x1ef89ef4, "mlx5_eswitch_mode" },
	{ 0xdb1a86d6, "mlx5_cmd_check" },
	{ 0x680e3cfd, "__rdma_block_iter_start" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x4d82ae87, "mlx5_lag_is_roce" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x6a52f8cf, "mlx5_rl_add_rate_raw" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x94fd3c42, "mlx5_lag_query_cong_counters" },
	{ 0x3ea28052, "uverbs_get_flags32" },
	{ 0x5609bdc2, "mlx5_rsc_dump_cmd_create" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xed55d063, "uverbs_idr_class" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x82fa59c, "mlx5_core_destroy_psv" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xb35dc69e, "mlx5_eq_enable" },
	{ 0xa85e04b7, "mlx5_flow_table_id" },
	{ 0x7e727033, "rdma_read_gid_l2_fields" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x6c843ca8, "__ib_alloc_pd" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4edcad64, "mlx5_lag_get_next_peer_mdev" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xad6815cd, "mlx5_rsc_dump_cmd_destroy" },
	{ 0x853f39f0, "register_netdevice_notifier_dev_net" },
	{ 0xe3721847, "dma_unmap_page_attrs" },
	{ 0x6ec8921d, "mlx5_query_nic_vport_qkey_viol_cntr" },
	{ 0xab62888d, "ib_modify_qp_is_ok" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x2e81df94, "mlx5_nic_vport_update_local_lb" },
	{ 0xcf2a6966, "up" },
	{ 0xeb31219d, "ww_mutex_unlock" },
	{ 0x61492bb7, "mlx5_rl_are_equal" },
	{ 0x5c6e2b0d, "mlx5_create_flow_group" },
	{ 0x8b069a33, "uverbs_uobject_fd_release" },
	{ 0xdc737990, "debugfs_create_atomic_t" },
	{ 0x41ad4c36, "mlx5_core_create_psv" },
	{ 0x47baa65a, "ib_umem_find_best_pgsz" },
	{ 0xe5b16b6e, "mlx5_core_modify_hca_vport_context" },
	{ 0xf981efc6, "mlx5_rl_add_rate" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x9fae48e3, "mlx5_eq_update_ci" },
	{ 0x888a2246, "mlx5_create_auto_grouped_flow_table" },
	{ 0x419d2ed8, "mlx5_core_create_mkey" },
	{ 0x69399f01, "mlx5_cmd_do" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf98ca2c3, "mlx5_debug_qp_add" },
	{ 0x4f7e268b, "ib_sg_to_pages" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x61373fd2, "__rdma_block_iter_next" },
	{ 0x37a0cba, "kfree" },
	{ 0x44aa09aa, "mlx5_fc_create" },
	{ 0xea082cfd, "mlx5_cmd_out_err" },
	{ 0x49566105, "mlx5_macsec_add_roce_sa_rules" },
	{ 0x2927307e, "mlx5_core_create_rqt" },
	{ 0xa47c7d61, "mlx5_core_query_vendor_id" },
	{ 0xb47e150c, "mlx5_query_hca_vport_node_guid" },
	{ 0x8a08fcbd, "mlx5_modify_header_dealloc" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x18b0981d, "ib_umem_odp_alloc_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf4390cf, "mlx5_lag_is_sriov" },
	{ 0xccb5617f, "ib_process_cq_direct" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xd850f9e8, "mlx5_lag_is_mpesw" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x7561b11, "uverbs_finalize_uobj_create" },
	{ 0x9e71d683, "get_device" },
	{ 0xd5012ebd, "mlx5_eswitch_get_encap_mode" },
	{ 0x74902b5e, "mlx5_rsc_dump_next" },
	{ 0x810c8a04, "ib_query_qp" },
	{ 0xd3354a6, "rdma_alloc_hw_stats_struct" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x7c930fc7, "_ib_alloc_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xf15ef131, "__dynamic_dev_dbg" },
	{ 0xdf77118e, "mlx5_debugfs_get_dev_root" },
	{ 0x26140d6b, "flow_resources_alloc" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xaa09cff9, "mlx5_core_query_rq" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xde88b5a6, "mlx5_packet_reformat_dealloc" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf47b2b10, "ib_umem_odp_alloc_implicit" },
	{ 0x299bbe29, "dev_driver_string" },
	{ 0x4e0c038a, "ib_destroy_srq_user" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0x3f994c0, "ib_unregister_device" },
	{ 0x608ebbff, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x12f97561, "dma_map_page_attrs" },
	{ 0xee48e96e, "auxiliary_driver_unregister" },
	{ 0x7774c918, "mlx5_cmd_exec" },
	{ 0x4b4d0154, "mlx5_eq_get_eqe" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x5578fd59, "mlx5_rdma_rn_get_params" },
	{ 0x1000e51, "schedule" },
	{ 0xdb75b25a, "mlx5_wc_support_get" },
	{ 0x3cab6022, "ib_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xaeb2b49b, "put_device" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xf1be6b61, "mlx5_lag_mode_is_hash" },
	{ 0x33b157d9, "mlx5_debug_qp_remove" },
	{ 0x62107f8, "pcie_relaxed_ordering_enabled" },
	{ 0x3f90b22f, "const_pcpu_hot" },
	{ 0xc6b6d64b, "mlx5_eq_notifier_register" },
	{ 0x9f7581f9, "__free_pages" },
	{ 0xfc7b05cb, "mlx5_core_create_tis" },
	{ 0x2fc7677, "mlx5_nic_vport_affiliate_multiport" },
	{ 0x8861636e, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0xc6cbbc89, "capable" },
	{ 0x8d9cc9d6, "mlx5_cmd_create_vport_lag" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x8734aa34, "mlx5_query_min_inline" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x242c738b, "mlx5_core_create_rq" },
	{ 0x6d03980e, "mlx5_eswitch_get_vport_metadata_for_match" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xbb2dcac0, "mlx5_packet_reformat_alloc" },
	{ 0x66732af8, "ib_create_srq_user" },
	{ 0x810e34e7, "rdma_user_mmap_entry_remove" },
	{ 0x2bdfb938, "_uverbs_get_const_unsigned" },
	{ 0xd60a7e04, "unregister_netdevice_notifier_dev_net" },
	{ 0x262d2663, "ib_dispatch_event" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0x5c2b241a, "vm_insert_page" },
	{ 0xc1f5cf0e, "mlx5_lag_is_shared_fdb" },
	{ 0xa21507a9, "ib_umem_odp_release" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x7e4cb1d3, "mlx5_query_nic_vport_system_image_guid" },
	{ 0x5b1b2e3b, "__dma_sync_single_for_cpu" },
	{ 0x592fb3b0, "mlx5_eswitch_unregister_vport_reps" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xed69e826, "mlx5_notifier_register" },
	{ 0x55fe1632, "mlx5_core_create_cq" },
	{ 0x390b982c, "mlx5_macsec_del_roce_sa_rules" },
	{ 0x57bc19d2, "down_write" },
	{ 0xc525b185, "mlx5_dm_sw_icm_alloc" },
	{ 0x2a9ffdc4, "_dev_err" },
	{ 0xec9c6f74, "mlx5_is_roce_on" },
	{ 0xce807a25, "up_write" },
	{ 0x1b072904, "mlx5_lag_get_roce_netdev" },
	{ 0x11511c7c, "mlx5_add_flow_rules" },
	{ 0xd9fc3f8c, "simple_open" },
	{ 0xcc002b85, "mlx5_destroy_flow_table" },
	{ 0x572d4bc0, "mlx5_eswitch_uplink_get_proto_dev" },
	{ 0xb4b7ae4e, "mlx5_get_flow_namespace" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x96eb2c99, "mlx5_fc_id" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xec20e289, "rdma_put_gid_attr" },
	{ 0x9e7db7a2, "ib_umem_odp_get" },
	{ 0x6626afca, "down" },
	{ 0xe6d3064c, "mlx5_query_port_ptys" },
	{ 0xe2758617, "ib_umem_get" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x24183f4a, "mlx5_cmd_init_async_ctx" },
	{ 0xbe96596e, "mlx5_eq_create_generic" },
	{ 0x43498a52, "mlx5_put_uars_page" },
	{ 0x8d89e087, "mlx5_lag_get_slave_port" },
	{ 0x18cd68f4, "ib_umem_dmabuf_map_pages" },
	{ 0x226d04ca, "mlx5_get_uars_page" },
	{ 0xb4942be2, "debugfs_remove" },
	{ 0x9d57b254, "mlx5_query_ib_port_oper" },
	{ 0xf94947b3, "ib_query_port" },
	{ 0x359d2374, "__ib_alloc_cq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x3991ed53, "mlx5_query_nic_vport_node_guid" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0xef03dfcd, "ww_mutex_lock" },
	{ 0x9b1fd079, "module_layout" },
};

MODULE_INFO(depends, "mlx5_core,ib_core,ib_uverbs,macsec");

MODULE_ALIAS("auxiliary:mlx5_core.multiport");
MODULE_ALIAS("auxiliary:mlx5_core.rdma");
MODULE_ALIAS("auxiliary:mlx5_core.rdma-rep");

MODULE_INFO(srcversion, "6C4FF2DEE79E8072D6F85E9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
