#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cx231xx_get_i2c_adap, "_gpl", "");
KSYMTAB_FUNC(cx231xx_tuner_callback, "_gpl", "");
KSYMTAB_FUNC(cx231xx_register_extension, "", "");
KSYMTAB_FUNC(cx231xx_unregister_extension, "", "");
KSYMTAB_FUNC(cx231xx_send_usb_command, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_alt_setting, "_gpl", "");
KSYMTAB_FUNC(cx231xx_demod_reset, "_gpl", "");
KSYMTAB_FUNC(is_fw_load, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_mode, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_init, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_uninit, "_gpl", "");
KSYMTAB_FUNC(cx231xx_send_gpio_cmd, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_disable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_unmute_audio, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable_i2c_port_3, "_gpl", "");
KSYMTAB_FUNC(cx231xx_capture_start, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_vbi_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_vbi_isoc, "_gpl", "");

SYMBOL_CRC(cx231xx_get_i2c_adap, 0xcbce396c, "_gpl");
SYMBOL_CRC(cx231xx_tuner_callback, 0x017ea7c7, "_gpl");
SYMBOL_CRC(cx231xx_register_extension, 0xeb3dcbe6, "");
SYMBOL_CRC(cx231xx_unregister_extension, 0x1c3c1a08, "");
SYMBOL_CRC(cx231xx_send_usb_command, 0xcfe7e22a, "_gpl");
SYMBOL_CRC(cx231xx_set_alt_setting, 0x882989ea, "_gpl");
SYMBOL_CRC(cx231xx_demod_reset, 0x4f5c5867, "_gpl");
SYMBOL_CRC(is_fw_load, 0xa48cd657, "_gpl");
SYMBOL_CRC(cx231xx_set_mode, 0x60bf2d08, "_gpl");
SYMBOL_CRC(cx231xx_uninit_isoc, 0xb230ea11, "_gpl");
SYMBOL_CRC(cx231xx_uninit_bulk, 0x343538d9, "_gpl");
SYMBOL_CRC(cx231xx_init_isoc, 0x24f7c3fa, "_gpl");
SYMBOL_CRC(cx231xx_init_bulk, 0x70753927, "_gpl");
SYMBOL_CRC(cx231xx_dev_init, 0x4618db34, "_gpl");
SYMBOL_CRC(cx231xx_dev_uninit, 0x82790a41, "_gpl");
SYMBOL_CRC(cx231xx_send_gpio_cmd, 0x965d0cd3, "_gpl");
SYMBOL_CRC(cx231xx_enable656, 0xfe600d93, "_gpl");
SYMBOL_CRC(cx231xx_disable656, 0xf148e0b9, "_gpl");
SYMBOL_CRC(cx231xx_unmute_audio, 0x6e8e93d5, "_gpl");
SYMBOL_CRC(cx231xx_enable_i2c_port_3, 0x343548af, "_gpl");
SYMBOL_CRC(cx231xx_capture_start, 0x739b72b9, "_gpl");
SYMBOL_CRC(cx231xx_uninit_vbi_isoc, 0xe5c3db00, "_gpl");
SYMBOL_CRC(cx231xx_init_vbi_isoc, 0x4edb2744, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x3b99e659, "usb_clear_halt" },
	{ 0x71d8a4ac, "usb_put_dev" },
	{ 0xd01be628, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x35eec0ef, "video_devdata" },
	{ 0x9a58d126, "vb2_fop_release" },
	{ 0xf6ee3cce, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0x4ff3f895, "usb_get_dev" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf33362aa, "usb_submit_urb" },
	{ 0x8861636e, "_dev_info" },
	{ 0x98f50f87, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x7297e017, "media_device_register_entity" },
	{ 0xac4c0af1, "media_device_cleanup" },
	{ 0x3be37f3b, "vb2_ioctl_dqbuf" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x2a9ffdc4, "_dev_err" },
	{ 0x3019be4, "i2c_unregister_device" },
	{ 0xbc23b784, "usb_free_coherent" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbc5fab02, "usb_control_msg" },
	{ 0x265ee60d, "vb2_buffer_done" },
	{ 0x4f39e739, "vb2_plane_vaddr" },
	{ 0x97310848, "v4l2_ctrl_subscribe_event" },
	{ 0x1e4da47b, "usb_set_interface" },
	{ 0xe61a66de, "media_entity_pads_init" },
	{ 0xedaf6271, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x951cb973, "i2c_new_client_device" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xf9fc2750, "usb_deregister" },
	{ 0xe7d9ca88, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc93f034f, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc543e0f1, "v4l2_s_ctrl" },
	{ 0x3e2d09dc, "i2c_mux_alloc" },
	{ 0x40ba28e2, "vb2_vmalloc_memops" },
	{ 0xfb578fc5, "memset" },
	{ 0xa51c770b, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xd6b1b121, "vb2_fop_read" },
	{ 0x2e10d95f, "v4l2_device_register" },
	{ 0xed2fb4f9, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb1045a85, "rc_allocate_device" },
	{ 0xc14e01c6, "pv_ops" },
	{ 0x27e1fc41, "usb_unlink_urb" },
	{ 0x94fa14a7, "media_entity_setup_link" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4af989d0, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xceacde94, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd6aa15e9, "__kmalloc_cache_noprof" },
	{ 0xa1dd798a, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x7f65b800, "vb2_ioctl_streamon" },
	{ 0x6ad4ad8c, "v4l2_mc_create_media_graph" },
	{ 0xf4299d17, "vb2_fop_poll" },
	{ 0xc8934a38, "cx2341x_handler_init" },
	{ 0x4a949394, "cx2341x_handler_set_50hz" },
	{ 0x3818d547, "__media_device_usb_init" },
	{ 0x3dd26b9d, "v4l2_ctrl_handler_free" },
	{ 0x5612dbcf, "i2c_transfer" },
	{ 0x3ccaef0, "v4l2_device_unregister" },
	{ 0x25fdf6b4, "usb_reset_endpoint" },
	{ 0x3731a489, "i2c_mux_del_adapters" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xda3e35d9, "v4l2_subdev_call_wrappers" },
	{ 0x582c4a2e, "v4l2_ctrl_log_status" },
	{ 0xfe26c5ca, "v4l2_i2c_new_subdev" },
	{ 0xb6f1adde, "param_ops_int" },
	{ 0xe325d132, "video_device_release_empty" },
	{ 0x75ebc9a, "i2c_mux_add_adapter" },
	{ 0x5e1e6eb0, "_vb2_fop_release" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe12d7e7a, "v4l2_event_unsubscribe" },
	{ 0xf045c6bd, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd3e9e1cd, "vb2_ioctl_reqbufs" },
	{ 0x9eca91c8, "vb2_queue_init" },
	{ 0xf15dc32a, "usb_alloc_urb" },
	{ 0x72a987f7, "v4l2_ctrl_poll" },
	{ 0x3ea9c856, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7714c5c0, "media_device_unregister" },
	{ 0x63dd30a2, "usb_free_urb" },
	{ 0xe50bb142, "devm_kmalloc" },
	{ 0xc1a38871, "vb2_ioctl_streamoff" },
	{ 0x9555f40b, "v4l2_ctrl_radio_filter" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x64722b7f, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe563b2d1, "v4l2_ctrl_add_handler" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xcd202010, "request_firmware" },
	{ 0xad4de08, "vb2_ops_wait_finish" },
	{ 0xf0bf2554, "usb_register_driver" },
	{ 0x42f1226e, "v4l2_ctrl_handler_init_class" },
	{ 0xb9833210, "param_array_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x69a9ac01, "__media_device_register" },
	{ 0xa80eab3e, "vb2_ioctl_querybuf" },
	{ 0x217ec95a, "i2c_transfer_buffer_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0xee508915, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xf15ef131, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9b1fd079, "module_layout" },
};

MODULE_INFO(depends, "usbcore,videodev,videobuf2-v4l2,cx2341x,mc,videobuf2-common,i2c-mux,videobuf2-vmalloc,rc-core,tveeprom");

MODULE_ALIAS("usb:v1D19p6109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p5A3Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A4d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A5d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p589Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A0d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07CApC039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB124d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB151d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB150d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB138d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pC200d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p0259d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p025Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5010d400[0-1]dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5014d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE424d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE421d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0237d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FD9p0037d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CCDp00A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pD3B2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15F4p0135d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v199Ep8002d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "B08B6CDBAF0D4E5F4D985D2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
