#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe3274203, "mpt_get_msg_frame" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa798cb19, "mpt_put_msg_frame" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x51281e58, "mpt_HardResetHandler" },
	{ 0x86488b9f, "mpt_free_msg_frame" },
	{ 0xf82575be, "scsi_is_host_device" },
	{ 0x1ea463c5, "dma_alloc_attrs" },
	{ 0xe702017d, "mpt_config" },
	{ 0xaa905042, "dma_free_attrs" },
	{ 0x9dde8274, "scsi_device_lookup_by_target" },
	{ 0xbe60ca77, "sdev_prefix_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcc43f1c5, "_dev_printk" },
	{ 0x9747637b, "mptscsih_slave_destroy" },
	{ 0x29b81b67, "mptscsih_event_process" },
	{ 0xf045c6bd, "kmalloc_caches" },
	{ 0xd6aa15e9, "__kmalloc_cache_noprof" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa1afb8fe, "mptscsih_resume" },
	{ 0x521ea2da, "mptscsih_ioc_reset" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc3e5fe8c, "spi_dv_device" },
	{ 0x9db8d1a5, "spi_display_xfer_agreement" },
	{ 0xeb7bacd6, "__scsi_iterate_devices" },
	{ 0xa77fd0f2, "mptscsih_slave_configure" },
	{ 0xdc16dacf, "mpt_findImVolumes" },
	{ 0xfee29d4d, "scsi_scan_target" },
	{ 0x1f4e035e, "mptscsih_raid_id_to_num" },
	{ 0xfe64dfb0, "mptscsih_suspend" },
	{ 0x2f46e1c9, "mptscsih_shutdown" },
	{ 0xc30ac19f, "mptscsih_info" },
	{ 0xe3f787e5, "mptscsih_abort" },
	{ 0xc5cd6708, "mptscsih_dev_reset" },
	{ 0xcd9f6274, "mptscsih_bus_reset" },
	{ 0x6d8fbf4a, "mptscsih_host_reset" },
	{ 0x9f775eb1, "mptscsih_change_queue_depth" },
	{ 0x31ef393e, "mptscsih_bios_param" },
	{ 0x7a47bee5, "mptscsih_show_info" },
	{ 0x3817f40f, "mptscsih_host_attr_groups" },
	{ 0xb6f1adde, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x9293df05, "spi_attach_transport" },
	{ 0xfdde075e, "mptscsih_io_done" },
	{ 0xfbcf3ac7, "mpt_register" },
	{ 0x85c8b296, "mptscsih_taskmgmt_complete" },
	{ 0x9fd9330a, "mptscsih_scandv_complete" },
	{ 0xd8b8db0d, "mpt_event_register" },
	{ 0x468b28e3, "mpt_reset_register" },
	{ 0x48649caa, "__pci_register_driver" },
	{ 0x18dc8792, "spi_release_transport" },
	{ 0x37a0cba, "kfree" },
	{ 0x13f1bcf2, "scsi_remove_host" },
	{ 0xd95c86b1, "mptscsih_remove" },
	{ 0xee411393, "mptscsih_qcmd" },
	{ 0x501fb329, "mptscsih_is_phys_disk" },
	{ 0x644594dd, "scsi_done" },
	{ 0xe3b8bbdb, "pci_unregister_driver" },
	{ 0x610b257e, "mpt_reset_deregister" },
	{ 0xe6c1e126, "mpt_event_deregister" },
	{ 0x981efe92, "mpt_deregister" },
	{ 0x4e0027f9, "mpt_attach" },
	{ 0x4ee3d657, "scsi_host_alloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x47411450, "scsi_add_host_with_dma" },
	{ 0x3bad4b0a, "scsi_scan_host" },
	{ 0x518fc0ce, "mptscsih_IssueTaskMgmt" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9b1fd079, "module_layout" },
};

MODULE_INFO(depends, "mptbase,scsi_mod,mptscsih,scsi_transport_spi");

MODULE_ALIAS("pci:v00001000d00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000117Cd00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000040sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "A3A275A6992ADA1E98A2DC3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
