#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtsx_usb_transfer_data, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_read_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_write_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_ep0_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_ep0_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_add_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_send_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_get_rsp, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_get_card_status, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_switch_clock, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_card_exclusive_check, "_gpl", "");

SYMBOL_CRC(rtsx_usb_transfer_data, 0x8e76f5fa, "_gpl");
SYMBOL_CRC(rtsx_usb_read_ppbuf, 0x9f5ba3ab, "_gpl");
SYMBOL_CRC(rtsx_usb_write_ppbuf, 0x4ff234ad, "_gpl");
SYMBOL_CRC(rtsx_usb_ep0_write_register, 0x43cf5bc8, "_gpl");
SYMBOL_CRC(rtsx_usb_ep0_read_register, 0x4bf5d2ea, "_gpl");
SYMBOL_CRC(rtsx_usb_add_cmd, 0x07c9adf8, "_gpl");
SYMBOL_CRC(rtsx_usb_send_cmd, 0x234e234b, "_gpl");
SYMBOL_CRC(rtsx_usb_get_rsp, 0x0c254820, "_gpl");
SYMBOL_CRC(rtsx_usb_get_card_status, 0x87d89517, "_gpl");
SYMBOL_CRC(rtsx_usb_write_register, 0x766d1de8, "_gpl");
SYMBOL_CRC(rtsx_usb_read_register, 0x10ae400b, "_gpl");
SYMBOL_CRC(rtsx_usb_switch_clock, 0x2f162bf6, "_gpl");
SYMBOL_CRC(rtsx_usb_card_exclusive_check, 0x41223405, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd01be628, "usb_bulk_msg" },
	{ 0x16eca888, "usb_sg_init" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2ec3e3a8, "usb_sg_wait" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf15ef131, "__dynamic_dev_dbg" },
	{ 0xbc5fab02, "usb_control_msg" },
	{ 0xf0bf2554, "usb_register_driver" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf7a6dbbc, "device_for_each_child" },
	{ 0x34f828d9, "__pm_runtime_resume" },
	{ 0x4f96fc0f, "mfd_remove_devices" },
	{ 0x37a0cba, "kfree" },
	{ 0xc1ddebf6, "usb_sg_cancel" },
	{ 0xf9fc2750, "usb_deregister" },
	{ 0xf045c6bd, "kmalloc_caches" },
	{ 0xd6aa15e9, "__kmalloc_cache_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xe50bb142, "devm_kmalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe0437f97, "mfd_add_devices" },
	{ 0x8d0594bc, "usb_enable_autosuspend" },
	{ 0xb6f1adde, "param_ops_int" },
	{ 0x9b1fd079, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v0BDAp0129d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp0139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp0140d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "F8F3F966F72D56F16FF3485");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
