#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe01c03d4, "netif_rx" },
	{ 0x830e8ad, "can_bus_off" },
	{ 0x736c584b, "usb_unanchor_urb" },
	{ 0xb589ea7, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8b215f4f, "driver_for_each_device" },
	{ 0xd6aa15e9, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdcf5ca92, "alloc_can_err_skb" },
	{ 0x6db927cd, "register_candev" },
	{ 0xf045c6bd, "kmalloc_caches" },
	{ 0xccdf8d75, "netdev_info" },
	{ 0xf15dc32a, "usb_alloc_urb" },
	{ 0x8dbb896d, "usb_anchor_urb" },
	{ 0x63dd30a2, "usb_free_urb" },
	{ 0x9f0f9f2, "can_free_echo_skb" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x381c0aa9, "can_put_echo_skb" },
	{ 0x6a5153b8, "consume_skb" },
	{ 0xbd390fe8, "can_get_echo_skb" },
	{ 0xcbb0154b, "alloc_canfd_skb" },
	{ 0xf0bf2554, "usb_register_driver" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x9e3578db, "netdev_warn" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xfc5cd1ed, "open_candev" },
	{ 0xfb792bbf, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd01be628, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8f42b0f2, "alloc_can_skb" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0xa916b694, "strnlen" },
	{ 0x3752a37a, "netif_device_detach" },
	{ 0xb96665c, "unregister_candev" },
	{ 0x3f90b22f, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf33362aa, "usb_submit_urb" },
	{ 0x8861636e, "_dev_info" },
	{ 0x7b3032a2, "can_change_state" },
	{ 0xfc0658f, "can_change_mtu" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xef71c81b, "can_dropped_invalid_skb" },
	{ 0x2a9ffdc4, "_dev_err" },
	{ 0x6f001925, "free_candev" },
	{ 0xd6fa4e5a, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb2ec183c, "alloc_candev_mqs" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0xec119a76, "netdev_printk" },
	{ 0xbc5fab02, "usb_control_msg" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0xf9fc2750, "usb_deregister" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x72ca517d, "netif_tx_wake_queue" },
	{ 0x40956176, "close_candev" },
	{ 0xfb578fc5, "memset" },
	{ 0xa51c770b, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9b1fd079, "module_layout" },
};

MODULE_INFO(depends, "can-dev,usbcore");

MODULE_ALIAS("usb:v0C72p000Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0013d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0014d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "B978D19D894F279E2B92CAA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
