#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(be_roce_mcc_cmd, "", "");
KSYMTAB_FUNC(be_roce_register_driver, "", "");
KSYMTAB_FUNC(be_roce_unregister_driver, "", "");

SYMBOL_CRC(be_roce_mcc_cmd, 0x4e2e10d2, "");
SYMBOL_CRC(be_roce_register_driver, 0xe6e2a75e, "");
SYMBOL_CRC(be_roce_unregister_driver, 0x5ff749a2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xacce7432, "netif_set_real_num_rx_queues" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbd9aa0c8, "skb_push" },
	{ 0x1ea463c5, "dma_alloc_attrs" },
	{ 0x9a3d49ba, "napi_enable" },
	{ 0x59422cbc, "netif_receive_skb" },
	{ 0xa38e7d94, "register_netdev" },
	{ 0xf1084858, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfd23655a, "__put_devmap_managed_folio_refs" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x32036195, "ethtool_op_get_link" },
	{ 0x61a5969, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe654ffd6, "pci_iounmap" },
	{ 0x8062392f, "pci_restore_state" },
	{ 0x72ca517d, "netif_tx_wake_queue" },
	{ 0x9c0e3322, "devm_hwmon_device_register_with_groups" },
	{ 0xa51c770b, "_dev_warn" },
	{ 0x83bd2109, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xccc4dbd9, "__pskb_pull_tail" },
	{ 0x7b8f8479, "netif_tx_lock" },
	{ 0xd6bb53f1, "__netdev_alloc_skb" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb112f9af, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xaa905042, "dma_free_attrs" },
	{ 0x570fdc92, "pci_enable_wake" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb0129ed4, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xeb74f9a0, "__folio_put" },
	{ 0xd6aa15e9, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x54f506a2, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdd108f2b, "skb_clone" },
	{ 0x491df063, "__hw_addr_sync_dev" },
	{ 0x793927d6, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x1ac1f855, "netif_carrier_on" },
	{ 0x8bac4970, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x299b5f56, "alloc_pages_noprof" },
	{ 0xa809ab93, "pci_disable_device" },
	{ 0xbff2a14c, "dma_set_mask" },
	{ 0xa199f1f7, "netif_set_tso_max_size" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xde42d260, "napi_schedule_prep" },
	{ 0x34598e80, "pci_sriov_set_totalvfs" },
	{ 0x754d539c, "strlen" },
	{ 0xc384020f, "napi_disable" },
	{ 0xb5f0b884, "dev_kfree_skb_any_reason" },
	{ 0xcc43f1c5, "_dev_printk" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4ec8f355, "pci_enable_sriov" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7bb98ad2, "pci_write_config_dword" },
	{ 0xf045c6bd, "kmalloc_caches" },
	{ 0xccdf8d75, "netdev_info" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3d612469, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x14d7c950, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xcadf62de, "__skb_pad" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x934c5e43, "napi_gro_frags" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe891fd65, "skb_copy_bits" },
	{ 0x7f103df7, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x49f06f0c, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xf75c34a3, "param_ops_ushort" },
	{ 0x6a5153b8, "consume_skb" },
	{ 0x3b113723, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0xab5eedf7, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x62232280, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4eabd3d8, "ndo_dflt_bridge_getlink" },
	{ 0x17b92d24, "unregister_netdev" },
	{ 0xee328a7c, "napi_get_frags" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe3721847, "dma_unmap_page_attrs" },
	{ 0xcd202010, "request_firmware" },
	{ 0x48649caa, "__pci_register_driver" },
	{ 0xda0aa4be, "pci_num_vf" },
	{ 0x874ca037, "pci_request_regions" },
	{ 0xadd1b272, "___pskb_trim" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x19214498, "pci_sriov_get_totalvfs" },
	{ 0xe943b4fc, "pcpu_hot" },
	{ 0xcffdd48c, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x88b7c9d2, "udp_tunnel_nic_ops" },
	{ 0xb28e5c49, "__netif_napi_del" },
	{ 0x919558da, "netif_tx_unlock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xe3b8bbdb, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd63695dc, "pskb_expand_head" },
	{ 0x299bbe29, "dev_driver_string" },
	{ 0xf00cf7a5, "dev_addr_mod" },
	{ 0x882c5e46, "eth_type_trans" },
	{ 0xd260e423, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x12f97561, "dma_map_page_attrs" },
	{ 0x39ce247e, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5bb6e321, "__napi_schedule" },
	{ 0xb0c698c1, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x3752a37a, "netif_device_detach" },
	{ 0x6cfbda57, "__hw_addr_unsync_dev" },
	{ 0x8861636e, "_dev_info" },
	{ 0xc6404d0, "netif_device_attach" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x5b1b2e3b, "__dma_sync_single_for_cpu" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x2a9ffdc4, "_dev_err" },
	{ 0x443deb57, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xb135a8a9, "netif_set_real_num_tx_queues" },
	{ 0xd6fa4e5a, "sk_skb_reason_drop" },
	{ 0x9b1fd079, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000019A2d00000211sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000700sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000221sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000710sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E228sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000720sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000728sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F1AAA0630FCD34E8E47C270");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
