#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fun_submit_admin_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(fun_get_res_count, "_gpl", "");
KSYMTAB_FUNC(fun_res_destroy, "_gpl", "");
KSYMTAB_FUNC(fun_bind, "_gpl", "");
KSYMTAB_FUNC(fun_reserve_irqs, "", "");
KSYMTAB_FUNC(fun_release_irqs, "", "");
KSYMTAB_FUNC(fun_serv_stop, "_gpl", "");
KSYMTAB_FUNC(fun_serv_restart, "_gpl", "");
KSYMTAB_FUNC(fun_serv_sched, "_gpl", "");
KSYMTAB_FUNC(fun_dev_disable, "", "");
KSYMTAB_FUNC(fun_dev_enable, "", "");
KSYMTAB_FUNC(fun_alloc_ring_mem, "_gpl", "");
KSYMTAB_FUNC(fun_free_ring_mem, "_gpl", "");
KSYMTAB_FUNC(fun_sq_create, "_gpl", "");
KSYMTAB_FUNC(fun_cq_create, "_gpl", "");

SYMBOL_CRC(fun_submit_admin_sync_cmd, 0x0d013418, "_gpl");
SYMBOL_CRC(fun_get_res_count, 0x6ab1948b, "_gpl");
SYMBOL_CRC(fun_res_destroy, 0x00c33e57, "_gpl");
SYMBOL_CRC(fun_bind, 0xeef099f2, "_gpl");
SYMBOL_CRC(fun_reserve_irqs, 0xcbbfb755, "");
SYMBOL_CRC(fun_release_irqs, 0x6f94d11c, "");
SYMBOL_CRC(fun_serv_stop, 0xbd0dd926, "_gpl");
SYMBOL_CRC(fun_serv_restart, 0xace78919, "_gpl");
SYMBOL_CRC(fun_serv_sched, 0x2f7ab37a, "_gpl");
SYMBOL_CRC(fun_dev_disable, 0x751944bd, "");
SYMBOL_CRC(fun_dev_enable, 0x2563c453, "");
SYMBOL_CRC(fun_alloc_ring_mem, 0xbd27a3b0, "_gpl");
SYMBOL_CRC(fun_free_ring_mem, 0xf52b91b2, "_gpl");
SYMBOL_CRC(fun_sq_create, 0xaa45aa7e, "_gpl");
SYMBOL_CRC(fun_cq_create, 0xee6409c6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x11ba099b, "pci_release_selected_regions" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x870422af, "pci_enable_device_mem" },
	{ 0x5f08dde5, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe3721847, "dma_unmap_page_attrs" },
	{ 0xedc03953, "iounmap" },
	{ 0x17f4e86e, "sbitmap_queue_wake_all" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe943b4fc, "pcpu_hot" },
	{ 0xc6276ea6, "pci_irq_vector" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xf15ef131, "__dynamic_dev_dbg" },
	{ 0xd0df140b, "pci_ioremap_bar" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x288f427c, "sbitmap_queue_init_node" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x12f97561, "dma_map_page_attrs" },
	{ 0xe2951403, "__alloc_pages_noprof" },
	{ 0x9b2c6b1a, "sbitmap_prepare_to_wait" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x618911fc, "numa_node" },
	{ 0x3f90b22f, "const_pcpu_hot" },
	{ 0x8861636e, "_dev_info" },
	{ 0xeab77f54, "pci_select_bars" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x5b1b2e3b, "__dma_sync_single_for_cpu" },
	{ 0x2a9ffdc4, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x1ea463c5, "dma_alloc_attrs" },
	{ 0x112df548, "sbitmap_queue_clear" },
	{ 0xfd23655a, "__put_devmap_managed_folio_refs" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x83bd2109, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb112f9af, "dma_set_coherent_mask" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xaa905042, "dma_free_attrs" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xfbcff4f6, "sbitmap_finish_wait" },
	{ 0x109c1773, "__dma_sync_single_for_device" },
	{ 0x606a8052, "pcie_print_link_status" },
	{ 0xeb74f9a0, "__folio_put" },
	{ 0xd6aa15e9, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xa809ab93, "pci_disable_device" },
	{ 0xbff2a14c, "dma_set_mask" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xabf1b35b, "__sbitmap_queue_get" },
	{ 0x7fedb2b2, "pci_free_irq_vectors" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf045c6bd, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x14d7c950, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc7f3ac67, "pci_msix_vec_count" },
	{ 0xbb3a3186, "pci_request_selected_regions" },
	{ 0x9b1fd079, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B834C245229F619B0CF1B21");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
