#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ocelot_mact_learn, "", "");
KSYMTAB_FUNC(ocelot_mact_forget, "", "");
KSYMTAB_FUNC(ocelot_mact_lookup, "", "");
KSYMTAB_FUNC(ocelot_mact_learn_streamdata, "", "");
KSYMTAB_FUNC(ocelot_pll5_init, "", "");
KSYMTAB_FUNC(ocelot_bridge_num_find, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_vlan_filtering, "", "");
KSYMTAB_FUNC(ocelot_vlan_prepare, "", "");
KSYMTAB_FUNC(ocelot_vlan_add, "", "");
KSYMTAB_FUNC(ocelot_vlan_del, "", "");
KSYMTAB_FUNC(ocelot_port_configure_serdes, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_config, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_link_down, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_link_up, "_gpl", "");
KSYMTAB_FUNC(ocelot_ptp_rx_timestamp, "", "");
KSYMTAB_FUNC(ocelot_lock_inj_grp, "_gpl", "");
KSYMTAB_FUNC(ocelot_unlock_inj_grp, "_gpl", "");
KSYMTAB_FUNC(ocelot_lock_xtr_grp, "_gpl", "");
KSYMTAB_FUNC(ocelot_unlock_xtr_grp, "_gpl", "");
KSYMTAB_FUNC(ocelot_lock_xtr_grp_bh, "_gpl", "");
KSYMTAB_FUNC(ocelot_unlock_xtr_grp_bh, "_gpl", "");
KSYMTAB_FUNC(ocelot_xtr_poll_frame, "", "");
KSYMTAB_FUNC(ocelot_can_inject, "", "");
KSYMTAB_FUNC(ocelot_ifh_set_basic, "", "");
KSYMTAB_FUNC(ocelot_port_inject_frame, "", "");
KSYMTAB_FUNC(ocelot_drain_cpu_queue, "", "");
KSYMTAB_FUNC(ocelot_fdb_add, "", "");
KSYMTAB_FUNC(ocelot_fdb_del, "", "");
KSYMTAB_FUNC(ocelot_mact_flush, "_gpl", "");
KSYMTAB_FUNC(ocelot_fdb_dump, "", "");
KSYMTAB_FUNC(ocelot_bond_get_id, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_assigned_dsa_8021q_cpu_mask, "_gpl", "");
KSYMTAB_FUNC(ocelot_get_bridge_fwd_mask, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_setup_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_teardown_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_assign_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_unassign_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_bridge_stp_state_set, "", "");
KSYMTAB_FUNC(ocelot_set_ageing_time, "", "");
KSYMTAB_FUNC(ocelot_port_mdb_add, "", "");
KSYMTAB_FUNC(ocelot_port_mdb_del, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_join, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_leave, "", "");
KSYMTAB_FUNC(ocelot_migrate_mdbs, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_lag_join, "", "");
KSYMTAB_FUNC(ocelot_port_lag_leave, "", "");
KSYMTAB_FUNC(ocelot_port_lag_change, "", "");
KSYMTAB_FUNC(ocelot_lag_fdb_add, "_gpl", "");
KSYMTAB_FUNC(ocelot_lag_fdb_del, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_maxlen, "", "");
KSYMTAB_FUNC(ocelot_get_max_mtu, "", "");
KSYMTAB_FUNC(ocelot_port_pre_bridge_flags, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_flags, "", "");
KSYMTAB_FUNC(ocelot_port_get_default_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_default_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_add_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_del_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mirror_add, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mirror_del, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mqprio, "_gpl", "");
KSYMTAB_FUNC(ocelot_init_port, "", "");
KSYMTAB_FUNC(ocelot_reset, "", "");
KSYMTAB_FUNC(ocelot_init, "", "");
KSYMTAB_FUNC(ocelot_deinit, "", "");
KSYMTAB_FUNC(ocelot_deinit_port, "", "");
KSYMTAB_FUNC(ocelot_wm_enc, "", "");
KSYMTAB_FUNC(ocelot_wm_dec, "", "");
KSYMTAB_FUNC(ocelot_wm_stat, "", "");
KSYMTAB_FUNC(ocelot_sb_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_pool_set, "", "");
KSYMTAB_FUNC(ocelot_sb_port_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_port_pool_set, "", "");
KSYMTAB_FUNC(ocelot_sb_tc_pool_bind_get, "", "");
KSYMTAB_FUNC(ocelot_sb_tc_pool_bind_set, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_snapshot, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_max_clear, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_port_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_tc_port_bind_get, "", "");
KSYMTAB_FUNC(ocelot_devlink_sb_register, "", "");
KSYMTAB_FUNC(ocelot_devlink_sb_unregister, "", "");
KSYMTAB_FUNC(ocelot_cls_flower_replace, "_gpl", "");
KSYMTAB_FUNC(ocelot_cls_flower_destroy, "_gpl", "");
KSYMTAB_FUNC(ocelot_cls_flower_stats, "_gpl", "");
KSYMTAB_FUNC(__ocelot_bulk_read_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_read_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_write_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_rmw_ix, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_readl, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_writel, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_rmwl, "_gpl", "");
KSYMTAB_FUNC(ocelot_regfields_init, "_gpl", "");
KSYMTAB_FUNC(ocelot_regmap_init, "_gpl", "");
KSYMTAB_FUNC(ocelot_mm_irq, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_mm, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_mm, "_gpl", "");
KSYMTAB_FUNC(ocelot_policer_validate, "", "");
KSYMTAB_FUNC(ocelot_port_policer_add, "", "");
KSYMTAB_FUNC(ocelot_port_policer_del, "", "");
KSYMTAB_FUNC(ocelot_ptp_gettime64, "", "");
KSYMTAB_FUNC(ocelot_ptp_settime64, "", "");
KSYMTAB_FUNC(ocelot_ptp_adjtime, "", "");
KSYMTAB_FUNC(ocelot_ptp_adjfine, "", "");
KSYMTAB_FUNC(ocelot_ptp_verify, "", "");
KSYMTAB_FUNC(ocelot_ptp_enable, "", "");
KSYMTAB_FUNC(ocelot_hwstamp_get, "", "");
KSYMTAB_FUNC(ocelot_hwstamp_set, "", "");
KSYMTAB_FUNC(ocelot_get_ts_info, "", "");
KSYMTAB_FUNC(ocelot_port_txtstamp_request, "", "");
KSYMTAB_FUNC(ocelot_get_txtstamp, "", "");
KSYMTAB_FUNC(ocelot_init_timestamp, "", "");
KSYMTAB_FUNC(ocelot_deinit_timestamp, "", "");
KSYMTAB_FUNC(ocelot_get_strings, "", "");
KSYMTAB_FUNC(ocelot_get_sset_count, "", "");
KSYMTAB_FUNC(ocelot_get_ethtool_stats, "", "");
KSYMTAB_FUNC(ocelot_port_get_pause_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_mm_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_rmon_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_ctrl_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_mac_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_phy_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_stats64, "", "");
KSYMTAB_FUNC(ocelot_vcap_policer_add, "", "");
KSYMTAB_FUNC(ocelot_vcap_policer_del, "", "");
KSYMTAB_FUNC(ocelot_vcap_block_find_filter_by_id, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_add, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_del, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_replace, "", "");
KSYMTAB_DATA(vsc7514_regfields, "", "");
KSYMTAB_DATA(vsc7514_regmap, "", "");
KSYMTAB_DATA(vsc7514_vcap_props, "", "");
KSYMTAB_FUNC(ocelot_mrp_add, "", "");
KSYMTAB_FUNC(ocelot_mrp_del, "", "");
KSYMTAB_FUNC(ocelot_mrp_add_ring_role, "", "");
KSYMTAB_FUNC(ocelot_mrp_del_ring_role, "", "");

SYMBOL_CRC(ocelot_mact_learn, 0x24e8251e, "");
SYMBOL_CRC(ocelot_mact_forget, 0x9d8d3538, "");
SYMBOL_CRC(ocelot_mact_lookup, 0x34930cd0, "");
SYMBOL_CRC(ocelot_mact_learn_streamdata, 0xc8c74b52, "");
SYMBOL_CRC(ocelot_pll5_init, 0xb6a97e7a, "");
SYMBOL_CRC(ocelot_bridge_num_find, 0x578e7351, "_gpl");
SYMBOL_CRC(ocelot_port_vlan_filtering, 0x76f8a4f4, "");
SYMBOL_CRC(ocelot_vlan_prepare, 0x16f1f3b3, "");
SYMBOL_CRC(ocelot_vlan_add, 0x75aaac41, "");
SYMBOL_CRC(ocelot_vlan_del, 0x48224f58, "");
SYMBOL_CRC(ocelot_port_configure_serdes, 0x57e62065, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_config, 0x224ad97b, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_down, 0x0f66722b, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_up, 0x3ffb9020, "_gpl");
SYMBOL_CRC(ocelot_ptp_rx_timestamp, 0xe1c5d7ed, "");
SYMBOL_CRC(ocelot_lock_inj_grp, 0x2d96101d, "_gpl");
SYMBOL_CRC(ocelot_unlock_inj_grp, 0xfb381ee4, "_gpl");
SYMBOL_CRC(ocelot_lock_xtr_grp, 0x7e86ad9a, "_gpl");
SYMBOL_CRC(ocelot_unlock_xtr_grp, 0xa828a363, "_gpl");
SYMBOL_CRC(ocelot_lock_xtr_grp_bh, 0x3a30b0ed, "_gpl");
SYMBOL_CRC(ocelot_unlock_xtr_grp_bh, 0x2fc85b05, "_gpl");
SYMBOL_CRC(ocelot_xtr_poll_frame, 0x988f4c39, "");
SYMBOL_CRC(ocelot_can_inject, 0x258acdf4, "");
SYMBOL_CRC(ocelot_ifh_set_basic, 0x8771fc73, "");
SYMBOL_CRC(ocelot_port_inject_frame, 0x1601206b, "");
SYMBOL_CRC(ocelot_drain_cpu_queue, 0x5f5373e8, "");
SYMBOL_CRC(ocelot_fdb_add, 0xcc2c5f5f, "");
SYMBOL_CRC(ocelot_fdb_del, 0x5d3433ba, "");
SYMBOL_CRC(ocelot_mact_flush, 0x7efacf2f, "_gpl");
SYMBOL_CRC(ocelot_fdb_dump, 0x5b8dec95, "");
SYMBOL_CRC(ocelot_bond_get_id, 0xe4ecb082, "_gpl");
SYMBOL_CRC(ocelot_port_assigned_dsa_8021q_cpu_mask, 0x2bf581bb, "_gpl");
SYMBOL_CRC(ocelot_get_bridge_fwd_mask, 0xc81637f7, "_gpl");
SYMBOL_CRC(ocelot_port_setup_dsa_8021q_cpu, 0xaf28e503, "_gpl");
SYMBOL_CRC(ocelot_port_teardown_dsa_8021q_cpu, 0x20345b90, "_gpl");
SYMBOL_CRC(ocelot_port_assign_dsa_8021q_cpu, 0x93ff7339, "_gpl");
SYMBOL_CRC(ocelot_port_unassign_dsa_8021q_cpu, 0x990adc2a, "_gpl");
SYMBOL_CRC(ocelot_bridge_stp_state_set, 0x3ca766e7, "");
SYMBOL_CRC(ocelot_set_ageing_time, 0x963e7038, "");
SYMBOL_CRC(ocelot_port_mdb_add, 0xb32f16f0, "");
SYMBOL_CRC(ocelot_port_mdb_del, 0x3e52f563, "");
SYMBOL_CRC(ocelot_port_bridge_join, 0xed861864, "");
SYMBOL_CRC(ocelot_port_bridge_leave, 0xcbec3eca, "");
SYMBOL_CRC(ocelot_migrate_mdbs, 0xf66d8988, "_gpl");
SYMBOL_CRC(ocelot_port_lag_join, 0x7bd7a0a3, "");
SYMBOL_CRC(ocelot_port_lag_leave, 0x6fdeef99, "");
SYMBOL_CRC(ocelot_port_lag_change, 0x25f3ffcf, "");
SYMBOL_CRC(ocelot_lag_fdb_add, 0xa4f07a2a, "_gpl");
SYMBOL_CRC(ocelot_lag_fdb_del, 0x20ce535a, "_gpl");
SYMBOL_CRC(ocelot_port_set_maxlen, 0x979c95da, "");
SYMBOL_CRC(ocelot_get_max_mtu, 0x7681784a, "");
SYMBOL_CRC(ocelot_port_pre_bridge_flags, 0xe7642758, "");
SYMBOL_CRC(ocelot_port_bridge_flags, 0xd1b1230f, "");
SYMBOL_CRC(ocelot_port_get_default_prio, 0x8eb9ae5b, "_gpl");
SYMBOL_CRC(ocelot_port_set_default_prio, 0x5a00a3b2, "_gpl");
SYMBOL_CRC(ocelot_port_get_dscp_prio, 0xcc99cbd6, "_gpl");
SYMBOL_CRC(ocelot_port_add_dscp_prio, 0xccc531d4, "_gpl");
SYMBOL_CRC(ocelot_port_del_dscp_prio, 0x5a090743, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_add, 0x42c48687, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_del, 0x8744a861, "_gpl");
SYMBOL_CRC(ocelot_port_mqprio, 0x0a495597, "_gpl");
SYMBOL_CRC(ocelot_init_port, 0x431c3f4e, "");
SYMBOL_CRC(ocelot_reset, 0x6dbad11e, "");
SYMBOL_CRC(ocelot_init, 0xc91e4dee, "");
SYMBOL_CRC(ocelot_deinit, 0xedd3debf, "");
SYMBOL_CRC(ocelot_deinit_port, 0xb372bfff, "");
SYMBOL_CRC(ocelot_wm_enc, 0x08791cd6, "");
SYMBOL_CRC(ocelot_wm_dec, 0xb0fdd7fd, "");
SYMBOL_CRC(ocelot_wm_stat, 0xe30fc619, "");
SYMBOL_CRC(ocelot_sb_pool_get, 0x6355f791, "");
SYMBOL_CRC(ocelot_sb_pool_set, 0x6040d3af, "");
SYMBOL_CRC(ocelot_sb_port_pool_get, 0x1001b74d, "");
SYMBOL_CRC(ocelot_sb_port_pool_set, 0xa12297ee, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_get, 0x4a2b66e7, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_set, 0xc4a7329e, "");
SYMBOL_CRC(ocelot_sb_occ_snapshot, 0x793b9fe3, "");
SYMBOL_CRC(ocelot_sb_occ_max_clear, 0xb1866b72, "");
SYMBOL_CRC(ocelot_sb_occ_port_pool_get, 0x196a8b2c, "");
SYMBOL_CRC(ocelot_sb_occ_tc_port_bind_get, 0xa14228f4, "");
SYMBOL_CRC(ocelot_devlink_sb_register, 0xa183ce41, "");
SYMBOL_CRC(ocelot_devlink_sb_unregister, 0x3918e406, "");
SYMBOL_CRC(ocelot_cls_flower_replace, 0x6a632400, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_destroy, 0x3e784682, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_stats, 0xaf67103e, "_gpl");
SYMBOL_CRC(__ocelot_bulk_read_ix, 0x47befced, "_gpl");
SYMBOL_CRC(__ocelot_read_ix, 0x42367d3d, "_gpl");
SYMBOL_CRC(__ocelot_write_ix, 0xc378e8b6, "_gpl");
SYMBOL_CRC(__ocelot_rmw_ix, 0x23ccd88a, "_gpl");
SYMBOL_CRC(ocelot_port_readl, 0x6db08839, "_gpl");
SYMBOL_CRC(ocelot_port_writel, 0xd2ec8707, "_gpl");
SYMBOL_CRC(ocelot_port_rmwl, 0xbe877454, "_gpl");
SYMBOL_CRC(ocelot_regfields_init, 0xde5e89f7, "_gpl");
SYMBOL_CRC(ocelot_regmap_init, 0x74294b69, "_gpl");
SYMBOL_CRC(ocelot_mm_irq, 0xc4003547, "_gpl");
SYMBOL_CRC(ocelot_port_set_mm, 0x1e922583, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm, 0x952ec7e2, "_gpl");
SYMBOL_CRC(ocelot_policer_validate, 0x8f72beab, "");
SYMBOL_CRC(ocelot_port_policer_add, 0x7586e8fa, "");
SYMBOL_CRC(ocelot_port_policer_del, 0x9b614b18, "");
SYMBOL_CRC(ocelot_ptp_gettime64, 0x6e7adb81, "");
SYMBOL_CRC(ocelot_ptp_settime64, 0x611d610f, "");
SYMBOL_CRC(ocelot_ptp_adjtime, 0xc3885139, "");
SYMBOL_CRC(ocelot_ptp_adjfine, 0xf0e7bb63, "");
SYMBOL_CRC(ocelot_ptp_verify, 0xe4e7ac4a, "");
SYMBOL_CRC(ocelot_ptp_enable, 0x37c9e5a4, "");
SYMBOL_CRC(ocelot_hwstamp_get, 0x229bd84b, "");
SYMBOL_CRC(ocelot_hwstamp_set, 0xa1f0530e, "");
SYMBOL_CRC(ocelot_get_ts_info, 0x8e5787c1, "");
SYMBOL_CRC(ocelot_port_txtstamp_request, 0x94a38c60, "");
SYMBOL_CRC(ocelot_get_txtstamp, 0xbdb68e86, "");
SYMBOL_CRC(ocelot_init_timestamp, 0xfa2dae0b, "");
SYMBOL_CRC(ocelot_deinit_timestamp, 0x6ff01422, "");
SYMBOL_CRC(ocelot_get_strings, 0xa826c4b2, "");
SYMBOL_CRC(ocelot_get_sset_count, 0x590e0537, "");
SYMBOL_CRC(ocelot_get_ethtool_stats, 0x82b162c1, "");
SYMBOL_CRC(ocelot_port_get_pause_stats, 0xc090b6df, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm_stats, 0x5c064662, "_gpl");
SYMBOL_CRC(ocelot_port_get_rmon_stats, 0x50f8b968, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_ctrl_stats, 0x85ea1a50, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_mac_stats, 0xdb1f044c, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_phy_stats, 0x7abca1f4, "_gpl");
SYMBOL_CRC(ocelot_port_get_stats64, 0xe0ca76d1, "");
SYMBOL_CRC(ocelot_vcap_policer_add, 0xdd704e3b, "");
SYMBOL_CRC(ocelot_vcap_policer_del, 0x60042cd3, "");
SYMBOL_CRC(ocelot_vcap_block_find_filter_by_id, 0xe1c1be67, "");
SYMBOL_CRC(ocelot_vcap_filter_add, 0x8a16d54b, "");
SYMBOL_CRC(ocelot_vcap_filter_del, 0xcd25c92d, "");
SYMBOL_CRC(ocelot_vcap_filter_replace, 0x80586869, "");
SYMBOL_CRC(vsc7514_regfields, 0x7e5aec55, "");
SYMBOL_CRC(vsc7514_regmap, 0xf80fc88d, "");
SYMBOL_CRC(vsc7514_vcap_props, 0x6ce19e2a, "");
SYMBOL_CRC(ocelot_mrp_add, 0x77100383, "");
SYMBOL_CRC(ocelot_mrp_del, 0x6df5adbc, "");
SYMBOL_CRC(ocelot_mrp_add_ring_role, 0xc49896a8, "");
SYMBOL_CRC(ocelot_mrp_del_ring_role, 0xe2f2ac67, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x350dd783, "devlink_sb_register" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x18a45c1, "flow_rule_match_ipv4_addrs" },
	{ 0x7afdc48b, "regmap_field_update_bits_base" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xf15ef131, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xfb792bbf, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9649eef6, "ethtool_aggregate_ctrl_stats" },
	{ 0xe4b818c3, "phy_speed_to_str" },
	{ 0x2d9e9ea5, "skb_queue_purge_reason" },
	{ 0xb78f3c1f, "ptp_find_pin" },
	{ 0x882c5e46, "eth_type_trans" },
	{ 0x9e8d7c88, "ethtool_aggregate_pause_stats" },
	{ 0xaf1a60bb, "ptp_parse_header" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x71abe2d3, "regmap_fields_read" },
	{ 0xe180cd47, "skb_queue_tail" },
	{ 0xc904c2d, "regmap_field_read" },
	{ 0x287d400a, "devm_regmap_field_alloc" },
	{ 0xdcde928, "ptp_classify_raw" },
	{ 0xc326c21, "flow_rule_match_basic" },
	{ 0x1bd5d618, "__dev_get_by_index" },
	{ 0x8b33230, "devm_kfree" },
	{ 0x2a9ffdc4, "_dev_err" },
	{ 0x4572c223, "ptp_clock_register" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb135a8a9, "netif_set_real_num_tx_queues" },
	{ 0xd6fa4e5a, "sk_skb_reason_drop" },
	{ 0xe8190181, "skb_complete_tx_timestamp" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x59a2f0ee, "packing" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x142e495a, "ethtool_aggregate_phy_stats" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xa51c770b, "_dev_warn" },
	{ 0x37ef9d03, "flow_rule_match_ports" },
	{ 0xd75bac28, "__devm_regmap_init_mmio_clk" },
	{ 0x6be261d2, "ethtool_aggregate_mac_stats" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa234b6f5, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc45a5747, "ptp_clock_unregister" },
	{ 0xd6bb53f1, "__netdev_alloc_skb" },
	{ 0xeb0eb292, "of_phy_get" },
	{ 0xa624564e, "br_vlan_get_pvid_rcu" },
	{ 0xc72806e0, "phy_set_mode_ext" },
	{ 0xf0c82969, "netdev_reset_tc" },
	{ 0x17ec930a, "regmap_read" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x42add35e, "devm_ioremap_resource" },
	{ 0x9577c0af, "ethtool_aggregate_rmon_stats" },
	{ 0xfaf63c45, "flow_rule_match_vlan" },
	{ 0xd6aa15e9, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xaa92376c, "regmap_bulk_read" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc0388120, "flow_rule_match_meta" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x916fa0db, "netdev_set_num_tc" },
	{ 0x6d2cecba, "regmap_update_bits_base" },
	{ 0x3a03e11a, "dev_err_probe" },
	{ 0xb5f0b884, "dev_kfree_skb_any_reason" },
	{ 0x3014190e, "devlink_sb_unregister" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3ef3306, "flow_rule_match_control" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf045c6bd, "kmalloc_caches" },
	{ 0x47c04fc1, "br_vlan_enabled" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4c12af2d, "regmap_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe50bb142, "devm_kmalloc" },
	{ 0x63b1707e, "skb_put" },
	{ 0xe3a4d007, "skb_tstamp_tx" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe8b94992, "of_phy_put" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe35cdc86, "skb_clone_sk" },
	{ 0x115eecf, "br_vlan_get_proto" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xf17c8de9, "regmap_fields_update_bits_base" },
	{ 0x2feebf51, "flow_rule_match_eth_addrs" },
	{ 0xf2233368, "ptp_clock_index" },
	{ 0x9b1fd079, "module_layout" },
};

MODULE_INFO(depends, "libphy,regmap-mmio,bridge");


MODULE_INFO(srcversion, "75CC4157232C1352730DB6E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
