#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1d14cb2d, "mdio_i2c_alloc" },
	{ 0x19002ab1, "__mdiobus_register" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xf045c6bd, "kmalloc_caches" },
	{ 0xd6aa15e9, "__kmalloc_cache_noprof" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5cc7cea6, "__devm_add_action" },
	{ 0x3f156e5, "device_get_match_data" },
	{ 0x26594a57, "__dev_fwnode" },
	{ 0x14ec87fa, "fwnode_find_reference" },
	{ 0xd96f8208, "i2c_get_adapter_by_fwnode" },
	{ 0xf6773d15, "device_property_read_u32_array" },
	{ 0x59057b9f, "devm_gpiod_get_optional" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x58ab4125, "sfp_register_socket" },
	{ 0x4c223398, "gpiod_to_irq" },
	{ 0xab7fb6e3, "debugfs_create_dir" },
	{ 0xa23ab45f, "debugfs_create_file" },
	{ 0x3c470940, "devm_kasprintf" },
	{ 0xe52fdb19, "devm_request_threaded_irq" },
	{ 0xb4942be2, "debugfs_remove" },
	{ 0xb6787346, "sfp_unregister_socket" },
	{ 0x80994a6e, "seq_lseek" },
	{ 0xcb81e5f7, "seq_read" },
	{ 0x2feb55a, "single_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdcbe109d, "__platform_driver_register" },
	{ 0x4190a2dc, "devm_free_irq" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x1c1c91fc, "get_phy_device" },
	{ 0xf8a3291d, "phy_device_register" },
	{ 0xcfb07877, "sfp_add_phy" },
	{ 0xff0095f1, "phy_device_remove" },
	{ 0x3b502d5c, "phy_device_free" },
	{ 0x2a9ffdc4, "_dev_err" },
	{ 0x4a2a0e7e, "gpiod_get_value_cansleep" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x711910d9, "gpiod_direction_input" },
	{ 0x941b2e18, "gpiod_direction_output" },
	{ 0x4d1df51e, "mdiobus_unregister" },
	{ 0x87f5cf0d, "mdiobus_free" },
	{ 0x963f8979, "i2c_put_adapter" },
	{ 0x37a0cba, "kfree" },
	{ 0xa95b5c77, "hwmon_sanitize_name" },
	{ 0xf146ccbe, "hwmon_device_register_with_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xa51c770b, "_dev_warn" },
	{ 0x8861636e, "_dev_info" },
	{ 0x5612dbcf, "i2c_transfer" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xd473249a, "single_open" },
	{ 0x49dcbd2c, "seq_printf" },
	{ 0x56a22647, "platform_driver_unregister" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66b97421, "sfp_link_up" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xf15ef131, "__dynamic_dev_dbg" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x6129fb93, "sfp_remove_phy" },
	{ 0xda320d31, "sfp_module_start" },
	{ 0x419e7efd, "sfp_module_stop" },
	{ 0xffe48d38, "hwmon_device_unregister" },
	{ 0x648f59a9, "sfp_module_insert" },
	{ 0x6b413c9b, "sfp_link_down" },
	{ 0x58def6ca, "sfp_module_remove" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9b1fd079, "module_layout" },
};

MODULE_INFO(depends, "mdio-i2c,libphy");

MODULE_ALIAS("of:N*T*Csff,sff");
MODULE_ALIAS("of:N*T*Csff,sffC*");
MODULE_ALIAS("of:N*T*Csff,sfp");
MODULE_ALIAS("of:N*T*Csff,sfpC*");

MODULE_INFO(srcversion, "8BDA4B0FA3036DD7D13A170");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
