#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xebc4314c, "usbnet_status_stop" },
	{ 0x37a0cba, "kfree" },
	{ 0xbd9aa0c8, "skb_push" },
	{ 0xb5f0b884, "dev_kfree_skb_any_reason" },
	{ 0xf045c6bd, "kmalloc_caches" },
	{ 0xd6aa15e9, "__kmalloc_cache_noprof" },
	{ 0xbc5fab02, "usb_control_msg" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd0388f53, "usbnet_link_change" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x13f7e9ad, "skb_pull" },
	{ 0xdd108f2b, "skb_clone" },
	{ 0x1239417d, "skb_trim" },
	{ 0xfb51bdb0, "usbnet_skb_return" },
	{ 0xc1e059c9, "usbnet_get_endpoints" },
	{ 0xf00cf7a5, "dev_addr_mod" },
	{ 0x54f506a2, "netif_carrier_off" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb585d8dd, "usbnet_read_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2a9ffdc4, "_dev_err" },
	{ 0x9f50d202, "usbnet_disconnect" },
	{ 0xe5f6681f, "usbnet_suspend" },
	{ 0x4e6a3206, "usbnet_resume" },
	{ 0x21bfe558, "usbnet_get_msglevel" },
	{ 0x23645cd6, "usbnet_set_msglevel" },
	{ 0xdd67c4cf, "usbnet_nway_reset" },
	{ 0x6ba8faf0, "usbnet_get_link_ksettings_mii" },
	{ 0xd8858b78, "usbnet_set_link_ksettings_mii" },
	{ 0x79c96a41, "usbnet_open" },
	{ 0x14c89c6c, "usbnet_stop" },
	{ 0xb99d73a3, "usbnet_start_xmit" },
	{ 0xb988f7ab, "eth_mac_addr" },
	{ 0xcffdd48c, "eth_validate_addr" },
	{ 0x6427300b, "usbnet_change_mtu" },
	{ 0x5816e46c, "usbnet_tx_timeout" },
	{ 0x62f6f2d9, "dev_get_tstats64" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd2d0c0d3, "usbnet_get_drvinfo" },
	{ 0xf0bf2554, "usb_register_driver" },
	{ 0xf9fc2750, "usb_deregister" },
	{ 0x495f37ca, "usbnet_write_cmd" },
	{ 0xfb792bbf, "netdev_err" },
	{ 0xf15ef131, "__dynamic_dev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc067110b, "usbnet_probe" },
	{ 0xf0e618b8, "usbnet_status_start" },
	{ 0x9b1fd079, "module_layout" },
};

MODULE_INFO(depends, "usbnet,usbcore");

MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in0B*");

MODULE_INFO(srcversion, "567F64F6E12749D49C4C3A5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
