#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mwifiex_queue_main_work, "_gpl", "");
KSYMTAB_FUNC(mwifiex_main_process, "_gpl", "");
KSYMTAB_FUNC(mwifiex_multi_chan_resync, "_gpl", "");
KSYMTAB_FUNC(mwifiex_upload_device_dump, "_gpl", "");
KSYMTAB_FUNC(mwifiex_drv_info_dump, "_gpl", "");
KSYMTAB_FUNC(mwifiex_prepare_fw_dump_info, "_gpl", "");
KSYMTAB_FUNC(mwifiex_shutdown_sw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_reinit_sw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_add_card, "_gpl", "");
KSYMTAB_FUNC(mwifiex_remove_card, "_gpl", "");
KSYMTAB_FUNC(_mwifiex_dbg, "_gpl", "");
KSYMTAB_FUNC(mwifiex_dnld_fw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_process_hs_config, "_gpl", "");
KSYMTAB_FUNC(mwifiex_process_sleep_confirm_resp, "_gpl", "");
KSYMTAB_FUNC(mwifiex_init_shutdown_fw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_alloc_dma_align_buf, "_gpl", "");
KSYMTAB_FUNC(mwifiex_fw_dump_event, "_gpl", "");
KSYMTAB_FUNC(mwifiex_handle_rx_packet, "_gpl", "");
KSYMTAB_FUNC(mwifiex_write_data_complete, "_gpl", "");
KSYMTAB_FUNC(mwifiex_deauthenticate_all, "_gpl", "");
KSYMTAB_FUNC(mwifiex_cancel_hs, "_gpl", "");
KSYMTAB_FUNC(mwifiex_enable_hs, "_gpl", "");
KSYMTAB_FUNC(mwifiex_disable_auto_ds, "_gpl", "");
KSYMTAB_FUNC(mwifiex_add_virtual_intf, "_gpl", "");
KSYMTAB_FUNC(mwifiex_del_virtual_intf, "_gpl", "");

SYMBOL_CRC(mwifiex_queue_main_work, 0xf0ee5d98, "_gpl");
SYMBOL_CRC(mwifiex_main_process, 0xde3e8cdd, "_gpl");
SYMBOL_CRC(mwifiex_multi_chan_resync, 0xb76f40aa, "_gpl");
SYMBOL_CRC(mwifiex_upload_device_dump, 0xe47c05bf, "_gpl");
SYMBOL_CRC(mwifiex_drv_info_dump, 0x1704de29, "_gpl");
SYMBOL_CRC(mwifiex_prepare_fw_dump_info, 0xde227ad9, "_gpl");
SYMBOL_CRC(mwifiex_shutdown_sw, 0xfd02a142, "_gpl");
SYMBOL_CRC(mwifiex_reinit_sw, 0x1520b037, "_gpl");
SYMBOL_CRC(mwifiex_add_card, 0x63eb1ea7, "_gpl");
SYMBOL_CRC(mwifiex_remove_card, 0xa1e0083d, "_gpl");
SYMBOL_CRC(_mwifiex_dbg, 0x9f06d670, "_gpl");
SYMBOL_CRC(mwifiex_dnld_fw, 0xd261b874, "_gpl");
SYMBOL_CRC(mwifiex_process_hs_config, 0xc72ffba7, "_gpl");
SYMBOL_CRC(mwifiex_process_sleep_confirm_resp, 0xad023bdd, "_gpl");
SYMBOL_CRC(mwifiex_init_shutdown_fw, 0x6daa9d60, "_gpl");
SYMBOL_CRC(mwifiex_alloc_dma_align_buf, 0xd4dad9f3, "_gpl");
SYMBOL_CRC(mwifiex_fw_dump_event, 0xc3eb2e20, "_gpl");
SYMBOL_CRC(mwifiex_handle_rx_packet, 0xe15cbee4, "_gpl");
SYMBOL_CRC(mwifiex_write_data_complete, 0xf1d81b70, "_gpl");
SYMBOL_CRC(mwifiex_deauthenticate_all, 0x94701626, "_gpl");
SYMBOL_CRC(mwifiex_cancel_hs, 0x09870377, "_gpl");
SYMBOL_CRC(mwifiex_enable_hs, 0x8ec1b930, "_gpl");
SYMBOL_CRC(mwifiex_disable_auto_ds, 0xdc184a12, "_gpl");
SYMBOL_CRC(mwifiex_add_virtual_intf, 0x7a11d8c2, "_gpl");
SYMBOL_CRC(mwifiex_del_virtual_intf, 0x35b9b333, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x882c5e46, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9f4b1227, "alloc_netdev_mqs" },
	{ 0x77b819d5, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0xbf4ec0a3, "cfg80211_ready_on_channel" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x8a32e872, "cfg80211_classify8021d" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x64a81eea, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0x89a2960c, "cfg80211_put_bss" },
	{ 0x3752a37a, "netif_device_detach" },
	{ 0xb2fe6742, "cfg80211_ch_switch_notify" },
	{ 0x8861636e, "_dev_info" },
	{ 0xc6404d0, "netif_device_attach" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0xe180cd47, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x1b1e16, "ieee80211_get_channel_khz" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0xf31bda9a, "__cfg80211_radar_event" },
	{ 0x97365e6c, "cfg80211_tdls_oper_request" },
	{ 0xe6809267, "device_wakeup_disable" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4803c41e, "devm_kmemdup" },
	{ 0x2a9ffdc4, "_dev_err" },
	{ 0x3ae03461, "cfg80211_ibss_joined" },
	{ 0xb367ff80, "request_firmware_nowait" },
	{ 0xd9fc3f8c, "simple_open" },
	{ 0x13f7e9ad, "skb_pull" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd6fa4e5a, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x90affddc, "wiphy_apply_custom_regulatory" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x792130f1, "cfg80211_michael_mic_failure" },
	{ 0x975ec9a9, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbd9aa0c8, "skb_push" },
	{ 0xb4942be2, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xa43f876e, "cfg80211_del_sta_sinfo" },
	{ 0x29c07caf, "wiphy_unregister" },
	{ 0xf1084858, "free_netdev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x52aa609d, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0xf4c898bf, "netif_tx_stop_all_queues" },
	{ 0x72ca517d, "netif_tx_wake_queue" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xc4704141, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe01c03d4, "netif_rx" },
	{ 0xd6bb53f1, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1239417d, "skb_trim" },
	{ 0xfdc39af4, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8126f60b, "cfg80211_sched_scan_stopped_locked" },
	{ 0x38bc21fa, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0xa23ab45f, "debugfs_create_file" },
	{ 0x1c5f7c69, "cfg80211_unregister_wdev" },
	{ 0x999e8297, "vfree" },
	{ 0xd7a151d2, "cfg80211_rx_mgmt_ext" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb62dbd7, "param_ops_bool" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd6aa15e9, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x54f506a2, "netif_carrier_off" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x47f56325, "skb_copy" },
	{ 0xdd108f2b, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x1ac1f855, "netif_carrier_on" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0xec911c22, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a95cd87, "cfg80211_inform_bss_data" },
	{ 0x754d539c, "strlen" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0xb5f0b884, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0xb6f1adde, "param_ops_int" },
	{ 0xab7fb6e3, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x6d07288c, "cfg80211_connect_done" },
	{ 0xb528b17c, "__cfg80211_get_bss" },
	{ 0x4c52e595, "wiphy_free" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe011b12d, "cfg80211_cqm_rssi_notify" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf045c6bd, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9f33f2ea, "skb_queue_head" },
	{ 0xd43f405f, "cfg80211_sched_scan_results" },
	{ 0x1133e8d0, "skb_complete_wifi_ack" },
	{ 0xadbe89f, "cfg80211_mgmt_tx_status_ext" },
	{ 0x8ed485be, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xe95bd40f, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7f103df7, "param_ops_uint" },
	{ 0x63b1707e, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5cc03aaf, "cfg80211_chandef_dfs_required" },
	{ 0xd0763429, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x19a612d3, "cfg80211_sched_scan_stopped" },
	{ 0xf75c34a3, "param_ops_ushort" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x2463e6d1, "cfg80211_remain_on_channel_expired" },
	{ 0x3a0c3196, "cfg80211_cac_event" },
	{ 0xa2b86dc0, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc7dcbee1, "cfg80211_register_netdevice" },
	{ 0xcd202010, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x7a883cb5, "ieee80211_amsdu_to_8023s" },
	{ 0xbf4aa31e, "cfg80211_ref_bss" },
	{ 0x69acdf38, "memcpy" },
	{ 0x82d591e7, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xcffdd48c, "eth_validate_addr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0x4792d969, "cfg80211_new_sta" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0xf15ef131, "__dynamic_dev_dbg" },
	{ 0x5270ec, "cfg80211_disconnected" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x8d41e773, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf00cf7a5, "dev_addr_mod" },
	{ 0x9b1fd079, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "6279AD1FE8F0B5EED3B786F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
