#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7e4b2931, "mt76_write_mac_initvals" },
	{ 0x9e1bf3c1, "mt76x2_reset_wlan" },
	{ 0xad176d9a, "mt76x2_mcu_set_channel" },
	{ 0x12991148, "mt76x02_mcu_set_radio_state" },
	{ 0x413ba227, "mt76_wake_tx_queue" },
	{ 0x7c792d7e, "mt76_get_antenna" },
	{ 0xf39c7c06, "mt76x2_apply_gain_adj" },
	{ 0x3a0c61d7, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf3fd41cb, "mt76x02_sta_ps" },
	{ 0xbb6593d1, "mt76x2_set_sar_specs" },
	{ 0xd3f2794c, "mt76u_resume_rx" },
	{ 0xd4e9d3b8, "mt76x02_sta_rate_tbl_update" },
	{ 0xf15ef131, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8d5a2095, "mt76_alloc_device" },
	{ 0xb47cd877, "mt76x02_mac_shared_key_setup" },
	{ 0x6b886bba, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xed243178, "mt76x2_mac_stop" },
	{ 0x71d8a4ac, "usb_put_dev" },
	{ 0xdd7d99f3, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xedbaa9e9, "mt76x02_update_channel" },
	{ 0x7c8588e3, "mt76x2_configure_tx_delay" },
	{ 0x4ff3f895, "usb_get_dev" },
	{ 0x8861636e, "_dev_info" },
	{ 0x958d8d3a, "mt76x02_configure_filter" },
	{ 0xdefa0ae6, "mt76_free_device" },
	{ 0x575fd315, "mt76x02_queue_rx_skb" },
	{ 0x832ef03c, "mt76u_queues_deinit" },
	{ 0x38203831, "ieee80211_queue_delayed_work" },
	{ 0x2a9ffdc4, "_dev_err" },
	{ 0xa2f9ca9f, "mt76x02u_mcu_fw_reset" },
	{ 0x8b146632, "mt76x02_mac_setaddr" },
	{ 0xa006967, "mt76_register_device" },
	{ 0x3d837899, "mt76_set_tim" },
	{ 0x98e1925e, "mt76x02_sw_scan_complete" },
	{ 0x34882183, "mt76x02_phy_set_bw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe53ba540, "mt76x02_phy_set_band" },
	{ 0x84837993, "mt76_set_channel" },
	{ 0x9e8d236, "mt76x02_init_device" },
	{ 0x930621f8, "mt76x02_tx" },
	{ 0x8cde9dd6, "ieee80211_wake_queues" },
	{ 0xf13e8133, "mt76x02_eeprom_parse_hw_cap" },
	{ 0x3bcbb3fd, "mt76x02_sta_remove" },
	{ 0x872c2f0b, "mt76x02_phy_set_rxpath" },
	{ 0x5bbf86be, "mt76x02_edcca_init" },
	{ 0xf9fc2750, "usb_deregister" },
	{ 0xa0b1dbe1, "mt76x02_tx_status_data" },
	{ 0xe125bfe4, "mt76x02_sta_add" },
	{ 0x1fc1e8a3, "mt76x2_mcu_load_cr" },
	{ 0xf3feefef, "mt76x2_init_txpower" },
	{ 0x1571696a, "mt76x02u_mcu_fw_send_data" },
	{ 0x45d7ccbd, "mt76u_init" },
	{ 0x79e80070, "mt76_get_survey" },
	{ 0xed372a7e, "mt76x02_init_debugfs" },
	{ 0xa51c770b, "_dev_warn" },
	{ 0x395e3730, "ieee80211_emulate_add_chanctx" },
	{ 0xb154ed06, "mt76x02u_init_mcu" },
	{ 0x8a35a64e, "mt76x02u_tx_prepare_skb" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x609805e2, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x2e64039e, "mt76x2_mcu_init_gain" },
	{ 0x6d6ea05a, "mt76_sta_state" },
	{ 0x21f8645c, "mt76x2_phy_tssi_compensate" },
	{ 0x4cacb072, "ieee80211_stop_queues" },
	{ 0x103f30bc, "mt76x02u_mac_start" },
	{ 0x96d5ecc, "mt76x02_mac_cc_reset" },
	{ 0xefff0d2a, "mt76x02_bss_info_changed" },
	{ 0xe69509a7, "mt76x02_init_agc_gain" },
	{ 0xc54e5427, "mt76x2_phy_update_channel_gain" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xb536d363, "mt76_txq_schedule_all" },
	{ 0x60ba53c5, "mt76u_alloc_queues" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xce00d538, "mt76u_stop_tx" },
	{ 0x1d81bd19, "mt76x02u_init_beacon_config" },
	{ 0x9b00ac75, "ieee80211_unregister_hw" },
	{ 0xb0488499, "mt76u_vendor_request" },
	{ 0xa0269861, "mt76x02_add_interface" },
	{ 0x69e2393b, "____mt76_poll_msec" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2454001c, "mt76_get_sar_power" },
	{ 0xef1f0a08, "mt76u_stop_rx" },
	{ 0x6739f866, "mt76x02_ampdu_action" },
	{ 0x3c4d92c, "mt76x02_mcu_calibrate" },
	{ 0x60eb7e5e, "mt76x02_conf_tx" },
	{ 0x5cd775cb, "mt76x02_mcu_function_select" },
	{ 0xcdc12f02, "mt76_sw_scan" },
	{ 0xa369410, "mt76_sta_pre_rcu_remove" },
	{ 0xf7f44401, "mt76x02_mac_wcid_setup" },
	{ 0x5f3fbe8c, "__mt76_poll" },
	{ 0x94d57c8c, "mt76x2_read_rx_gain" },
	{ 0xb6bcf15a, "mt76x2_phy_set_txpower_regs" },
	{ 0x7dda2a18, "mt76x2_phy_set_txpower" },
	{ 0x5c345337, "mt76x02_phy_set_txdac" },
	{ 0xebedc06f, "ieee80211_emulate_remove_chanctx" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe58e0030, "mt76x02_remove_interface" },
	{ 0x1cc332c7, "mt76x02u_tx_complete_skb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xe50bb142, "devm_kmalloc" },
	{ 0xa67d18b, "mt76x02_set_ethtool_fwver" },
	{ 0x5370b06c, "mt76x02_set_key" },
	{ 0x8218ac5f, "mt76_release_buffered_frames" },
	{ 0xcd202010, "request_firmware" },
	{ 0xf0bf2554, "usb_register_driver" },
	{ 0x5f348623, "mt76_get_txpower" },
	{ 0x9b1fd079, "module_layout" },
};

MODULE_INFO(depends, "mt76x2-common,mt76x02-lib,mt76,mac80211,mt76-usb,usbcore,mt76x02-usb");

MODULE_ALIAS("usb:v0B05p1833d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17EBd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p180Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7612d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp8503d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pB711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7632d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2C4Ep0103d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p9014d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p9053d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v045Ep02E6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v045Ep02FEd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "EFD8C4061C24FF01545D55A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
