#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe21ea034, "efuse_read_1byte" },
	{ 0x791ebee6, "rtl_process_phyinfo" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x97c34421, "rtl_cam_reset_all_entry" },
	{ 0xd0f51dbb, "rtl92c_phy_query_bb_reg" },
	{ 0x48649caa, "__pci_register_driver" },
	{ 0xb13b4ee0, "rtl92ce_phy_set_rf_on" },
	{ 0xba9c2a4d, "rtl_cam_empty_entry" },
	{ 0x2afff27c, "rtl92c_set_p2p_ps_offload_cmd" },
	{ 0x14bb5592, "rtl_cam_del_entry" },
	{ 0x37a0cba, "kfree" },
	{ 0x1b85255e, "rtl92c_phy_rf_config" },
	{ 0x833e469a, "rtl_cam_mark_invalid" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe3b8bbdb, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x299bbe29, "dev_driver_string" },
	{ 0x7e4b14e9, "_rtl_dbg_print" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x41d7cafa, "ieee80211_find_sta" },
	{ 0x12f97561, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9aa9da35, "rtl92c_phy_set_io_cmd" },
	{ 0x59b27305, "_rtl92c_store_pwrindex_diffrate_offset" },
	{ 0xe18fb943, "rtl_rfreg_delay" },
	{ 0xeafb2535, "rtl_pci_disconnect" },
	{ 0xc5f6cbd2, "rtl92c_download_fw" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xac231424, "rtl92c_set_fw_joinbss_report_cmd" },
	{ 0xf01fc4ed, "rtlwifi_rate_mapping" },
	{ 0xf33c4115, "rtl_pci_suspend" },
	{ 0xb367ff80, "request_firmware_nowait" },
	{ 0xa63ff6f4, "_rtl92c_phy_set_rf_sleep" },
	{ 0x59b844a8, "rtl_signal_scale_mapping" },
	{ 0xfd2bad6f, "_rtl_dbg_print_data" },
	{ 0x6d82405, "_rtl92c_phy_fw_rf_serial_write" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2921a4d4, "rtl_btc_status_false" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd718703a, "rtl92c_set_fw_pwrmode_cmd" },
	{ 0xdd84c953, "rtl92c_dm_rf_saving" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x2bb2d29e, "rtl92c_firmware_selfreset" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4cdde052, "rtl_get_hwinfo" },
	{ 0x5c998ccf, "rtl_ps_enable_nic" },
	{ 0x35d95596, "rtl_pci_resume" },
	{ 0xd0ee0f36, "rtl92c_phy_set_bb_reg" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x334c2918, "rtl92c_dm_init" },
	{ 0xb3fb5e0d, "rtl92c_phy_iq_calibrate" },
	{ 0xb515aba5, "rtl92c_dm_init_edca_turbo" },
	{ 0x67d6b793, "rtl_phy_scan_operation_backup" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xed7c8cf2, "rtl_evm_db_to_percentage" },
	{ 0xc14e01c6, "pv_ops" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x999e8297, "vfree" },
	{ 0x2c240fe2, "rtl_cam_add_one_entry" },
	{ 0xb62dbd7, "param_ops_bool" },
	{ 0x30a956d7, "rtl_query_rxpwrpercentage" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x73f64666, "rtl92c_phy_lc_calibrate" },
	{ 0xd6aa15e9, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xee392ff0, "rtl92c_phy_set_bw_mode" },
	{ 0x3eb10ec1, "_rtl92c_phy_rf_serial_read" },
	{ 0xf801a8f0, "rtl_get_tcb_desc" },
	{ 0xa51ac83d, "_rtl92c_phy_rf_serial_write" },
	{ 0x5e8c8a0f, "_rtl92c_phy_init_bb_rf_register_definition" },
	{ 0x8288d6ef, "rtl92c_dm_watchdog" },
	{ 0x844c4396, "rtl_ps_disable_nic" },
	{ 0x3b880f7e, "rtl92c_dm_check_txpower_tracking" },
	{ 0x39cb2be4, "rtl92c_set_fw_rsvdpagepkt" },
	{ 0x60b353ec, "rtl92c_phy_set_txpower_level" },
	{ 0xb6f1adde, "param_ops_int" },
	{ 0x51a5b9ca, "_rtl92c_phy_fw_rf_serial_read" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1c0f4ae7, "rtl92c_phy_set_rfpath_switch" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x44e07046, "rtl_cam_get_free_entry" },
	{ 0xb4c202f7, "rtl_pci_probe" },
	{ 0xf045c6bd, "kmalloc_caches" },
	{ 0x8ea60059, "rtl_fw_cb" },
	{ 0xdf3e948c, "rtl_cam_delete_one_entry" },
	{ 0x848f39ab, "param_ops_ullong" },
	{ 0x1b945315, "rtl_addr_delay" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2627b848, "rtl92c_phy_sw_chnl" },
	{ 0x16641e7a, "rtl92c_fill_h2c_cmd" },
	{ 0xe33e22e1, "_rtl92c_phy_bb8192c_config_parafile" },
	{ 0x9b1fd079, "module_layout" },
};

MODULE_INFO(depends, "rtlwifi,rtl8192c-common,mac80211,rtl_pci");

MODULE_ALIAS("pci:v000010ECd00008191sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008178sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008177sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008176sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "904C7E06C927070C779446F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
