#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtl_pci_probe, "", "");
KSYMTAB_FUNC(rtl_pci_disconnect, "", "");
KSYMTAB_FUNC(rtl_pci_suspend, "", "");
KSYMTAB_FUNC(rtl_pci_resume, "", "");

SYMBOL_CRC(rtl_pci_probe, 0xb4c202f7, "");
SYMBOL_CRC(rtl_pci_disconnect, 0xeafb2535, "");
SYMBOL_CRC(rtl_pci_suspend, 0xf33c4115, "");
SYMBOL_CRC(rtl_pci_resume, 0x35d95596, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf4b34f16, "rtl_lps_leave" },
	{ 0x77503a34, "ieee80211_register_hw" },
	{ 0xa1657b7b, "dev_kfree_skb_irq_reason" },
	{ 0x7a539e16, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1b0205c5, "rtl_p2p_info" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x299bbe29, "dev_driver_string" },
	{ 0x7e4b14e9, "_rtl_dbg_print" },
	{ 0xd260e423, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x12f97561, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x15ddc382, "rtl_deinit_rfkill" },
	{ 0x75ca4ef, "rtl_ops" },
	{ 0xc6b676ca, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x97e05663, "rtl_tid_to_ac" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x61f75529, "rtl_init_sw_leds" },
	{ 0xe180cd47, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xcc5e14a1, "pci_enable_msi" },
	{ 0x13f7e9ad, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24e6d677, "rtl_init_rx_config" },
	{ 0xd6fa4e5a, "sk_skb_reason_drop" },
	{ 0x2d32cdfc, "rtl_lps_change_work_callback" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x38360fae, "pcie_capability_clear_and_set_word_locked" },
	{ 0x1ea463c5, "dma_alloc_attrs" },
	{ 0x36d32632, "pci_read_config_word" },
	{ 0x75b1fb78, "rtl_action_proc" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd6cdf78b, "rtl_init_core" },
	{ 0x2a4001bd, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe654ffd6, "pci_iounmap" },
	{ 0x4e94cd48, "rtl_global_var" },
	{ 0x83bd2109, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3123bbd3, "ieee80211_stop_queue" },
	{ 0xd6bb53f1, "__netdev_alloc_skb" },
	{ 0xd8742b54, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0xb6cf0b48, "rtl_collect_scan_list" },
	{ 0xb112f9af, "dma_set_coherent_mask" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xaa905042, "dma_free_attrs" },
	{ 0xb0129ed4, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x737a22b3, "pci_write_config_byte" },
	{ 0x9b00ac75, "ieee80211_unregister_hw" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2a28a592, "ieee80211_beacon_get_tim" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x9e2d8c8b, "rtl_deinit_core" },
	{ 0xa809ab93, "pci_disable_device" },
	{ 0xbff2a14c, "dma_set_mask" },
	{ 0xef8a990, "rtl_efuse_ops_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xbf819b95, "pci_read_config_byte" },
	{ 0xb5f0b884, "dev_kfree_skb_any_reason" },
	{ 0x39b7747e, "rtl_debug_remove_one" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd7e0e5e2, "rtl_deinit_deferred_work" },
	{ 0xddcf1d80, "rtl_swlps_beacon" },
	{ 0xf9a482f9, "msleep" },
	{ 0x5a2cffff, "ieee80211_rx_irqsafe" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xf5540266, "pcie_capability_read_word" },
	{ 0x9f95b125, "rtl_beacon_statistic" },
	{ 0x21a78b68, "rtl_tx_mgmt_proc" },
	{ 0x49f06f0c, "pci_enable_device" },
	{ 0x63b1707e, "skb_put" },
	{ 0x6a5153b8, "consume_skb" },
	{ 0x3b113723, "pci_iomap" },
	{ 0x5e698728, "rtl_c2hcmd_enqueue" },
	{ 0xa6257a2f, "complete" },
	{ 0xc3bb9064, "rtl_debug_add_one" },
	{ 0xa2b86dc0, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x3aaad3d5, "ieee80211_free_hw" },
	{ 0xe3721847, "dma_unmap_page_attrs" },
	{ 0xe531bcf1, "rtl_init_rfkill" },
	{ 0x3416fca, "rtl_tx_ackqueue" },
	{ 0x489e6be5, "pci_disable_msi" },
	{ 0x88ecc02d, "rtl_is_special_data" },
	{ 0x874ca037, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe0f62755, "rtl_recognize_peer" },
	{ 0x9b1fd079, "module_layout" },
};

MODULE_INFO(depends, "rtlwifi,mac80211");


MODULE_INFO(srcversion, "3B1450C388AF6711823F671");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
