#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rsi_zone_enabled, "_gpl", "");
KSYMTAB_FUNC(rsi_dbg, "_gpl", "");
KSYMTAB_FUNC(rsi_read_pkt, "_gpl", "");
KSYMTAB_FUNC(rsi_91x_init, "_gpl", "");
KSYMTAB_FUNC(rsi_91x_deinit, "_gpl", "");
KSYMTAB_FUNC(rsi_mac80211_detach, "_gpl", "");
KSYMTAB_FUNC(rsi_config_wowlan, "", "");
KSYMTAB_FUNC(rsi_hal_device_init, "_gpl", "");

SYMBOL_CRC(rsi_zone_enabled, 0x0f5c3ce9, "_gpl");
SYMBOL_CRC(rsi_dbg, 0xcd173710, "_gpl");
SYMBOL_CRC(rsi_read_pkt, 0x87d13b3a, "_gpl");
SYMBOL_CRC(rsi_91x_init, 0x36eec1aa, "_gpl");
SYMBOL_CRC(rsi_91x_deinit, 0xe3583208, "_gpl");
SYMBOL_CRC(rsi_mac80211_detach, 0x803b262c, "_gpl");
SYMBOL_CRC(rsi_config_wowlan, 0xf83a894c, "");
SYMBOL_CRC(rsi_hal_device_init, 0xb59b09e2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1e6b5ac4, "wake_up_process" },
	{ 0x2d9e9ea5, "skb_queue_purge_reason" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe50a6f1, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc6b676ca, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe180cd47, "skb_queue_tail" },
	{ 0xeffe38b, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x5773d904, "wiphy_to_ieee80211_hw" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb7c0f443, "sort" },
	{ 0x13f7e9ad, "skb_pull" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x24d273d1, "add_timer" },
	{ 0xa55131c5, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbd9aa0c8, "skb_push" },
	{ 0xca0fd971, "kthread_stop" },
	{ 0x68068a92, "ieee80211_free_txskb" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a4001bd, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x395e3730, "ieee80211_emulate_add_chanctx" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x609805e2, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3123bbd3, "ieee80211_stop_queue" },
	{ 0xd6bb53f1, "__netdev_alloc_skb" },
	{ 0x285a390f, "ieee80211_ready_on_channel" },
	{ 0x4cacb072, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x23b7b03f, "kthread_create_on_node" },
	{ 0xc48340e1, "wiphy_rfkill_set_hw_state_reason" },
	{ 0xbbf47ac, "wiphy_rfkill_start_polling" },
	{ 0x87401232, "ieee80211_scan_completed" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9b00ac75, "ieee80211_unregister_hw" },
	{ 0xd6aa15e9, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2a28a592, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x8a9d278d, "ieee80211_cqm_rssi_notify" },
	{ 0xebedc06f, "ieee80211_emulate_remove_chanctx" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf045c6bd, "kmalloc_caches" },
	{ 0x5a2cffff, "ieee80211_rx_irqsafe" },
	{ 0x2b59f3f4, "ieee80211_queue_stopped" },
	{ 0x3911da77, "rsi_bt_ops" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x63b1707e, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5153b8, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xa6257a2f, "complete" },
	{ 0xa2b86dc0, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x3aaad3d5, "ieee80211_free_hw" },
	{ 0xb933e836, "ieee80211_probereq_get" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xcd202010, "request_firmware" },
	{ 0x52d5148, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6008689f, "kthread_complete_and_exit" },
	{ 0x77503a34, "ieee80211_register_hw" },
	{ 0x3a0c61d7, "ieee80211_emulate_change_chanctx" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x69c71f77, "ieee80211_generic_frame_duration" },
	{ 0x7a539e16, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x9b1fd079, "module_layout" },
};

MODULE_INFO(depends, "mac80211,rfkill,cfg80211,btrsi");


MODULE_INFO(srcversion, "65037BA707246B12AF07D34");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
