#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0x7370207d, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6f5f568b, "nvme_cleanup_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1284c32a, "nvme_mpath_start_request" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6ec7c87b, "nvmf_unregister_transport" },
	{ 0x906fa11d, "blkcg_get_fc_appid" },
	{ 0xaeb2b49b, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xac14c87d, "nvme_change_ctrl_state" },
	{ 0x8861636e, "_dev_info" },
	{ 0x12574090, "nvme_init_ctrl" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0x9aaf5dac, "nvme_alloc_io_tag_set" },
	{ 0xe90d3e8d, "nvme_fail_nonready_command" },
	{ 0x361aa286, "kobject_uevent_env" },
	{ 0x5b1b2e3b, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2a9ffdc4, "_dev_err" },
	{ 0x81c369f1, "device_create" },
	{ 0xfd7c4630, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x68460527, "blkcg_set_fc_appid" },
	{ 0x7550db1f, "__blk_rq_map_sg" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2ccb7755, "nvmf_reg_read64" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x34af2b14, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0x1be3cc3f, "nvmf_connect_admin_queue" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x53f1a994, "nvme_enable_ctrl" },
	{ 0x2e2b1105, "nvme_unquiesce_admin_queue" },
	{ 0xa51c770b, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcdf9d628, "nvme_unquiesce_io_queues" },
	{ 0xfdfd092e, "blk_mq_update_nr_hw_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xef3f7d48, "nvmf_reg_write32" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x86d7504e, "nvmf_should_reconnect" },
	{ 0x109c1773, "__dma_sync_single_for_device" },
	{ 0x7795e65d, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x9cb1114d, "device_destroy" },
	{ 0xd6aa15e9, "__kmalloc_cache_noprof" },
	{ 0x2478a599, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x435bcaa1, "nvmf_register_transport" },
	{ 0x1bcd7eb6, "blk_mq_start_request" },
	{ 0xf9d0bbbf, "nvme_quiesce_io_queues" },
	{ 0x4404f29, "blk_mq_tagset_busy_iter" },
	{ 0x7631acec, "nvme_stop_ctrl" },
	{ 0xcceda5c5, "dma_unmap_sg_attrs" },
	{ 0x360bd2a0, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0x6e9e68f6, "nvme_reset_ctrl" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x23282414, "nvme_quiesce_admin_queue" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xe8e6d53d, "class_register" },
	{ 0x517a5e24, "__nvme_check_ready" },
	{ 0xf045c6bd, "kmalloc_caches" },
	{ 0xd0e3f67b, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb0685754, "nvme_add_ctrl" },
	{ 0x6559d230, "nvme_remove_admin_tag_set" },
	{ 0x5e87c9d7, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x654d8f7d, "nvme_uninit_ctrl" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x4f8c0d56, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3e367bfa, "nvmf_free_options" },
	{ 0xf7f87a6f, "nvmf_subsystem_reset" },
	{ 0x32f38d45, "blk_mq_tagset_wait_completed_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1f6fdf71, "nvme_stop_keep_alive" },
	{ 0x8dcd36dc, "blk_mq_complete_request_remote" },
	{ 0xe3721847, "dma_unmap_page_attrs" },
	{ 0x87194e8e, "nvme_setup_cmd" },
	{ 0x31bdd75, "nvme_start_ctrl" },
	{ 0x90782e80, "nvme_alloc_admin_tag_set" },
	{ 0x158f8b50, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0x4e94dfc6, "nvmf_reg_read32" },
	{ 0xe2964344, "__wake_up" },
	{ 0xac590c36, "nvme_delete_ctrl" },
	{ 0x9e71d683, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xf2e80898, "nvme_should_fail" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x299bbe29, "dev_driver_string" },
	{ 0x34b83a21, "nvmf_get_address" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x12f97561, "dma_map_page_attrs" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0x3c9662fc, "nvme_remove_io_tag_set" },
	{ 0x9b1fd079, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "60214592975498F0BB20CBA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
