#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(asus_wmi_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(asus_wmi_register_driver, "_gpl", "");
KSYMTAB_FUNC(asus_wmi_unregister_driver, "_gpl", "");

SYMBOL_CRC(asus_wmi_evaluate_method, 0x57c46ceb, "_gpl");
SYMBOL_CRC(asus_wmi_register_driver, 0x1a1c0286, "_gpl");
SYMBOL_CRC(asus_wmi_unregister_driver, 0x964e60b6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdcdd8ce1, "__platform_create_bundle" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x67927a0d, "platform_profile_notify" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa5d2cfd2, "device_remove_file" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x62560195, "device_create_file" },
	{ 0xd473249a, "single_open" },
	{ 0x49dcbd2c, "seq_printf" },
	{ 0xd019400e, "led_classdev_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x62938d53, "platform_device_unregister" },
	{ 0x56a22647, "platform_driver_unregister" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2a9ffdc4, "_dev_err" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xddbeeecc, "pci_lock_rescan_remove" },
	{ 0x8a490c90, "rfkill_set_sw_state" },
	{ 0xb7e09cf3, "pci_find_bus" },
	{ 0x6ab3836b, "pci_bus_read_config_dword" },
	{ 0xb8e13efb, "pci_get_slot" },
	{ 0x56c27e50, "pci_dev_put" },
	{ 0x5790e7a0, "pci_unlock_rescan_remove" },
	{ 0xc364ad4e, "pci_stop_and_remove_bus_device" },
	{ 0xcd280682, "pci_scan_single_device" },
	{ 0xfc5b9717, "pci_bus_assign_resources" },
	{ 0x5df11ad3, "pci_bus_add_device" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0xd287e75d, "pci_hp_deregister" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0x9ce998a3, "i8042_remove_filter" },
	{ 0x76ae31fd, "wmi_remove_notify_handler" },
	{ 0x4651a3a0, "backlight_device_unregister" },
	{ 0x6444c4e6, "input_unregister_device" },
	{ 0xb4942be2, "debugfs_remove" },
	{ 0x27c1cd19, "sysfs_remove_group" },
	{ 0x5bfaac96, "battery_hook_unregister" },
	{ 0xbfe36436, "platform_profile_remove" },
	{ 0x783f1eda, "input_event" },
	{ 0x17b0f8ca, "wmi_get_event_data" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3b7235aa, "__acpi_video_get_backlight_type" },
	{ 0xbb74c8c3, "sparse_keymap_report_event" },
	{ 0x4e2b80e9, "backlight_force_update" },
	{ 0x66987dee, "led_classdev_notify_brightness_hw_changed" },
	{ 0xcd8ce890, "acpi_format_exception" },
	{ 0xa51c770b, "_dev_warn" },
	{ 0xda1581ea, "input_set_capability" },
	{ 0x63732777, "rfkill_alloc" },
	{ 0xaad6d92f, "rfkill_init_sw_state" },
	{ 0xff282521, "rfkill_register" },
	{ 0x9cab34a6, "rfkill_set_led_trigger_name" },
	{ 0xc9d4d6d1, "wmi_has_guid" },
	{ 0xf045c6bd, "kmalloc_caches" },
	{ 0xd6aa15e9, "__kmalloc_cache_noprof" },
	{ 0x65b4695, "wmi_get_acpi_device_uid" },
	{ 0x8861636e, "_dev_info" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xcc14423b, "sysfs_create_group" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0xcac33cd4, "platform_profile_register" },
	{ 0xb87dcc2f, "input_allocate_device" },
	{ 0x333c6448, "sparse_keymap_setup" },
	{ 0x1c31aa1d, "input_register_device" },
	{ 0x2c501298, "input_free_device" },
	{ 0x9c0e3322, "devm_hwmon_device_register_with_groups" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xcaa01579, "led_classdev_register_ext" },
	{ 0xed58b052, "backlight_device_register" },
	{ 0xf18bdd75, "wmi_install_notify_handler" },
	{ 0xe33827ee, "i8042_install_filter" },
	{ 0x9a45a57e, "battery_hook_register" },
	{ 0xab7fb6e3, "debugfs_create_dir" },
	{ 0x71dc0954, "debugfs_create_x32" },
	{ 0xa23ab45f, "debugfs_create_file" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xcd464b14, "__pci_hp_register" },
	{ 0x1741d463, "pci_get_device" },
	{ 0xd260e423, "pci_read_config_dword" },
	{ 0x7bb98ad2, "pci_write_config_dword" },
	{ 0x80994a6e, "seq_lseek" },
	{ 0xcb81e5f7, "seq_read" },
	{ 0x2feb55a, "single_release" },
	{ 0xacdd542c, "device_show_string" },
	{ 0xb62dbd7, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6068bedf, "wmi_evaluate_method" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0xff738eb3, "sysfs_notify" },
	{ 0x9b1fd079, "module_layout" },
};

MODULE_INFO(depends, "platform_profile,rfkill,wmi,battery,video,sparse-keymap");


MODULE_INFO(srcversion, "A6E9FEA73A28D34E73ED761");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
