#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_phy_enable, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha_no_sync, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_find_attached_phy_id, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_device_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_single, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_dev, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_clear_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_lu_reset, "_gpl", "");
KSYMTAB_FUNC(sas_query_task, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(smp_ata_check_ready_type, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(sas_ata_device_link_abort, "_gpl", "");
KSYMTAB_FUNC(sas_execute_ata_cmd, "_gpl", "");
KSYMTAB_DATA(sas_ata_sdev_attr_group, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_register_ha, 0xd515e8f5, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0x1bfe89c3, "_gpl");
SYMBOL_CRC(sas_phy_enable, 0x1797975a, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0xeb87d36a, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0xbdd92950, "");
SYMBOL_CRC(sas_resume_ha, 0xeaa016b0, "");
SYMBOL_CRC(sas_resume_ha_no_sync, 0x6d6e3001, "");
SYMBOL_CRC(sas_suspend_ha, 0xbd29bcb6, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0x42a547cb, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0x47ce519e, "_gpl");
SYMBOL_CRC(sas_drain_work, 0xaabfeafa, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0x8791df6b, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0x2e8f89c1, "_gpl");
SYMBOL_CRC(sas_find_attached_phy_id, 0x76dfb67f, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0x266c4511, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0x3304dfae, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0x82715b17, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0x136975a8, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0xe7d67733, "_gpl");
SYMBOL_CRC(sas_ioctl, 0xe2947649, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0x99cf14b3, "_gpl");
SYMBOL_CRC(sas_device_configure, 0x1ac2337a, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0x73a3744d, "_gpl");
SYMBOL_CRC(sas_bios_param, 0x10b32932, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_single, 0x699b5bb1, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_dev, 0xaefb0a6f, "_gpl");
SYMBOL_CRC(sas_abort_task_set, 0xab238d9a, "_gpl");
SYMBOL_CRC(sas_clear_task_set, 0xe903a6b8, "_gpl");
SYMBOL_CRC(sas_lu_reset, 0x22e08b11, "_gpl");
SYMBOL_CRC(sas_query_task, 0x5fac84e0, "_gpl");
SYMBOL_CRC(sas_abort_task, 0x7d2e06ab, "_gpl");
SYMBOL_CRC(sas_task_abort, 0xf1cc0096, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0xfc30b153, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0xffa59cdb, "_gpl");
SYMBOL_CRC(sas_request_addr, 0xc2de405d, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0xaa767778, "_gpl");
SYMBOL_CRC(smp_ata_check_ready_type, 0xd1007f53, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0xd07b54e7, "_gpl");
SYMBOL_CRC(sas_ata_device_link_abort, 0x4983faf9, "_gpl");
SYMBOL_CRC(sas_execute_ata_cmd, 0x7c8e5e62, "_gpl");
SYMBOL_CRC(sas_ata_sdev_attr_group, 0xed302c11, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xaeb2b49b, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x3f90b22f, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0x8861636e, "_dev_info" },
	{ 0x4b9b9e07, "sas_phy_free" },
	{ 0x997e9c4, "scsi_eh_finish_cmd" },
	{ 0xd25a88da, "ata_noop_qc_prep" },
	{ 0x5739ff07, "ata_port_schedule_eh" },
	{ 0xd5095a99, "ata_tport_delete" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x24d273d1, "add_timer" },
	{ 0x819c732d, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x98687a80, "sas_port_mark_backlink" },
	{ 0xee1ea04c, "kmem_cache_free" },
	{ 0x50f4542d, "ata_link_abort" },
	{ 0xdb357cdf, "ata_std_qc_defer" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf6023fb1, "ata_scsi_port_error_handler" },
	{ 0x2ea3c6a5, "ata_change_queue_depth" },
	{ 0x3615dc7e, "ata_port_probe" },
	{ 0xd517f7fd, "ata_std_error_handler" },
	{ 0x476fca6b, "ata_port_free" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1c6c723d, "sas_end_device_alloc" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x81788a0d, "sas_read_port_mode_page" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe21d61e9, "sas_expander_alloc" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xa51c770b, "_dev_warn" },
	{ 0xd8b786dd, "sas_rphy_delete" },
	{ 0xf82575be, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xa1344de8, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5175100a, "kmem_cache_alloc_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x56b87549, "scsi_host_busy" },
	{ 0xb37411a2, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4b9b467f, "ata_sas_port_suspend" },
	{ 0x912926b4, "sas_rphy_add" },
	{ 0x34f828d9, "__pm_runtime_resume" },
	{ 0x5d276f40, "sas_port_delete_phy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x30e065db, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd6aa15e9, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc8857e5d, "sas_port_add_phy" },
	{ 0x5cc2b685, "ata_scsi_cmd_error_handler" },
	{ 0xcff6db94, "ata_ncq_prio_enable" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x4404f29, "blk_mq_tagset_busy_iter" },
	{ 0x644594dd, "scsi_done" },
	{ 0x1cdc2f9a, "scsi_unblock_requests" },
	{ 0xb8fdd681, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xe4a3aba0, "ata_host_put" },
	{ 0xeff34877, "sas_port_free" },
	{ 0x6c39dbf7, "ata_std_sched_eh" },
	{ 0x2da17678, "ata_port_alloc" },
	{ 0xe5c09b49, "scsi_block_requests" },
	{ 0x31fc8652, "blk_abort_request" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb37f9d5, "ata_ncq_prio_supported" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xf2b4d49d, "sas_remove_children" },
	{ 0xe9dfae86, "scsi_change_queue_depth" },
	{ 0x3060e392, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8e8e8b08, "ata_port_wait_eh" },
	{ 0xf045c6bd, "kmalloc_caches" },
	{ 0x68af9b28, "kmem_cache_destroy" },
	{ 0x86744a16, "ata_qc_complete" },
	{ 0xcde64189, "ata_sas_scsi_ioctl" },
	{ 0xd98d6f3d, "ata_tport_add" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x14c0b780, "sas_rphy_remove" },
	{ 0xab710778, "ata_sas_device_configure" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x6a988d22, "bsg_job_done" },
	{ 0x7325fd2f, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc01b0a5d, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa0d47f5e, "scsi_schedule_eh" },
	{ 0xcd202010, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0xac2665a1, "ata_ncq_prio_enabled" },
	{ 0x9ef3c651, "ata_host_init" },
	{ 0xf1e8be91, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xe7109938, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x64aa48b0, "sas_port_get_phy" },
	{ 0x91cda5e9, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0xdeb1893e, "kmem_cache_create" },
	{ 0x9e71d683, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x5bc0bee0, "ata_wait_after_reset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x2733e03d, "sas_phy_alloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9b1fd079, "module_layout" },
};

MODULE_INFO(depends, "libata,scsi_transport_sas,scsi_mod,scsi_common");


MODULE_INFO(srcversion, "D36CFE3B73203B6DD92451C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
