#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_md_udp_encap, "", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0x7ac17acf, "_gpl");
SYMBOL_CRC(ip_tunnel_md_udp_encap, 0xc8bedf9d, "");
SYMBOL_CRC(ip_tunnel_rcv, 0x7c128463, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0xba473585, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0x3954771a, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0x2d985a91, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0x5fa930ce, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0x60aa882f, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0xaf9f8dfa, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0x7f835b87, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0xfca8744d, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0x6cc6af52, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0xbddae49f, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0xf04b2cb0, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0x237a748e, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0x28926302, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0xa9365260, "");
SYMBOL_CRC(ip_tunnel_init_net, 0x4aa5e4f1, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0x1f192db2, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0xa0ce134e, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0x34771755, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0x3780c5d4, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0x978c98ae, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0x093db52c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x36fd09af, "iptun_encaps" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x754d539c, "strlen" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x9f4b1227, "alloc_netdev_mqs" },
	{ 0x18b77b62, "register_netdevice" },
	{ 0xf1084858, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8809d856, "unregister_netdevice_queue" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xee2601d9, "gro_cells_init" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa8e6d2ea, "ip_route_output_flow" },
	{ 0xa1f2e338, "dst_release" },
	{ 0x1bd5d618, "__dev_get_by_index" },
	{ 0x45b11ef6, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xf00cf7a5, "dev_addr_mod" },
	{ 0x57fdccaa, "netdev_state_change" },
	{ 0xfe63ca2f, "ns_capable" },
	{ 0x27c2003e, "dev_set_mtu" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8e133eef, "init_net" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd6fa4e5a, "sk_skb_reason_drop" },
	{ 0xccc4dbd9, "__pskb_pull_tail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa7a937ae, "skb_scrub_packet" },
	{ 0xc9f38371, "gro_cells_receive" },
	{ 0xe891fd65, "skb_copy_bits" },
	{ 0x882c5e46, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0xe825cf39, "ip6_mtu" },
	{ 0xff9349fe, "icmpv6_ndo_send" },
	{ 0xd13162d7, "icmp_ndo_send" },
	{ 0x23e7d384, "ipv4_mtu" },
	{ 0xbf9ca633, "dst_cache_get_ip4" },
	{ 0x4ba247d6, "iptunnel_xmit" },
	{ 0x470ce95d, "__skb_get_hash_net" },
	{ 0xd63695dc, "pskb_expand_head" },
	{ 0x8e2cda9, "dst_cache_set_ip4" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x29bd24ab, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9b1fd079, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6F4440B10885E34EDF21BEE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
