#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x5fc7ad9c, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x4bf651ca, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x39039f7b, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x8ab4061d, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0xf427425a, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0xb739dc70, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa05af922, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x740a579e, "skb_mpls_pop" },
	{ 0x51e9defd, "skb_vlan_pop" },
	{ 0xc9dcd3fe, "dst_init" },
	{ 0xb570e29f, "module_put" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0x470ce95d, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb1c17097, "rtnl_link_unregister" },
	{ 0xf4be0c89, "perf_trace_run_bpf_submit" },
	{ 0x8e133eef, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0x2972f272, "ipv6_stub" },
	{ 0x910f876d, "skb_mpls_update_lse" },
	{ 0x13f7e9ad, "skb_pull" },
	{ 0xcc574741, "__skb_get_hash_symmetric_net" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd6fa4e5a, "sk_skb_reason_drop" },
	{ 0x1c5111ab, "netlink_unicast" },
	{ 0xf6c316cf, "bpf_trace_run5" },
	{ 0xeb5f32c7, "dev_get_by_index_rcu" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbd9aa0c8, "skb_push" },
	{ 0xee1ea04c, "kmem_cache_free" },
	{ 0x3277a073, "netdev_upper_dev_unlink" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0xc45d7345, "trace_event_reg" },
	{ 0xc1b8784c, "skb_ensure_writable" },
	{ 0xf1084858, "free_netdev" },
	{ 0x210f4642, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x7b6ed495, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x32036195, "ethtool_op_get_link" },
	{ 0x169d1c40, "__nf_conntrack_confirm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0x762ee2c0, "nf_nat_helper_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x5175100a, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xccc4dbd9, "__pskb_pull_tail" },
	{ 0x4ddf0abb, "nf_ct_delete" },
	{ 0x2f3e2eaa, "nf_conncount_init" },
	{ 0x6f1a4f9b, "skb_vlan_push" },
	{ 0xe01c03d4, "netif_rx" },
	{ 0xd6bb53f1, "__netdev_alloc_skb" },
	{ 0x38e49637, "netdev_master_upper_dev_link" },
	{ 0x897dd076, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xd0fdae40, "inet_proto_csum_replace16" },
	{ 0x1239417d, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa7a937ae, "skb_scrub_packet" },
	{  0x74be0, "nf_ct_deliver_cached_events" },
	{ 0x8131c07f, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xe40a9b91, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xd89abef1, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xc41334b0, "trace_event_buffer_reserve" },
	{ 0x50992b86, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeab8e971, "inet_proto_csum_replace4" },
	{ 0x10a4eaee, "nf_conncount_destroy" },
	{ 0x801c486d, "skb_zerocopy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd6aa15e9, "__kmalloc_cache_noprof" },
	{ 0x9db6416c, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x93fc548e, "dev_get_by_name" },
	{ 0xdd108f2b, "skb_clone" },
	{ 0xc7f89d9d, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa1f2e338, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd83dc476, "peernet2id_alloc" },
	{ 0x47c07e7e, "nf_ct_get_tuplepr" },
	{ 0xc28cddf3, "netdev_rx_handler_register" },
	{ 0x654093ba, "ip_do_fragment" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x9311894c, "genl_unregister_family" },
	{ 0xca136a4e, "dev_disable_lro" },
	{ 0xf876ee17, "kmem_cache_alloc_node_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xb5f0b884, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x6bc7aa44, "genl_register_family" },
	{ 0x6532ead4, "nf_ct_tmpl_free" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x820717a5, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x24e6cd6a, "__skb_gso_segment" },
	{ 0x53b954a2, "up_read" },
	{ 0x59f5d434, "skb_mpls_push" },
	{ 0x15ba25bd, "register_pernet_device" },
	{ 0x68c74dea, "nf_conntrack_in" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xf045c6bd, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x68af9b28, "kmem_cache_destroy" },
	{ 0xc7fdbc95, "__skb_vlan_pop" },
	{ 0x60be0070, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x18b77b62, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xb3fc7ecc, "nf_ct_ext_add" },
	{ 0x82e22396, "nsh_pop" },
	{ 0x74b68f39, "nf_conntrack_find_get" },
	{ 0xa49cdeaf, "nf_ct_set_timeout" },
	{ 0x57a39657, "dev_get_stats" },
	{ 0xb0568cb7, "__nla_put" },
	{ 0xbaeb40ad, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x594dd2a5, "dev_fill_metadata_dst" },
	{ 0x19525f9b, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xe891fd65, "skb_copy_bits" },
	{ 0xd9fc7fc, "nf_ct_handle_fragments" },
	{ 0xb988f7ab, "eth_mac_addr" },
	{ 0x63b1707e, "skb_put" },
	{ 0x5b730d15, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5dfd6df6, "nsh_push" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x6a5153b8, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0xab73d3a9, "nf_ct_nat" },
	{ 0xf3e970bf, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2cc26d07, "skb_eth_pop" },
	{ 0xf29168f5, "trace_raw_output_prep" },
	{ 0xf3ed137e, "skb_gso_validate_mac_len" },
	{ 0x60714e08, "nla_put_64bit" },
	{ 0x93f55d60, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0xcb9e6d0a, "nf_ct_helper" },
	{ 0x3b412070, "__trace_trigger_soft_disabled" },
	{ 0x7d572750, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x44e2d7ee, "trace_event_printf" },
	{ 0xb930b61f, "rtnl_delete_link" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x30da0af, "rtnl_link_register" },
	{ 0xb125ee4b, "nf_connlabels_put" },
	{ 0xb10d5e3a, "genlmsg_put" },
	{ 0xadd1b272, "___pskb_trim" },
	{ 0xfe3fefd1, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x66362c0c, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0x430f09f8, "dev_set_promiscuity" },
	{ 0x55d01567, "nf_ct_destroy_timeout" },
	{ 0x2e2423e, "nf_ct_add_helper" },
	{ 0xe943b4fc, "pcpu_hot" },
	{ 0xc64da8b0, "nf_conntrack_helper_put" },
	{ 0xf857951f, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x76455e84, "nf_ct_skb_network_trim" },
	{ 0x8809d856, "unregister_netdevice_queue" },
	{ 0xdeb1893e, "kmem_cache_create" },
	{ 0xb0212bd4, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0x8d41e773, "ether_setup" },
	{ 0x42987f3a, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd63695dc, "pskb_expand_head" },
	{ 0x3518d911, "skb_csum_hwoffload_help" },
	{ 0x6307af89, "trace_event_buffer_commit" },
	{ 0xf00cf7a5, "dev_addr_mod" },
	{ 0xda961ced, "nf_connlabels_replace" },
	{ 0x882c5e46, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9f4b1227, "alloc_netdev_mqs" },
	{ 0x2d86ebff, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1cdb525d, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x126d2469, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x703ed05c, "skb_eth_push" },
	{ 0x58d85b2a, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0x9b1fd079, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_conncount,libcrc32c,nsh,nf_nat,psample");


MODULE_INFO(srcversion, "E33A50B587626FB5841DCCF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
