#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hda_cl_prepare, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(cl_dsp_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_cl_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_cl_cleanup, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_cl_boot_firmware_iccmax, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(hda_dsp_cl_boot_firmware, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_load_library, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ext_man_get_cavs_config_data, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_hda_position_quirk, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_hw_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_check_stream_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_threaded_handler, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_get_position, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_get_stream_llp, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_get_stream_ldp, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_trace_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_trace_release, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_trace_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_get_interface_mask, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_is_chain_dma_supported, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_stall_reset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_is_enabled, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_run, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_power_up, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_enable_core, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_reset_power_down, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_int_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_int_disable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_set_power_state_ipc3, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_set_power_state_ipc4, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_resume, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_runtime_resume, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_runtime_idle, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_runtime_suspend, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_suspend, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_shutdown_dma_flush, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_shutdown, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_set_hw_params_upon_resume, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_d0i3_work, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_get, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_common_enable_sdw_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_int_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_check_lcount_common, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_check_lcount_ext, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_check_lcount, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_process_wakeen, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_disable_interrupts, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_get_state, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(__tracepoint_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_DATA(__tracepoint_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_DATA(__tracepoint_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_FUNC(hda_dsp_ipc_send_msg, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_schedule_d0i3_work, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_send_msg, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_get_reply, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_irq_thread, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_irq_thread, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_check_ipc_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_get_mailbox_offset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_get_window_offset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc_msg_data, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_set_stream_data_offset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc4_dsp_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_check_ipc_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc_irq_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc4_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc4_tx_is_busy, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_get_caps, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_ppcap_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_ppcap_int_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_clock_power_gating, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_init_chip, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_hw_params, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_ack, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_pointer, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_open, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_close, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dai_config, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sdw_hda_dai_hw_params, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sdw_hda_dai_hw_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sdw_hda_dai_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_set_dai_drv_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ops_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(skl_dai, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_hda_bus_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_hda_bus_exit, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_ipc4_intel_dump_telemetry_state, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(__tracepoint_sof_intel_hda_irq, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_hda_irq, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_hda_irq, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_hda_irq, "", "");
KSYMTAB_FUNC(hda_probes_register, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_probes_unregister, "", "SND_SOC_SOF_INTEL_HDA_COMMON");

SYMBOL_CRC(hda_cl_prepare, 0x82418a2a, "");
SYMBOL_CRC(cl_dsp_init, 0xbf8f25cd, "");
SYMBOL_CRC(hda_cl_trigger, 0xfa190021, "");
SYMBOL_CRC(hda_cl_cleanup, 0x2f2e7c77, "");
SYMBOL_CRC(hda_dsp_cl_boot_firmware_iccmax, 0x4929e1f7, "");
SYMBOL_CRC(hda_dsp_cl_boot_firmware, 0xf2f84e8d, "");
SYMBOL_CRC(hda_dsp_ipc4_load_library, 0x64489ec7, "");
SYMBOL_CRC(hda_dsp_ext_man_get_cavs_config_data, 0xcae02eb9, "");
SYMBOL_CRC(sof_hda_position_quirk, 0xf2ce560f, "");
SYMBOL_CRC(hda_dsp_stream_hw_free, 0x5cc3eb05, "");
SYMBOL_CRC(hda_dsp_check_stream_irq, 0xc41934b1, "");
SYMBOL_CRC(hda_dsp_stream_threaded_handler, 0x3bdcdfa9, "");
SYMBOL_CRC(hda_dsp_stream_init, 0x6d374d49, "");
SYMBOL_CRC(hda_dsp_stream_free, 0x2e273467, "");
SYMBOL_CRC(hda_dsp_stream_get_position, 0x9e9b12c0, "");
SYMBOL_CRC(hda_dsp_get_stream_llp, 0xbc68c428, "");
SYMBOL_CRC(hda_dsp_get_stream_ldp, 0x22c57c75, "");
SYMBOL_CRC(hda_dsp_trace_init, 0x6b75c1b4, "");
SYMBOL_CRC(hda_dsp_trace_release, 0x332ab746, "");
SYMBOL_CRC(hda_dsp_trace_trigger, 0x1c116c3c, "");
SYMBOL_CRC(hda_get_interface_mask, 0x363406bb, "");
SYMBOL_CRC(hda_is_chain_dma_supported, 0xf39feb39, "");
SYMBOL_CRC(hda_dsp_core_stall_reset, 0xaba2b619, "");
SYMBOL_CRC(hda_dsp_core_is_enabled, 0x120c488f, "");
SYMBOL_CRC(hda_dsp_core_run, 0x9731e043, "");
SYMBOL_CRC(hda_dsp_core_power_up, 0x01ab0ade, "");
SYMBOL_CRC(hda_dsp_enable_core, 0x4a7486c2, "");
SYMBOL_CRC(hda_dsp_core_reset_power_down, 0xf8cde0c2, "");
SYMBOL_CRC(hda_dsp_ipc_int_enable, 0x10ae1057, "");
SYMBOL_CRC(hda_dsp_ipc_int_disable, 0x7ccc25c0, "");
SYMBOL_CRC(hda_dsp_set_power_state_ipc3, 0x8116210b, "");
SYMBOL_CRC(hda_dsp_set_power_state_ipc4, 0x85aa9b8f, "");
SYMBOL_CRC(hda_dsp_resume, 0xe9a6dc95, "");
SYMBOL_CRC(hda_dsp_runtime_resume, 0x8ba2ac9e, "");
SYMBOL_CRC(hda_dsp_runtime_idle, 0x02b11123, "");
SYMBOL_CRC(hda_dsp_runtime_suspend, 0xd960f034, "");
SYMBOL_CRC(hda_dsp_suspend, 0x5a201423, "");
SYMBOL_CRC(hda_dsp_shutdown_dma_flush, 0xfe03c37c, "");
SYMBOL_CRC(hda_dsp_shutdown, 0x7c423150, "");
SYMBOL_CRC(hda_dsp_set_hw_params_upon_resume, 0x5078a801, "");
SYMBOL_CRC(hda_dsp_d0i3_work, 0x2ad078bb, "");
SYMBOL_CRC(hda_dsp_core_get, 0xb69d6da9, "");
SYMBOL_CRC(hda_common_enable_sdw_irq, 0xb3b1b221, "");
SYMBOL_CRC(hda_sdw_int_enable, 0x43a2f0c1, "");
SYMBOL_CRC(hda_sdw_check_lcount_common, 0x42fc8d00, "");
SYMBOL_CRC(hda_sdw_check_lcount_ext, 0x4cbba090, "");
SYMBOL_CRC(hda_sdw_check_lcount, 0x5678d5a3, "");
SYMBOL_CRC(hda_sdw_process_wakeen, 0x8ebceabc, "");
SYMBOL_CRC(hda_dsp_disable_interrupts, 0xf5afc722, "");
SYMBOL_CRC(hda_dsp_get_state, 0x5f2a5f40, "");
SYMBOL_CRC(hda_dsp_dump, 0x3aebeeec, "");
SYMBOL_CRC(__tracepoint_sof_intel_ipc_firmware_initiated, 0x3102a641, "");
SYMBOL_CRC(__traceiter_sof_intel_ipc_firmware_initiated, 0x3a819269, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_ipc_firmware_initiated, 0xeb9af317, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_ipc_firmware_initiated, 0x35e33813, "");
SYMBOL_CRC(__tracepoint_sof_intel_ipc_firmware_response, 0xeb5fe93e, "");
SYMBOL_CRC(__traceiter_sof_intel_ipc_firmware_response, 0x8cdb4d32, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_ipc_firmware_response, 0x13b26f55, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_ipc_firmware_response, 0x16bbbb91, "");
SYMBOL_CRC(__tracepoint_sof_intel_hda_irq_ipc_check, 0x991f18d4, "");
SYMBOL_CRC(__traceiter_sof_intel_hda_irq_ipc_check, 0xc9300976, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_hda_irq_ipc_check, 0x6e96f9a9, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_hda_irq_ipc_check, 0x2b37f935, "");
SYMBOL_CRC(hda_dsp_ipc_send_msg, 0x9ba96e11, "");
SYMBOL_CRC(hda_dsp_ipc4_schedule_d0i3_work, 0x5972a115, "");
SYMBOL_CRC(hda_dsp_ipc4_send_msg, 0xd72604cb, "");
SYMBOL_CRC(hda_dsp_ipc_get_reply, 0x22cd4147, "");
SYMBOL_CRC(hda_dsp_ipc4_irq_thread, 0x6ef62ffb, "");
SYMBOL_CRC(hda_dsp_ipc_irq_thread, 0xa457063a, "");
SYMBOL_CRC(hda_dsp_check_ipc_irq, 0x8d07e110, "");
SYMBOL_CRC(hda_dsp_ipc_get_mailbox_offset, 0xabe6f978, "");
SYMBOL_CRC(hda_dsp_ipc_get_window_offset, 0x89d2f979, "");
SYMBOL_CRC(hda_ipc_msg_data, 0xa1b33e2b, "");
SYMBOL_CRC(hda_set_stream_data_offset, 0x8d25a49f, "");
SYMBOL_CRC(hda_ipc4_dsp_dump, 0x1b952ff3, "");
SYMBOL_CRC(hda_check_ipc_irq, 0xa9b6cdcf, "");
SYMBOL_CRC(hda_ipc_irq_dump, 0xdf0cda4f, "");
SYMBOL_CRC(hda_ipc_dump, 0x295e6bdb, "");
SYMBOL_CRC(hda_ipc4_dump, 0x6699b2d3, "");
SYMBOL_CRC(hda_ipc4_tx_is_busy, 0x0d99bf16, "");
SYMBOL_CRC(hda_dsp_ctrl_get_caps, 0xe062d817, "");
SYMBOL_CRC(hda_dsp_ctrl_ppcap_enable, 0x9de1ccfd, "");
SYMBOL_CRC(hda_dsp_ctrl_ppcap_int_enable, 0xf0034d0a, "");
SYMBOL_CRC(hda_dsp_ctrl_clock_power_gating, 0x49063ca4, "");
SYMBOL_CRC(hda_dsp_ctrl_init_chip, 0x755614db, "");
SYMBOL_CRC(hda_dsp_pcm_hw_params, 0x046c9bf1, "");
SYMBOL_CRC(hda_dsp_pcm_ack, 0xaaf44ac9, "");
SYMBOL_CRC(hda_dsp_pcm_trigger, 0xde6d573d, "");
SYMBOL_CRC(hda_dsp_pcm_pointer, 0x9c16bcc1, "");
SYMBOL_CRC(hda_dsp_pcm_open, 0x7ef01246, "");
SYMBOL_CRC(hda_dsp_pcm_close, 0x940a9e50, "");
SYMBOL_CRC(hda_dai_config, 0xbe4c2c18, "");
SYMBOL_CRC(sdw_hda_dai_hw_params, 0xf347020c, "");
SYMBOL_CRC(sdw_hda_dai_hw_free, 0x24d8faf5, "");
SYMBOL_CRC(sdw_hda_dai_trigger, 0x00ced62c, "");
SYMBOL_CRC(hda_set_dai_drv_ops, 0xa9e0c81f, "");
SYMBOL_CRC(hda_ops_free, 0xdca2ec89, "");
SYMBOL_CRC(skl_dai, 0x4b9e7b2d, "");
SYMBOL_CRC(sof_hda_bus_init, 0x4e55184f, "");
SYMBOL_CRC(sof_hda_bus_exit, 0x57923027, "");
SYMBOL_CRC(sof_ipc4_intel_dump_telemetry_state, 0x1f9b1b8e, "");
SYMBOL_CRC(__tracepoint_sof_intel_hda_irq, 0x507318b8, "");
SYMBOL_CRC(__traceiter_sof_intel_hda_irq, 0x7af80bd9, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_hda_irq, 0x77118688, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_hda_irq, 0x79bb115b, "");
SYMBOL_CRC(hda_probes_register, 0xd039c67d, "");
SYMBOL_CRC(hda_probes_unregister, 0xea99b400, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe2964344, "__wake_up" },
	{ 0x519cf647, "snd_sgbuf_get_addr" },
	{ 0xf15ef131, "__dynamic_dev_dbg" },
	{ 0xf632ed13, "snd_sgbuf_get_chunk_size" },
	{ 0x23befb84, "snd_soc_hdac_hda_get_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6307af89, "trace_event_buffer_commit" },
	{ 0xf85a743a, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x80b0a546, "hda_codec_resume_cmd_io" },
	{ 0x6420ecdb, "sof_ipc4_find_debug_slot_offset_by_type" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xdb9d3cfd, "snd_hdac_ext_bus_exit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab2414d9, "snd_hdac_ext_stream_clear" },
	{ 0xdbcbc5c5, "snd_sof_dsp_only_d0i3_compatible_stream_active" },
	{ 0x8861636e, "_dev_info" },
	{ 0xd4bd793e, "snd_hdac_ext_bus_link_power" },
	{ 0x22705b85, "snd_sof_dsp_dbg_dump" },
	{ 0x19edb53c, "sof_mailbox_write" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x8dab59c4, "sof_mailbox_read" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xf4be0c89, "perf_trace_run_bpf_submit" },
	{ 0x8b33230, "devm_kfree" },
	{ 0x2a9ffdc4, "_dev_err" },
	{ 0x2565cb6f, "snd_sof_dsp_update_bits_forced" },
	{ 0x4574b0e1, "snd_hdac_ext_stream_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xb7e2ecc5, "hdac_bus_eml_sdw_map_stream_ch" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf868203d, "sof_client_dev_register" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc45d7345, "trace_event_reg" },
	{ 0x61c79869, "snd_soc_dpcm_get_substream" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x9cf77f1, "snd_sof_dsp_update_bits_unlocked" },
	{ 0x326461b3, "sof_print_oops_and_stack" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x80fa47a, "hda_bus_ml_reset_losidv" },
	{ 0x10321bf1, "snd_hdac_ext_stream_setup" },
	{ 0xff6104d0, "snd_pcm_rate_bit_to_rate" },
	{ 0xae483e43, "snd_sof_ipc_get_reply" },
	{ 0x2983d575, "snd_sof_dsp_update_bits" },
	{ 0x8062392f, "pci_restore_state" },
	{ 0x31fbc20a, "snd_sof_pci_update_bits" },
	{ 0xc6dbd8cc, "hdac_bus_eml_ssp_get_hlink" },
	{ 0x8bb5402b, "hdac_bus_eml_dmic_get_hlink" },
	{ 0xa51c770b, "_dev_warn" },
	{ 0x50cd7886, "snd_hdac_display_power" },
	{ 0x13d14288, "snd_pcm_hw_constraint_mask64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xdfb2511b, "snd_hdac_stream_format_bits" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x620d0f7c, "snd_pcm_hw_constraint_integer" },
	{ 0x6202804e, "bpf_trace_run3" },
	{ 0x996a8858, "hda_codec_rirb_status_clear" },
	{ 0x2a14ca03, "hda_codec_suspend_cmd_io" },
	{ 0xb5b49df6, "snd_sof_ipc_reply" },
	{ 0x9cadd024, "hda_codec_init_cmd_io" },
	{ 0xe83cafd0, "hda_codec_stop_cmd_io" },
	{ 0xb2a74f21, "hda_codec_detect_mask" },
	{ 0xc41334b0, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xb62dbd7, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xd6aa15e9, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4bb344af, "sof_ipc_tx_message" },
	{ 0x1e87f144, "snd_sof_dsp_panic" },
	{ 0x9414557f, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0x8bc0a1e4, "snd_sof_suspend" },
	{ 0xbea062, "snd_hdac_ext_bus_link_set_stream_id" },
	{ 0xdcb61650, "snd_hdac_stream_format" },
	{ 0x81f5a410, "snd_pcm_hw_constraint_step" },
	{ 0x754d539c, "strlen" },
	{ 0xb6f1adde, "param_ops_int" },
	{ 0x9fe35346, "intel_nhlt_init" },
	{ 0xcc43f1c5, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x6d4cfeee, "sof_client_dev_unregister" },
	{ 0x20b328bb, "hda_codec_check_rirb_status" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xe5b0d182, "snd_hdac_ext_stream_reset" },
	{ 0x258fdbd2, "hdac_bus_eml_get_count" },
	{ 0xeb8162dd, "snd_hdac_ext_bus_link_clear_stream_id" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf045c6bd, "kmalloc_caches" },
	{ 0xbf7757d3, "sof_io_write" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6db9ff3f, "snd_sof_pcm_period_elapsed" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xac3d61f6, "hda_codec_jack_check" },
	{ 0x8d51666, "hda_bus_ml_suspend" },
	{ 0x14d7c950, "pci_save_state" },
	{ 0xe48f12c2, "sof_block_read" },
	{ 0x19368a6e, "hda_codec_i915_display_power" },
	{ 0x19525f9b, "bpf_trace_run4" },
	{ 0x318fe956, "snd_dma_alloc_dir_pages" },
	{ 0xe50bb142, "devm_kmalloc" },
	{ 0xd05c4e8c, "snd_hdac_bus_send_cmd" },
	{ 0x86def3e1, "hda_bus_ml_resume" },
	{ 0x76dc90c5, "snd_hdac_bus_get_response" },
	{ 0xd7b05103, "snd_hdac_ext_stream_start" },
	{ 0xa6257a2f, "complete" },
	{ 0xf29168f5, "trace_raw_output_prep" },
	{ 0x75e746be, "hdac_bus_eml_sdw_get_hlink" },
	{ 0xf33febec, "hda_codec_set_codec_wakeup" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x3b412070, "__trace_trigger_soft_disabled" },
	{ 0x19365c51, "snd_hdac_ext_stream_decouple_locked" },
	{ 0x44e2d7ee, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x1374d9a4, "snd_pcm_hw_constraint_minmax" },
	{ 0x2ecfcfb8, "hda_codec_jack_wake_enable" },
	{ 0xfe3fefd1, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2167ac86, "snd_hdac_ext_bus_init" },
	{ 0xe943b4fc, "pcpu_hot" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x1659a4f6, "sof_ipc4_set_pipeline_state" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x37dc0259, "bpf_trace_run2" },
	{ 0x9b1fd079, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-soc-hdac-hda,snd-sof-intel-hda,snd-sof,snd-hda-ext-core,snd-sof-intel-hda-mlink,snd-soc-core,snd-intel-dspcfg,snd-hda-core");


MODULE_INFO(srcversion, "D8660879600BE6EC0922FA1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
