#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hda_sdw_startup, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_common_check_sdw_irq, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_sdw_check_wakeen_irq_common, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_sdw_process_wakeen_common, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_post_fw_run, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_probe_early, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_probe, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_remove, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_power_down_dsp, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_pci_intel_probe, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_DATA(sof_hda_common_ops, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");

SYMBOL_CRC(hda_sdw_startup, 0xa9f2f33c, "");
SYMBOL_CRC(hda_common_check_sdw_irq, 0xec9fc34e, "");
SYMBOL_CRC(hda_sdw_check_wakeen_irq_common, 0x9f0d830b, "");
SYMBOL_CRC(hda_sdw_process_wakeen_common, 0xd9330b32, "");
SYMBOL_CRC(hda_dsp_post_fw_run, 0x0045c0ca, "");
SYMBOL_CRC(hda_dsp_probe_early, 0x7cbaed60, "");
SYMBOL_CRC(hda_dsp_probe, 0x93230719, "");
SYMBOL_CRC(hda_dsp_remove, 0x7a99b9c3, "");
SYMBOL_CRC(hda_power_down_dsp, 0x788132f7, "");
SYMBOL_CRC(hda_pci_intel_probe, 0x30aecaba, "");
SYMBOL_CRC(sof_hda_common_ops, 0x08357986, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaa52eba1, "sdw_intel_thread" },
	{ 0x2ad078bb, "hda_dsp_d0i3_work" },
	{ 0xe50bb142, "devm_kmalloc" },
	{ 0x79bb115b, "__SCT__tp_func_sof_intel_hda_irq" },
	{ 0x5f08dde5, "pci_alloc_irq_vectors" },
	{ 0x7e47e4a, "intel_nhlt_get_dmic_geo" },
	{ 0xcae02eb9, "hda_dsp_ext_man_get_cavs_config_data" },
	{ 0x9de1ccfd, "hda_dsp_ctrl_ppcap_enable" },
	{ 0x8ebceabc, "hda_sdw_process_wakeen" },
	{ 0x43a2f0c1, "hda_sdw_int_enable" },
	{ 0xe513d0ef, "hda_bus_ml_init" },
	{ 0x2b546191, "hda_codec_probe_bus" },
	{ 0x57923027, "sof_hda_bus_exit" },
	{ 0xf347020c, "sdw_hda_dai_hw_params" },
	{ 0xedc03953, "iounmap" },
	{ 0x4f674302, "sdw_intel_exit" },
	{ 0x19b56994, "hda_codec_check_for_state_change" },
	{ 0x673f72a9, "sof_xtensa_arch_ops" },
	{ 0x41a05c36, "intel_nhlt_has_endpoint_type" },
	{ 0x37a0cba, "kfree" },
	{ 0xced62c, "sdw_hda_dai_trigger" },
	{ 0x8685c5d7, "hda_bus_ml_free" },
	{ 0xe943b4fc, "pcpu_hot" },
	{ 0xf2f84e8d, "hda_dsp_cl_boot_firmware" },
	{ 0x46c9bf1, "hda_dsp_pcm_hw_params" },
	{ 0x5678d5a3, "hda_sdw_check_lcount" },
	{ 0xa8c2ca7a, "snd_intel_dsp_driver_probe" },
	{ 0xc6276ea6, "pci_irq_vector" },
	{ 0x49063ca4, "hda_dsp_ctrl_clock_power_gating" },
	{ 0xf15ef131, "__dynamic_dev_dbg" },
	{ 0xd0df140b, "pci_ioremap_bar" },
	{ 0x755614db, "hda_dsp_ctrl_init_chip" },
	{ 0x24d8faf5, "sdw_hda_dai_hw_free" },
	{ 0x624e928d, "sof_pci_probe" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5a201423, "hda_dsp_suspend" },
	{ 0xd960f034, "hda_dsp_runtime_suspend" },
	{ 0xe89844bf, "hda_codec_i915_exit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xabe6f978, "hda_dsp_ipc_get_mailbox_offset" },
	{ 0xbe4c2c18, "hda_dai_config" },
	{ 0xea99b400, "hda_probes_unregister" },
	{ 0x27374f9e, "sof_block_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xaaf44ac9, "hda_dsp_pcm_ack" },
	{ 0x332ab746, "hda_dsp_trace_release" },
	{ 0x77118688, "__SCK__tp_func_sof_intel_hda_irq" },
	{ 0x8861636e, "_dev_info" },
	{ 0x3aebeeec, "hda_dsp_dump" },
	{ 0x3b34122f, "sdw_intel_startup" },
	{ 0x9c16bcc1, "hda_dsp_pcm_pointer" },
	{ 0x93941e8d, "sdw_intel_process_wakeen_event" },
	{ 0x19edb53c, "sof_mailbox_write" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x8dab59c4, "sof_mailbox_read" },
	{ 0x101d7397, "hda_bus_ml_put_all" },
	{ 0x2a9ffdc4, "_dev_err" },
	{ 0xe10bbf13, "debugfs_create_bool" },
	{ 0xf8cde0c2, "hda_dsp_core_reset_power_down" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x507318b8, "__tracepoint_sof_intel_hda_irq" },
	{ 0x62938d53, "platform_device_unregister" },
	{ 0x6b75c1b4, "hda_dsp_trace_init" },
	{ 0xba39aa11, "snd_soc_acpi_find_machine" },
	{ 0x5ec4f114, "snd_soc_acpi_intel_detect_codec_type" },
	{ 0x37b67fa5, "hda_codec_device_remove" },
	{ 0xf0034d0a, "hda_dsp_ctrl_ppcap_int_enable" },
	{ 0x2a5ca07b, "snd_soc_acpi_intel_get_codec_tplg_suffix" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2983d575, "snd_sof_dsp_update_bits" },
	{ 0x31fbc20a, "snd_sof_pci_update_bits" },
	{ 0x4e55184f, "sof_hda_bus_init" },
	{ 0x2b11123, "hda_dsp_runtime_idle" },
	{ 0x7ef01246, "hda_dsp_pcm_open" },
	{ 0xa51c770b, "_dev_warn" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x9f9bd127, "sdw_intel_lnl_hw_ops" },
	{ 0x83bd2109, "pci_set_master" },
	{ 0xc4704141, "param_ops_charp" },
	{ 0x5cc3eb05, "hda_dsp_stream_hw_free" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3bdcdfa9, "hda_dsp_stream_threaded_handler" },
	{ 0x940a9e50, "hda_dsp_pcm_close" },
	{ 0xb112f9af, "dma_set_coherent_mask" },
	{ 0x3c470940, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa9b6cdcf, "hda_check_ipc_irq" },
	{ 0xab1f056b, "platform_device_register_full" },
	{ 0xe84eefc, "snd_soc_acpi_intel_get_amp_tplg_suffix" },
	{ 0x85df9b6c, "strsep" },
	{ 0x8ba2ac9e, "hda_dsp_runtime_resume" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x1c116c3c, "hda_dsp_trace_trigger" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1af8013f, "sof_machine_unregister" },
	{ 0x4b9e7b2d, "skl_dai" },
	{ 0xbc68c428, "hda_dsp_get_stream_llp" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2e6fe506, "sdw_intel_probe" },
	{ 0xbc401ec, "snd_sof_load_firmware_raw" },
	{ 0xe8678ac3, "snd_soc_acpi_intel_detect_amp_type" },
	{ 0xf39feb39, "hda_is_chain_dma_supported" },
	{ 0xe9a6dc95, "hda_dsp_resume" },
	{ 0xb7b836b3, "intel_nhlt_ssp_mclk_mask" },
	{ 0xbff2a14c, "dma_set_mask" },
	{ 0xd039c67d, "hda_probes_register" },
	{ 0xf2ce560f, "sof_hda_position_quirk" },
	{ 0x3a03e11a, "dev_err_probe" },
	{ 0x6d374d49, "hda_dsp_stream_init" },
	{ 0x22c57c75, "hda_dsp_get_stream_ldp" },
	{ 0x2e273467, "hda_dsp_stream_free" },
	{ 0xe062d817, "hda_dsp_ctrl_get_caps" },
	{ 0xb6f1adde, "param_ops_int" },
	{ 0x9fe35346, "intel_nhlt_init" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x3a84c4d1, "sdw_intel_cnl_hw_ops" },
	{ 0x66fd6169, "intel_nhlt_ssp_endpoint_mask" },
	{ 0xeea5699e, "hda_codec_i915_init" },
	{ 0x7fedb2b2, "pci_free_irq_vectors" },
	{ 0xc41934b1, "hda_dsp_check_stream_irq" },
	{ 0x8d25a49f, "hda_set_stream_data_offset" },
	{ 0xbb4f9d1f, "sdw_intel_acpi_scan" },
	{ 0x89d2f979, "hda_dsp_ipc_get_window_offset" },
	{ 0xa1b33e2b, "hda_ipc_msg_data" },
	{ 0x5ed7b42b, "sof_machine_register" },
	{ 0xa437bada, "hdac_bus_eml_get_mutex" },
	{ 0xd4ff481e, "snd_soc_acpi_intel_hda_machines" },
	{ 0x5078a801, "hda_dsp_set_hw_params_upon_resume" },
	{ 0xfba565c3, "snd_soc_acpi_sdw_link_slaves_found" },
	{ 0xe48f12c2, "sof_block_read" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x1da37bde, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0x363406bb, "hda_get_interface_mask" },
	{ 0x19368a6e, "hda_codec_i915_display_power" },
	{ 0x5bddebce, "is_acpi_device_node" },
	{ 0xde6d573d, "hda_dsp_pcm_trigger" },
	{ 0x9b1fd079, "module_layout" },
};

MODULE_INFO(depends, "soundwire-intel,snd-sof-intel-hda-common,snd-intel-dspcfg,snd-sof-intel-hda-mlink,snd-sof-intel-hda,snd-sof-xtensa-dsp,snd-sof-pci,snd-sof,snd-soc-acpi,snd-soc-acpi-intel-match,snd-intel-sdw-acpi");


MODULE_INFO(srcversion, "8A67514427DEB120A10A4BC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
