#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6307af89, "trace_event_buffer_commit" },
	{ 0xa815c7d5, "ishtp_send_resume" },
	{ 0x287cb65d, "ishtp_send_suspend" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x677846c4, "ishtp_bus_remove_all_clients" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6ef4996e, "pcim_iomap_regions" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xf4be0c89, "perf_trace_run_bpf_submit" },
	{ 0x7483dc59, "pci_dev_present" },
	{ 0x2a9ffdc4, "_dev_err" },
	{ 0xa728238c, "device_wakeup_enable" },
	{ 0x36d32632, "pci_read_config_word" },
	{ 0xc45d7345, "trace_event_reg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xc3590446, "ishtp_recv" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfdf7f433, "ishtp_reset_compl_handler" },
	{ 0x8b4b9136, "bpf_trace_run1" },
	{ 0x34cb3beb, "ishtp_start" },
	{ 0x7bc2e97a, "ishtp_reset_handler" },
	{ 0x83bd2109, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xa6458a2f, "pci_reset_function" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xc41334b0, "trace_event_buffer_reserve" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x88a6c554, "pcim_iomap_table" },
	{ 0x5cc7cea6, "__devm_add_action" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x75d61e42, "pcim_enable_device" },
	{ 0xdc61eef9, "pci_write_config_word" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x14d7c950, "pci_save_state" },
	{ 0xe95bd40f, "device_set_wakeup_capable" },
	{ 0xe52fdb19, "devm_request_threaded_irq" },
	{ 0xe50bb142, "devm_kmalloc" },
	{ 0x5f08dde5, "pci_alloc_irq_vectors" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf29168f5, "trace_raw_output_prep" },
	{ 0x3b412070, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x44e2d7ee, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x48649caa, "__pci_register_driver" },
	{ 0x441e3ec1, "pci_prepare_to_sleep" },
	{ 0xfe3fefd1, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe943b4fc, "pcpu_hot" },
	{ 0xc823e73, "ishtp_device_init" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x8bddfab6, "pci_set_power_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0x148653, "vsnprintf" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xe3b8bbdb, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9b1fd079, "module_layout" },
};

MODULE_INFO(depends, "intel-ishtp");

MODULE_ALIAS("pci:v00008086d000022D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000AA2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001AA2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005AA2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D35sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009DFCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000031A2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A37Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000034FCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A135sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002FCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000006FCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BB3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A0FCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000043FCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007AF8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000051FCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000054FCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007A78sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007E45sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007745sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007F78sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A845sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "FFA616AD0A62078681B16D4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
