#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x83991447, "regulator_bulk_disable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0xc84fbbea, "v4l2_subdev_link_validate_default" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5907ec65, "v4l2_get_link_freq" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2a9ffdc4, "_dev_err" },
	{ 0xaa92376c, "regmap_bulk_read" },
	{ 0x71dd7c1a, "regmap_bulk_write" },
	{ 0x2295c78, "gpiod_set_value" },
	{ 0x10f8e54, "regulator_bulk_enable" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe50bb142, "devm_kmalloc" },
	{ 0x7b04c888, "__devm_regmap_init_i2c" },
	{ 0xca966539, "devm_clk_get" },
	{ 0x3a03e11a, "dev_err_probe" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xf6a5b26b, "devm_regulator_bulk_get" },
	{ 0x59057b9f, "devm_gpiod_get_optional" },
	{ 0x60fe9ab7, "v4l2_i2c_subdev_init" },
	{ 0xe61a66de, "media_entity_pads_init" },
	{ 0x3ca48e1f, "__v4l2_subdev_init_finalize" },
	{ 0x26594a57, "__dev_fwnode" },
	{ 0xe35afbe0, "fwnode_graph_get_endpoint_by_id" },
	{ 0xd3302e44, "v4l2_fwnode_endpoint_alloc_parse" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x825971ad, "phy_mipi_dphy_get_default_config_for_hsclk" },
	{ 0x42f1226e, "v4l2_ctrl_handler_init_class" },
	{ 0xef814258, "v4l2_ctrl_new_int_menu" },
	{ 0x7161c1f2, "pm_runtime_set_autosuspend_delay" },
	{ 0x4df39bca, "pm_runtime_enable" },
	{ 0x34f828d9, "__pm_runtime_resume" },
	{ 0x3060e392, "__pm_runtime_idle" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xdb2ea485, "__pm_runtime_suspend" },
	{ 0xb63e77c8, "device_property_present" },
	{ 0x9344303a, "device_property_read_string" },
	{ 0x40755952, "devm_clk_hw_register" },
	{ 0x4d4bf730, "v4l2_fwnode_endpoint_parse" },
	{ 0xc2107adf, "v4l2_async_subdev_nf_init" },
	{ 0xe633824, "__v4l2_async_nf_add_fwnode_remote" },
	{ 0xc1d3551c, "v4l2_async_nf_register" },
	{ 0x9353b5cc, "__v4l2_async_register_subdev" },
	{ 0xe990704, "media_pad_remote_pad_first" },
	{ 0xda3e35d9, "v4l2_subdev_call_wrappers" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x826c0f61, "pm_runtime_force_suspend" },
	{ 0x7f4cfc67, "pm_runtime_force_resume" },
	{ 0x2cfb1321, "v4l2_subdev_get_fwnode_pad_1_to_1" },
	{ 0x1e6385a8, "v4l2_subdev_link_validate" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6a6102d7, "i2c_register_driver" },
	{ 0xd0c7d8df, "v4l2_subdev_cleanup" },
	{ 0x3dd26b9d, "v4l2_ctrl_handler_free" },
	{ 0xe6d13f37, "v4l2_fwnode_endpoint_free" },
	{ 0xadce01c6, "v4l2_async_nf_unregister" },
	{ 0x1130ad15, "v4l2_async_nf_cleanup" },
	{ 0xe96c9c5b, "v4l2_async_unregister_subdev" },
	{ 0x906aec93, "__pm_runtime_disable" },
	{ 0x86f9f62, "__pm_runtime_set_status" },
	{ 0x22a213f8, "__pm_runtime_use_autosuspend" },
	{ 0xdd208e9e, "__v4l2_subdev_state_get_format" },
	{ 0xf15ef131, "__dynamic_dev_dbg" },
	{ 0xe717dea5, "v4l2_subdev_get_fmt" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa51c770b, "_dev_warn" },
	{ 0x351e506a, "v4l2_create_fwnode_links_to_pad" },
	{ 0xa2c41cf1, "i2c_del_driver" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x9b1fd079, "module_layout" },
};

MODULE_INFO(depends, "videodev,mc,v4l2-fwnode,v4l2-async");

MODULE_ALIAS("of:N*T*Ctoshiba,tc358746");
MODULE_ALIAS("of:N*T*Ctoshiba,tc358746C*");

MODULE_INFO(srcversion, "34C898039EAEB717A554827");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
