#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dvb_usbv2_probe, "", "");
KSYMTAB_FUNC(dvb_usbv2_disconnect, "", "");
KSYMTAB_FUNC(dvb_usbv2_suspend, "", "");
KSYMTAB_FUNC(dvb_usbv2_resume, "", "");
KSYMTAB_FUNC(dvb_usbv2_reset_resume, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_rw, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_write, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_rw_locked, "", "");
KSYMTAB_FUNC(dvb_usbv2_generic_write_locked, "", "");

SYMBOL_CRC(dvb_usbv2_probe, 0x948fcd89, "");
SYMBOL_CRC(dvb_usbv2_disconnect, 0x70bd0614, "");
SYMBOL_CRC(dvb_usbv2_suspend, 0x934ef4e8, "");
SYMBOL_CRC(dvb_usbv2_resume, 0xc8b52b91, "");
SYMBOL_CRC(dvb_usbv2_reset_resume, 0x7bf23cd8, "");
SYMBOL_CRC(dvb_usbv2_generic_rw, 0xf972c081, "");
SYMBOL_CRC(dvb_usbv2_generic_write, 0x2d760936, "");
SYMBOL_CRC(dvb_usbv2_generic_rw_locked, 0x9ad76d0a, "");
SYMBOL_CRC(dvb_usbv2_generic_write_locked, 0x5cc1f0b2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf15ef131, "__dynamic_dev_dbg" },
	{ 0xdbc0e0f8, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xd01be628, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf33362aa, "usb_submit_urb" },
	{ 0x8861636e, "_dev_info" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x98f50f87, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xac4c0af1, "media_device_cleanup" },
	{ 0x6a9f708a, "dvb_dmx_swfilter_204" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0x2a9ffdc4, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2a81a7c3, "rc_register_device" },
	{ 0xd3bae99a, "dvb_net_init" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdb6bf8eb, "dvb_dmxdev_release" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x7440f21, "rc_free_device" },
	{ 0xa4235824, "dvb_dmx_swfilter_raw" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3d4d9c3c, "dvb_frontend_detach" },
	{ 0xed2fb4f9, "i2c_add_adapter" },
	{ 0x714a065c, "dvb_net_release" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xb1045a85, "rc_allocate_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7cd3aca8, "dvb_unregister_frontend" },
	{ 0xd6aa15e9, "__kmalloc_cache_noprof" },
	{ 0xa1dd798a, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3818d547, "__media_device_usb_init" },
	{ 0xec39b9fd, "dvb_frontend_resume" },
	{ 0x9c40ad7f, "dvb_register_frontend" },
	{ 0xdb6fe6cc, "dvb_frontend_suspend" },
	{ 0x2a1331b4, "dvb_create_media_graph" },
	{ 0xd4b0766e, "dvb_unregister_adapter" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0xb6f1adde, "param_ops_int" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb84b7a0b, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf045c6bd, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xfcb94107, "dvb_dmxdev_init" },
	{ 0xf15dc32a, "usb_alloc_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7714c5c0, "media_device_unregister" },
	{ 0x63dd30a2, "usb_free_urb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcd202010, "request_firmware" },
	{ 0x37a0cba, "kfree" },
	{ 0x69a9ac01, "__media_device_register" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x9b1fd079, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,usbcore,mc,rc-core");


MODULE_INFO(srcversion, "9926F3EE0FC2A72E4FE49C0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
