#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x999e8297, "vfree" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x71d8a4ac, "usb_put_dev" },
	{ 0x3ccaef0, "v4l2_device_unregister" },
	{ 0x1ec2ab1e, "v4l2_device_disconnect" },
	{ 0xedaf6271, "video_unregister_device" },
	{ 0x8861636e, "_dev_info" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3dd26b9d, "v4l2_ctrl_handler_free" },
	{ 0xee508915, "v4l2_fh_open" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xf045c6bd, "kmalloc_caches" },
	{ 0xd6aa15e9, "__kmalloc_cache_noprof" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4ff3f895, "usb_get_dev" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf15dc32a, "usb_alloc_urb" },
	{ 0xcd202010, "request_firmware" },
	{ 0xf15ef131, "__dynamic_dev_dbg" },
	{ 0xdd7d99f3, "usb_reset_device" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x2e10d95f, "v4l2_device_register" },
	{ 0x42f1226e, "v4l2_ctrl_handler_init_class" },
	{ 0xcda92ccb, "v4l2_ctrl_new_std" },
	{ 0x40ba28e2, "vb2_vmalloc_memops" },
	{ 0x9eca91c8, "vb2_queue_init" },
	{ 0x4af989d0, "__video_register_device" },
	{ 0xea6aed67, "v4l2_ctrl_new_custom" },
	{ 0xd3e9e1cd, "vb2_ioctl_reqbufs" },
	{ 0xa80eab3e, "vb2_ioctl_querybuf" },
	{ 0xe7d9ca88, "vb2_ioctl_qbuf" },
	{ 0x3be37f3b, "vb2_ioctl_dqbuf" },
	{ 0x7f65b800, "vb2_ioctl_streamon" },
	{ 0xc1a38871, "vb2_ioctl_streamoff" },
	{ 0x582c4a2e, "v4l2_ctrl_log_status" },
	{ 0x97310848, "v4l2_ctrl_subscribe_event" },
	{ 0xe12d7e7a, "v4l2_event_unsubscribe" },
	{ 0xd6b1b121, "vb2_fop_read" },
	{ 0xf4299d17, "vb2_fop_poll" },
	{ 0x3ea9c856, "video_ioctl2" },
	{ 0xc93f034f, "vb2_fop_mmap" },
	{ 0x9a58d126, "vb2_fop_release" },
	{ 0xceacde94, "vb2_ops_wait_prepare" },
	{ 0xad4de08, "vb2_ops_wait_finish" },
	{ 0xb6f1adde, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0bf2554, "usb_register_driver" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x92997ed8, "_printk" },
	{ 0xf33362aa, "usb_submit_urb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x2a9ffdc4, "_dev_err" },
	{ 0x35eec0ef, "video_devdata" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf9fc2750, "usb_deregister" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd01be628, "usb_bulk_msg" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4f39e739, "vb2_plane_vaddr" },
	{ 0x265ee60d, "vb2_buffer_done" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xbc5fab02, "usb_control_msg" },
	{ 0x37a0cba, "kfree" },
	{ 0xf9a482f9, "msleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xaec72494, "__v4l2_ctrl_s_ctrl" },
	{ 0xa1dd798a, "usb_kill_urb" },
	{ 0x63dd30a2, "usb_free_urb" },
	{ 0x9b1fd079, "module_layout" },
};

MODULE_INFO(depends, "usbcore,videodev,videobuf2-vmalloc,videobuf2-v4l2,videobuf2-common");

MODULE_ALIAS("usb:v1943p2255d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1943p2257d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "CDC29698F1FC9B8E0E5E2F6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
