#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1000e51, "schedule" },
	{ 0x8cd8e9e9, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5bb6e321, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xad898b0b, "ipv6_skip_exthdr" },
	{ 0xb0c698c1, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0xa05af922, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0x8861636e, "_dev_info" },
	{ 0x1719e07f, "napi_gro_receive" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfae023a2, "devm_bitmap_zalloc" },
	{ 0xc2c5802, "work_busy" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x8b33230, "devm_kfree" },
	{ 0x2a9ffdc4, "_dev_err" },
	{ 0x8e133eef, "init_net" },
	{ 0x443deb57, "softnet_data" },
	{ 0xd9fc3f8c, "simple_open" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xb135a8a9, "netif_set_real_num_tx_queues" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0xacce7432, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1ea463c5, "dma_alloc_attrs" },
	{ 0xb4942be2, "debugfs_remove" },
	{ 0x9a3d49ba, "napi_enable" },
	{ 0xa38e7d94, "register_netdev" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xf1084858, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x32036195, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x72ca517d, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0xa51c770b, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x83bd2109, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xd6bb53f1, "__netdev_alloc_skb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb112f9af, "dma_set_coherent_mask" },
	{ 0x3c470940, "devm_kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xa23ab45f, "debugfs_create_file" },
	{ 0xaa905042, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb0129ed4, "pci_release_regions" },
	{ 0xd6aa15e9, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x54f506a2, "netif_carrier_off" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x1615b744, "devlink_priv" },
	{ 0x491df063, "__hw_addr_sync_dev" },
	{ 0x793927d6, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x1ac1f855, "netif_carrier_on" },
	{ 0x8bac4970, "pci_disable_msix" },
	{ 0xa809ab93, "pci_disable_device" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0xbff2a14c, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3a03e11a, "dev_err_probe" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xde42d260, "napi_schedule_prep" },
	{ 0xc384020f, "napi_disable" },
	{ 0xb5f0b884, "dev_kfree_skb_any_reason" },
	{ 0xab7fb6e3, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x4ec8f355, "pci_enable_sriov" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf045c6bd, "kmalloc_caches" },
	{ 0xccdf8d75, "netdev_info" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3d612469, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xcadf62de, "__skb_pad" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x65f9b5ae, "devlink_unregister" },
	{ 0xd4f9df5, "dma_pool_create" },
	{ 0x7f103df7, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe50bb142, "devm_kmalloc" },
	{ 0x49f06f0c, "pci_enable_device" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xab5eedf7, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x62232280, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x17b92d24, "unregister_netdev" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe3721847, "dma_unmap_page_attrs" },
	{ 0xdb170787, "devlink_health_reporter_create" },
	{ 0x48649caa, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0xedc03953, "iounmap" },
	{ 0x874ca037, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1f59e357, "devlink_alloc_ns" },
	{ 0x6e91ceaf, "devlink_register" },
	{ 0xe943b4fc, "pcpu_hot" },
	{ 0xb769720, "devlink_free" },
	{ 0xcffdd48c, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9e3578db, "netdev_warn" },
	{ 0xbfa1244c, "param_ops_byte" },
	{ 0xb28e5c49, "__netif_napi_del" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xf15ef131, "__dynamic_dev_dbg" },
	{ 0xd0df140b, "pci_ioremap_bar" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xeda85065, "__pskb_copy_fclone" },
	{ 0xe3b8bbdb, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xfb792bbf, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd63695dc, "pskb_expand_head" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x299bbe29, "dev_driver_string" },
	{ 0xf00cf7a5, "dev_addr_mod" },
	{ 0x882c5e46, "eth_type_trans" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x12f97561, "dma_map_page_attrs" },
	{ 0x39ce247e, "napi_complete_done" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x393c8435, "priv_to_devlink" },
	{ 0x9b1fd079, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000019E5d00001822sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d00000200sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d00000205sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d00000210sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000375Esv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "AE9082B7EAA37995F06FC01");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
