#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3e011f4e, "phy_modify" },
	{ 0x443789d5, "genphy_soft_reset" },
	{ 0xa51c770b, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0xee372575, "ethnl_cable_test_result" },
	{ 0xa8525dec, "ethnl_cable_test_fault_length" },
	{ 0x25c8e11f, "ethnl_cable_test_pulse" },
	{ 0x7f4374d6, "ethnl_cable_test_step" },
	{ 0x6a6ee84, "__phy_modify" },
	{ 0x7847c621, "sfp_parse_support" },
	{ 0x4f694044, "sfp_select_interface" },
	{ 0x8861636e, "_dev_info" },
	{ 0x2a9ffdc4, "_dev_err" },
	{ 0xd4ab288d, "phy_save_page" },
	{ 0xde8235d2, "phy_trigger_machine" },
	{ 0xbddacb15, "phy_error" },
	{ 0xe50bb142, "devm_kmalloc" },
	{ 0x754d539c, "strlen" },
	{ 0x11089ac7, "_ctype" },
	{ 0x761f93b4, "devm_hwmon_device_register_with_info" },
	{ 0x15296d38, "phy_drivers_unregister" },
	{ 0xfb08720c, "genphy_c45_ethtool_get_eee" },
	{ 0x7f00760e, "phy_config_aneg" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xca5a0a3, "phy_modify_changed" },
	{ 0x8c4d986b, "genphy_check_and_restart_aneg" },
	{ 0x2ed0737f, "phy_sfp_probe" },
	{ 0xf14cab88, "genphy_read_lpa" },
	{ 0x9ea19ee0, "phy_resolve_aneg_pause" },
	{ 0x3760a5d3, "genphy_update_link" },
	{ 0x13e95f86, "genphy_read_status_fixed" },
	{ 0x5c306685, "genphy_resume" },
	{ 0xb262b701, "genphy_suspend" },
	{ 0xa1181c3c, "__genphy_config_aneg" },
	{ 0x51269350, "genphy_setup_forced" },
	{ 0x5d93af0b, "phy_modify_paged_changed" },
	{ 0xbe0cfdd9, "genphy_read_abilities" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x4f6fc7fa, "ethnl_cable_test_amplitude" },
	{ 0xbf7e4cd1, "phy_gbit_fibre_features" },
	{ 0x394a1e11, "phy_sfp_attach" },
	{ 0xb6acaa13, "phy_sfp_detach" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x103b14fa, "phy_drivers_register" },
	{ 0xc165bdca, "phy_read_paged" },
	{ 0xd7cd1806, "phy_modify_paged" },
	{ 0xad80f146, "__mdiobus_read" },
	{ 0x2af5b499, "phy_select_page" },
	{ 0xe540287e, "__mdiobus_write" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x65f5b26b, "phy_restore_page" },
	{ 0xa9760afb, "phy_write_paged" },
	{ 0x61e5fd73, "mdiobus_write" },
	{ 0xd9bc0dbd, "mdiobus_read" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9b1fd079, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:0000000101000001000011000110????");
MODULE_ALIAS("mdio:0000000101000001000011001000????");
MODULE_ALIAS("mdio:0000000101000001000011001001????");
MODULE_ALIAS("mdio:0000000101000001000011001100????");
MODULE_ALIAS("mdio:0000000111111111000011001100????");
MODULE_ALIAS("mdio:0000000101000001000011100001????");
MODULE_ALIAS("mdio:0000000101000001000011001011????");
MODULE_ALIAS("mdio:0000000101000001000011001101????");
MODULE_ALIAS("mdio:0000000101000001000011100101????");
MODULE_ALIAS("mdio:0000000101000001000011100011????");
MODULE_ALIAS("mdio:0000000101000001000011101001????");
MODULE_ALIAS("mdio:0000000101000001000011100100????");
MODULE_ALIAS("mdio:0000000101000001000011011101????");
MODULE_ALIAS("mdio:0000000101000001000011101011????");
MODULE_ALIAS("mdio:0000000101000001000011101010????");
MODULE_ALIAS("mdio:0000000101000001000011100110????");
MODULE_ALIAS("mdio:0000000101000001000011011011????");
MODULE_ALIAS("mdio:0000000101000001000011110100????");
MODULE_ALIAS("mdio:0000000101000001000011111001????");
MODULE_ALIAS("mdio:0000000000101011000010111001????");
MODULE_ALIAS("mdio:0000000101000001000011011100????");
MODULE_ALIAS("mdio:0000000101000001000011101100????");

MODULE_INFO(srcversion, "CFD004306DE475049F86F44");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
