#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ath10k_mac_tx_push_pending, "", "");
KSYMTAB_FUNC(ath10k_info, "", "");
KSYMTAB_FUNC(ath10k_print_driver_info, "", "");
KSYMTAB_FUNC(ath10k_err, "", "");
KSYMTAB_FUNC(ath10k_warn, "", "");
KSYMTAB_DATA(ath10k_debug_mask, "", "");
KSYMTAB_FUNC(ath10k_core_check_dt, "", "");
KSYMTAB_FUNC(ath10k_core_free_board_files, "", "");
KSYMTAB_FUNC(ath10k_core_fetch_board_file, "", "");
KSYMTAB_FUNC(ath10k_core_start_recovery, "", "");
KSYMTAB_FUNC(ath10k_core_napi_enable, "", "");
KSYMTAB_FUNC(ath10k_core_napi_sync_disable, "", "");
KSYMTAB_FUNC(ath10k_core_start, "", "");
KSYMTAB_FUNC(ath10k_core_stop, "", "");
KSYMTAB_FUNC(ath10k_core_register, "", "");
KSYMTAB_FUNC(ath10k_core_unregister, "", "");
KSYMTAB_FUNC(ath10k_core_create, "", "");
KSYMTAB_FUNC(ath10k_core_destroy, "", "");
KSYMTAB_FUNC(ath10k_htc_notify_tx_completion, "", "");
KSYMTAB_FUNC(ath10k_htc_tx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htc_process_trailer, "", "");
KSYMTAB_FUNC(ath10k_htc_rx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_t2h_msg_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_pktlog_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_hl_indication, "", "");
KSYMTAB_FUNC(ath10k_htt_txrx_compl_task, "", "");
KSYMTAB_FUNC(ath10k_htt_hif_tx_complete, "", "");
KSYMTAB_FUNC(ath10k_bmi_start, "", "");
KSYMTAB_FUNC(ath10k_bmi_read_memory, "", "");
KSYMTAB_FUNC(ath10k_coredump_get_mem_layout, "", "");
KSYMTAB_FUNC(ath10k_coredump_new, "", "");
KSYMTAB_FUNC(ath10k_ce_send_nolock, "", "");
KSYMTAB_FUNC(__ath10k_ce_send_revert, "", "");
KSYMTAB_FUNC(ath10k_ce_send, "", "");
KSYMTAB_FUNC(ath10k_ce_num_free_src_entries, "", "");
KSYMTAB_FUNC(__ath10k_ce_rx_num_free_bufs, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_update_write_idx, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_revoke_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_cancel_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service_any, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_init_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_deinit_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_free_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_dump_registers, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_rri, "", "");
KSYMTAB_FUNC(ath10k_ce_free_rri, "", "");

SYMBOL_CRC(ath10k_mac_tx_push_pending, 0x7b8c9852, "");
SYMBOL_CRC(ath10k_info, 0x6ee5c0de, "");
SYMBOL_CRC(ath10k_print_driver_info, 0x07db836a, "");
SYMBOL_CRC(ath10k_err, 0x2d57bd30, "");
SYMBOL_CRC(ath10k_warn, 0xf8c3e7af, "");
SYMBOL_CRC(ath10k_debug_mask, 0x015e5db2, "");
SYMBOL_CRC(ath10k_core_check_dt, 0xadf1cec2, "");
SYMBOL_CRC(ath10k_core_free_board_files, 0x3ddc7eb3, "");
SYMBOL_CRC(ath10k_core_fetch_board_file, 0x3988522a, "");
SYMBOL_CRC(ath10k_core_start_recovery, 0xa1f667fb, "");
SYMBOL_CRC(ath10k_core_napi_enable, 0x24af54a0, "");
SYMBOL_CRC(ath10k_core_napi_sync_disable, 0x169237fe, "");
SYMBOL_CRC(ath10k_core_start, 0x9e6392fa, "");
SYMBOL_CRC(ath10k_core_stop, 0xb0e9ad2b, "");
SYMBOL_CRC(ath10k_core_register, 0x6153e102, "");
SYMBOL_CRC(ath10k_core_unregister, 0x29c73d44, "");
SYMBOL_CRC(ath10k_core_create, 0x52fd8ffe, "");
SYMBOL_CRC(ath10k_core_destroy, 0x93f59a8d, "");
SYMBOL_CRC(ath10k_htc_notify_tx_completion, 0x2cd893e1, "");
SYMBOL_CRC(ath10k_htc_tx_completion_handler, 0x07b9e98d, "");
SYMBOL_CRC(ath10k_htc_process_trailer, 0xba006b8f, "");
SYMBOL_CRC(ath10k_htc_rx_completion_handler, 0xfd52fd01, "");
SYMBOL_CRC(ath10k_htt_t2h_msg_handler, 0xc2de0c08, "");
SYMBOL_CRC(ath10k_htt_rx_pktlog_completion_handler, 0xfccf420d, "");
SYMBOL_CRC(ath10k_htt_rx_hl_indication, 0xe638ce03, "");
SYMBOL_CRC(ath10k_htt_txrx_compl_task, 0x64eb8825, "");
SYMBOL_CRC(ath10k_htt_hif_tx_complete, 0x6e561cbd, "");
SYMBOL_CRC(ath10k_bmi_start, 0xe1a475bc, "");
SYMBOL_CRC(ath10k_bmi_read_memory, 0xb0fc98e3, "");
SYMBOL_CRC(ath10k_coredump_get_mem_layout, 0xdd307e9e, "");
SYMBOL_CRC(ath10k_coredump_new, 0xa421a0e0, "");
SYMBOL_CRC(ath10k_ce_send_nolock, 0xcf117fd0, "");
SYMBOL_CRC(__ath10k_ce_send_revert, 0x07631fb6, "");
SYMBOL_CRC(ath10k_ce_send, 0xa4e93447, "");
SYMBOL_CRC(ath10k_ce_num_free_src_entries, 0x88cc217a, "");
SYMBOL_CRC(__ath10k_ce_rx_num_free_bufs, 0x1e5833e5, "");
SYMBOL_CRC(ath10k_ce_rx_update_write_idx, 0x71b925d5, "");
SYMBOL_CRC(ath10k_ce_rx_post_buf, 0x8c8c154d, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next_nolock, 0xd6b9f1a3, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next, 0xbb4c60d5, "");
SYMBOL_CRC(ath10k_ce_revoke_recv_next, 0xfaf54479, "");
SYMBOL_CRC(ath10k_ce_completed_send_next_nolock, 0x77410db0, "");
SYMBOL_CRC(ath10k_ce_cancel_send_next, 0x16e2f2cc, "");
SYMBOL_CRC(ath10k_ce_completed_send_next, 0x348c7609, "");
SYMBOL_CRC(ath10k_ce_per_engine_service, 0xdb1b0f6c, "");
SYMBOL_CRC(ath10k_ce_per_engine_service_any, 0x682a264e, "");
SYMBOL_CRC(ath10k_ce_disable_interrupt, 0x5dc06821, "");
SYMBOL_CRC(ath10k_ce_disable_interrupts, 0x866f35f0, "");
SYMBOL_CRC(ath10k_ce_enable_interrupt, 0xbcf259d8, "");
SYMBOL_CRC(ath10k_ce_enable_interrupts, 0xd2969450, "");
SYMBOL_CRC(ath10k_ce_init_pipe, 0x86dd078d, "");
SYMBOL_CRC(ath10k_ce_deinit_pipe, 0x0e023f02, "");
SYMBOL_CRC(ath10k_ce_free_pipe, 0xe671ea4d, "");
SYMBOL_CRC(ath10k_ce_dump_registers, 0xbf9ec377, "");
SYMBOL_CRC(ath10k_ce_alloc_pipe, 0x3b6d5129, "");
SYMBOL_CRC(ath10k_ce_alloc_rri, 0x7d109268, "");
SYMBOL_CRC(ath10k_ce_free_rri, 0x22bd2e38, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x754d539c, "strlen" },
	{ 0xc384020f, "napi_disable" },
	{ 0xb5f0b884, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0xb528b17c, "__cfg80211_get_bss" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf045c6bd, "kmalloc_caches" },
	{ 0x3e2de027, "ieee80211_csa_finish" },
	{ 0x9f33f2ea, "skb_queue_head" },
	{ 0x50affb1, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x22ec5205, "cpu_latency_qos_remove_request" },
	{ 0xc143a28c, "ieee80211_beacon_update_cntdwn" },
	{ 0x35c772e6, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x8ed485be, "device_set_wakeup_enable" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xa48c64cc, "ieee80211_connection_loss" },
	{ 0xfb85869f, "ieee80211_manage_rx_ba_offl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x5bddebce, "is_acpi_device_node" },
	{ 0xe95bd40f, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc0cf1be, "__ieee80211_schedule_txq" },
	{ 0x20978fb9, "idr_find" },
	{ 0x6e9e60f2, "ieee80211_txq_get_depth" },
	{ 0x7f103df7, "param_ops_uint" },
	{ 0x141fafb6, "param_ops_ulong" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe50bb142, "devm_kmalloc" },
	{ 0x63b1707e, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x657d554a, "firmware_request_nowarn" },
	{ 0x6a5153b8, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x583bd8fe, "ieee80211_txq_may_transmit" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe8cbc18d, "device_get_mac_address" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xa2b86dc0, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x3aaad3d5, "ieee80211_free_hw" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0xe3721847, "dma_unmap_page_attrs" },
	{ 0x32a28c3b, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x3b15c3ae, "ieee80211_iterate_stations_atomic" },
	{ 0x50b03e84, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x30ab8cab, "ieee80211_beacon_loss" },
	{ 0x28afbb08, "cpu_latency_qos_add_request" },
	{ 0x82d591e7, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xe943b4fc, "pcpu_hot" },
	{ 0x2171087a, "thermal_cooling_device_register" },
	{ 0xd019400e, "led_classdev_unregister" },
	{ 0x77503a34, "ieee80211_register_hw" },
	{ 0x7c60a23f, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x7a539e16, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x74a44690, "ieee80211_hw_restart_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd63695dc, "pskb_expand_head" },
	{ 0x2d9e9ea5, "skb_queue_purge_reason" },
	{ 0x299bbe29, "dev_driver_string" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x41d7cafa, "ieee80211_find_sta" },
	{ 0x12f97561, "dma_map_page_attrs" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc6b676ca, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xa5162a8, "ieee80211_iter_chan_contexts_atomic" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x89a2960c, "cfg80211_put_bss" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8861636e, "_dev_info" },
	{ 0xa18f224e, "ath_regd_find_country_by_name" },
	{ 0xe180cd47, "skb_queue_tail" },
	{ 0x1b1e16, "ieee80211_get_channel_khz" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x20d876, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x5773d904, "wiphy_to_ieee80211_hw" },
	{ 0xbd987e45, "ath_reg_notifier_apply" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x38203831, "ieee80211_queue_delayed_work" },
	{ 0xd0b7c108, "ieee80211_proberesp_get" },
	{ 0x2a9ffdc4, "_dev_err" },
	{ 0x13f7e9ad, "skb_pull" },
	{ 0xc8ca8e0f, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf1177016, "init_uts_ns" },
	{ 0xd6fa4e5a, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb4fdc7d6, "ieee80211_find_sta_by_ifaddr" },
	{ 0x1e458aa3, "ieee80211_next_txq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa55131c5, "ieee80211_remain_on_channel_expired" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbd9aa0c8, "skb_push" },
	{ 0x1ea463c5, "dma_alloc_attrs" },
	{ 0x4571aea8, "ath_is_world_regd" },
	{ 0x9a3d49ba, "napi_enable" },
	{ 0x87634664, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8cde9dd6, "ieee80211_wake_queues" },
	{ 0xf1084858, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf043ab88, "ieee80211_report_low_ack" },
	{ 0x4d9c49f8, "ieee80211_beacon_get_template" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x68068a92, "ieee80211_free_txskb" },
	{ 0xcaa01579, "led_classdev_register_ext" },
	{ 0x52aa609d, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a4001bd, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x6d21dcb2, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9c0e3322, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0xa51c770b, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x6136d3cf, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcb04b140, "devm_nvmem_cell_get" },
	{ 0x3123bbd3, "ieee80211_stop_queue" },
	{ 0xd6bb53f1, "__netdev_alloc_skb" },
	{ 0x285a390f, "ieee80211_ready_on_channel" },
	{ 0x4cacb072, "ieee80211_stop_queues" },
	{ 0x1239417d, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x38bc21fa, "skb_realloc_headroom" },
	{ 0xc48340e1, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa426ae2e, "alloc_netdev_dummy" },
	{ 0xaa905042, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x87401232, "ieee80211_scan_completed" },
	{ 0xcf620a0d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb62dbd7, "param_ops_bool" },
	{ 0x109c1773, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x9b00ac75, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xd6aa15e9, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x24545679, "ath_regd_init" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x2a28a592, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x47f56325, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x2cc3b9f0, "ieee80211_tdls_oper_request" },
	{ 0xbb756d93, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4565ead, "thermal_cooling_device_unregister" },
	{ 0x34b74b21, "ieee80211_tx_rate_update" },
	{ 0xf6b149f7, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x9b1fd079, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mac80211,ath");


MODULE_INFO(srcversion, "3F5A4D72864CB925DFFBBB0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
