#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");

KSYMTAB_FUNC(alloc_rtllib, "", "");
KSYMTAB_FUNC(free_rtllib, "", "");
KSYMTAB_FUNC(rtllib_rx, "", "");
KSYMTAB_FUNC(rtllib_legal_channel, "", "");
KSYMTAB_FUNC(rtllib_xmit, "", "");
KSYMTAB_FUNC(rtllib_wx_get_scan, "", "");
KSYMTAB_FUNC(rtllib_wx_set_encode, "", "");
KSYMTAB_FUNC(rtllib_wx_get_encode, "", "");
KSYMTAB_FUNC(rtllib_wx_set_encode_ext, "", "");
KSYMTAB_FUNC(rtllib_wx_set_mlme, "", "");
KSYMTAB_FUNC(rtllib_wx_set_auth, "", "");
KSYMTAB_FUNC(rtllib_wx_set_gen_ie, "", "");
KSYMTAB_FUNC(rtllib_stop_scan, "", "");
KSYMTAB_FUNC(rtllib_stop_scan_syncro, "", "");
KSYMTAB_FUNC(rtllib_act_scanning, "", "");
KSYMTAB_FUNC(rtllib_start_scan_syncro, "", "");
KSYMTAB_FUNC(rtllib_sta_ps_send_null_frame, "", "");
KSYMTAB_FUNC(rtllib_ps_tx_ack, "", "");
KSYMTAB_FUNC(rtllib_reset_queue, "", "");
KSYMTAB_FUNC(rtllib_softmac_stop_protocol, "", "");
KSYMTAB_FUNC(rtllib_softmac_start_protocol, "", "");
KSYMTAB_FUNC(rtllib_mgnt_disconnect, "", "");
KSYMTAB_FUNC(notify_wx_assoc_event, "", "");
KSYMTAB_FUNC(rtllib_wx_set_freq, "", "");
KSYMTAB_FUNC(rtllib_wx_get_freq, "", "");
KSYMTAB_FUNC(rtllib_wx_get_wap, "", "");
KSYMTAB_FUNC(rtllib_wx_set_wap, "", "");
KSYMTAB_FUNC(rtllib_wx_get_essid, "", "");
KSYMTAB_FUNC(rtllib_wx_set_rate, "", "");
KSYMTAB_FUNC(rtllib_wx_get_rate, "", "");
KSYMTAB_FUNC(rtllib_wx_set_rts, "", "");
KSYMTAB_FUNC(rtllib_wx_get_rts, "", "");
KSYMTAB_FUNC(rtllib_wx_set_mode, "", "");
KSYMTAB_FUNC(rtllib_wx_set_scan, "", "");
KSYMTAB_FUNC(rtllib_wx_set_essid, "", "");
KSYMTAB_FUNC(rtllib_wx_get_mode, "", "");
KSYMTAB_FUNC(rtllib_wx_get_name, "", "");
KSYMTAB_FUNC(rtllib_wx_set_power, "", "");
KSYMTAB_FUNC(rtllib_wx_get_power, "", "");
KSYMTAB_FUNC(HT_update_self_and_peer_setting, "", "");
KSYMTAB_FUNC(remove_peer_ts, "", "");

SYMBOL_CRC(alloc_rtllib, 0xf96a3d2e, "");
SYMBOL_CRC(free_rtllib, 0xcde6abfd, "");
SYMBOL_CRC(rtllib_rx, 0xea816626, "");
SYMBOL_CRC(rtllib_legal_channel, 0x3648acb2, "");
SYMBOL_CRC(rtllib_xmit, 0xdca75f3c, "");
SYMBOL_CRC(rtllib_wx_get_scan, 0xad171df0, "");
SYMBOL_CRC(rtllib_wx_set_encode, 0x2310c9b8, "");
SYMBOL_CRC(rtllib_wx_get_encode, 0x53527816, "");
SYMBOL_CRC(rtllib_wx_set_encode_ext, 0xff704748, "");
SYMBOL_CRC(rtllib_wx_set_mlme, 0x06e1943f, "");
SYMBOL_CRC(rtllib_wx_set_auth, 0xe2d2eb93, "");
SYMBOL_CRC(rtllib_wx_set_gen_ie, 0x8c2892b6, "");
SYMBOL_CRC(rtllib_stop_scan, 0x3ced0dd4, "");
SYMBOL_CRC(rtllib_stop_scan_syncro, 0x281650c4, "");
SYMBOL_CRC(rtllib_act_scanning, 0x0c396910, "");
SYMBOL_CRC(rtllib_start_scan_syncro, 0x26df9d24, "");
SYMBOL_CRC(rtllib_sta_ps_send_null_frame, 0x21746e59, "");
SYMBOL_CRC(rtllib_ps_tx_ack, 0x4a77f15f, "");
SYMBOL_CRC(rtllib_reset_queue, 0x6d7c57d1, "");
SYMBOL_CRC(rtllib_softmac_stop_protocol, 0x012c6244, "");
SYMBOL_CRC(rtllib_softmac_start_protocol, 0xb9b1ef22, "");
SYMBOL_CRC(rtllib_mgnt_disconnect, 0xe95a273c, "");
SYMBOL_CRC(notify_wx_assoc_event, 0xc534b690, "");
SYMBOL_CRC(rtllib_wx_set_freq, 0xf0282154, "");
SYMBOL_CRC(rtllib_wx_get_freq, 0xb7b1ba6c, "");
SYMBOL_CRC(rtllib_wx_get_wap, 0xcaf07921, "");
SYMBOL_CRC(rtllib_wx_set_wap, 0xe1a43ecf, "");
SYMBOL_CRC(rtllib_wx_get_essid, 0xbdadd734, "");
SYMBOL_CRC(rtllib_wx_set_rate, 0x8babbf4e, "");
SYMBOL_CRC(rtllib_wx_get_rate, 0xcc322476, "");
SYMBOL_CRC(rtllib_wx_set_rts, 0x055a99d4, "");
SYMBOL_CRC(rtllib_wx_get_rts, 0x2e0ede3a, "");
SYMBOL_CRC(rtllib_wx_set_mode, 0x81fa3d08, "");
SYMBOL_CRC(rtllib_wx_set_scan, 0xea8e86c8, "");
SYMBOL_CRC(rtllib_wx_set_essid, 0x95e8f631, "");
SYMBOL_CRC(rtllib_wx_get_mode, 0xc663a630, "");
SYMBOL_CRC(rtllib_wx_get_name, 0xedb8a2fc, "");
SYMBOL_CRC(rtllib_wx_set_power, 0x99dae0f5, "");
SYMBOL_CRC(rtllib_wx_get_power, 0xb19fc1f0, "");
SYMBOL_CRC(HT_update_self_and_peer_setting, 0x1e5a0226, "");
SYMBOL_CRC(remove_peer_ts, 0x1436f722, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9e3578db, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xfb792bbf, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x882c5e46, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7cdd729f, "lib80211_crypt_info_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xe180cd47, "skb_queue_tail" },
	{ 0x4654aaf3, "lib80211_get_crypto_ops" },
	{ 0x13f7e9ad, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xd6fa4e5a, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbd9aa0c8, "skb_push" },
	{ 0x5a921311, "strncmp" },
	{ 0xa7e7a8b4, "wireless_send_event" },
	{ 0x9166fada, "strncpy" },
	{ 0xf1084858, "free_netdev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf4c898bf, "netif_tx_stop_all_queues" },
	{ 0x72ca517d, "netif_tx_wake_queue" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xe01c03d4, "netif_rx" },
	{ 0xd6bb53f1, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb589ea7, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xec9ef850, "netdev_alert" },
	{ 0xf91b8363, "lib80211_crypt_info_free" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd6aa15e9, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x54f506a2, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x741a9732, "lib80211_crypt_delayed_deinit" },
	{ 0x1ac1f855, "netif_carrier_on" },
	{ 0x754d539c, "strlen" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0xb5f0b884, "dev_kfree_skb_any_reason" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf045c6bd, "kmalloc_caches" },
	{ 0xccdf8d75, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3d612469, "alloc_etherdev_mqs" },
	{ 0xe914e41e, "strcpy" },
	{ 0xbaeb40ad, "try_module_get" },
	{ 0x63b1707e, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6a5153b8, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x96848186, "scnprintf" },
	{ 0x831e3535, "dev_trans_start" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x9b1fd079, "module_layout" },
};

MODULE_INFO(depends, "lib80211,cfg80211");


MODULE_INFO(srcversion, "99210DB2825DB7CC8756E49");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
