#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(xhci_plat_probe, "_gpl", "");
KSYMTAB_FUNC(xhci_plat_remove, "_gpl", "");
KSYMTAB_DATA(xhci_plat_pm_ops, "_gpl", "");

SYMBOL_CRC(xhci_plat_probe, 0xe21235d2, "_gpl");
SYMBOL_CRC(xhci_plat_remove, 0x0a1e7d51, "_gpl");
SYMBOL_CRC(xhci_plat_pm_ops, 0xea404fe0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x733d06a0, "devm_reset_control_array_get" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x86f9f62, "__pm_runtime_set_status" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4df39bca, "pm_runtime_enable" },
	{ 0xf6773d15, "device_property_read_u32_array" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x8e20262d, "xhci_resume" },
	{ 0x9b641200, "xhci_run" },
	{ 0x254770c3, "usb_hcd_is_primary_hcd" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb3b1464, "xhci_init_driver" },
	{ 0xde18db3a, "usb_put_hcd" },
	{ 0xdcbe109d, "__platform_driver_register" },
	{ 0xb112f9af, "dma_set_coherent_mask" },
	{ 0xb7593e4, "devm_clk_get_optional" },
	{ 0xff300f9b, "pm_runtime_forbid" },
	{ 0x34f828d9, "__pm_runtime_resume" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xac5c1ed2, "__usb_create_hcd" },
	{ 0xbff2a14c, "dma_set_mask" },
	{ 0x675d6c74, "usb_remove_hcd" },
	{ 0x906aec93, "__pm_runtime_disable" },
	{ 0xee9a9f60, "usb_add_hcd" },
	{ 0x815588a6, "clk_enable" },
	{ 0x1dc0cc37, "pci_bus_type" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb63e77c8, "device_property_present" },
	{ 0xf7215e34, "usb_hcd_platform_shutdown" },
	{ 0x5bddebce, "is_acpi_device_node" },
	{ 0xe95bd40f, "device_set_wakeup_capable" },
	{ 0xf42bc23e, "xhci_suspend" },
	{ 0x1d69b8e2, "devm_platform_get_and_ioremap_resource" },
	{ 0x56a22647, "platform_driver_unregister" },
	{ 0x8b61259, "platform_get_irq" },
	{ 0xa66198e6, "xhci_gen_setup" },
	{ 0x9b1fd079, "module_layout" },
};

MODULE_INFO(depends, "usbcore,xhci-hcd");

MODULE_ALIAS("acpi*:PNP0D10:*");

MODULE_INFO(srcversion, "0D5B55CB9E7015D335E0C38");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
