#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfsd4_ssc_init_umount_work, "_gpl", "");

SYMBOL_CRC(nfsd4_ssc_init_umount_work, 0x0e0ede6c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xfb578fc5, "memset" },
	{ 0x750797cb, "kern_path" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x8731d5c2, "vfs_lock_file" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x7006985d, "cache_check" },
	{ 0x57420e0f, "vfs_iter_write" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x7b58998e, "rpc_delay" },
	{ 0x43aa319e, "lease_register_notifier" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d98f461, "__list_lru_init" },
	{ 0x5175100a, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x162893fd, "hashlen_string" },
	{ 0x695d5c6a, "xdr_buf_subsegment" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6ba581e3, "svc_generic_init_request" },
	{ 0xe50de646, "svc_xprt_names" },
	{ 0xc3d556be, "rpc_get_sb_net" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xc521b26f, "make_kgid" },
	{ 0x4c0fc69b, "xattr_supports_user_prefix" },
	{ 0x93b80f22, "splice_direct_to_actor" },
	{ 0x614144fb, "svc_xprt_create_from_sa" },
	{ 0x1409eb6f, "gss_pseudoflavor_to_service" },
	{ 0xc97767ea, "fsnotify_put_group" },
	{ 0xf74e5471, "dentry_create" },
	{ 0xf27a8d91, "nfs_stream_decode_acl" },
	{ 0x51da47bb, "from_kgid_munged" },
	{ 0x88cd9de4, "unlock_rename" },
	{ 0x5751fcb7, "vfs_rmdir" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xfcbfd44d, "svc_set_client" },
	{ 0x71c279ab, "nfs_ssc_client_tbl" },
	{ 0x83bfb432, "rpc_wake_up_next" },
	{ 0xc2e05df3, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x23b7b03f, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0x9ad4fe4f, "mnt_drop_write" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xdaeefaee, "__vfs_removexattr_locked" },
	{ 0x903b627c, "list_lru_isolate_move" },
	{ 0xc14e01c6, "pv_ops" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x6202804e, "bpf_trace_run3" },
	{ 0x8278df51, "override_creds" },
	{ 0xcb81e5f7, "seq_read" },
	{ 0xfa562fff, "__put_net" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf193bcec, "rpc_mkpipe_dentry" },
	{ 0xe19deafd, "path_get" },
	{ 0x2402b492, "rpc_mkpipe_data" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x65e29cbc, "vfs_symlink" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0x8d2f7c81, "rhltable_init_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0x44bae227, "bit_wait_timeout" },
	{ 0xd6dc268c, "sunrpc_set_pool_mode" },
	{ 0xc41334b0, "trace_event_buffer_reserve" },
	{ 0xfd5c49a5, "d_add" },
	{ 0xb4905ebb, "svc_seq_show" },
	{ 0x9bd48aad, "vfs_fsync" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x71fa908a, "cache_flush" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x47c20f8a, "refcount_dec_not_one" },
	{ 0xb62dbd7, "param_ops_bool" },
	{ 0x5f4a905c, "groups_free" },
	{ 0x53126ecc, "__percpu_counter_sum" },
	{ 0xbfeb0297, "vfs_mknod" },
	{ 0x74f6da60, "get_fs_type" },
	{ 0xebaaf1f, "cache_register_net" },
	{ 0xe82951c, "fsnotify_find_mark" },
	{ 0xf67f9e12, "lookup_positive_unlocked" },
	{ 0xfb7a35d7, "init_user_ns" },
	{ 0x7b82bf, "rpc_uaddr2sockaddr" },
	{ 0xca4b4afe, "nlmsvc_ops" },
	{ 0xbf4f93df, "rpc_restart_call" },
	{ 0x1611d9be, "dentry_open" },
	{ 0xe41eba1a, "filp_close" },
	{ 0x5f3d7ef3, "svc_xprt_destroy_all" },
	{ 0x38599ef5, "inc_nlink" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x9f95701f, "seq_write" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x37dbef84, "remove_proc_entry" },
	{ 0xd6aa15e9, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x9e8cfa67, "list_lru_walk_one" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1e6e42ed, "svc_find_xprt" },
	{ 0x49dcbd2c, "seq_printf" },
	{ 0xebbb3f7f, "svc_proc_unregister" },
	{ 0x78c919bc, "dput" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x101529e2, "rpc_init_wait_queue" },
	{ 0x57c6816b, "gss_mech_put" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8d655d05, "touch_atime" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x1fffc9f2, "exportfs_decode_fh_raw" },
	{ 0xd7f09234, "vfs_clone_file_range" },
	{ 0xc01c799a, "svc_addsock" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x2e1c9d0c, "lookup_one_len_unlocked" },
	{ 0x56fae732, "gss_mech_get" },
	{ 0x67fd397, "svc_fill_write_vector" },
	{ 0x4c793588, "vfs_kern_mount" },
	{ 0x8c985ae3, "vfs_llseek" },
	{ 0x2158153, "simple_recursive_removal" },
	{ 0x654097c, "locks_free_lease" },
	{ 0x2e4ecff7, "__put_user_ns" },
	{ 0x1ac17fc1, "rpc_unlink" },
	{ 0xb9c0be6f, "sunrpc_cache_pipe_upcall" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x2feb55a, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x6b4f0c1b, "svc_print_addr" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x6ae4732b, "vfs_link" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x364339b6, "svc_pool_stats_open" },
	{ 0xf1307bf8, "groups_sort" },
	{ 0x7e8af200, "seq_open" },
	{ 0xe92165a2, "dget_parent" },
	{ 0x9311894c, "genl_unregister_family" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x61581777, "from_kuid_munged" },
	{ 0xf3dcf0a9, "prepare_kernel_cred" },
	{ 0xcfecd74e, "write_bytes_to_xdr_buf" },
	{ 0x8fafd837, "rpc_call_async" },
	{ 0xfee4d172, "list_lru_del_obj" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x82da59ba, "cache_destroy_net" },
	{ 0xe152af14, "locks_delete_block" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x91f1ec5d, "bpf_trace_run7" },
	{ 0xb9ced76f, "locks_start_grace" },
	{ 0xb6f1adde, "param_ops_int" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0x3f839b81, "inode_permission" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe5c60bd2, "percpu_counter_set" },
	{ 0xac15c4a5, "setattr_should_drop_sgid" },
	{ 0x3c55d1d, "mntget" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xd473249a, "single_open" },
	{ 0x38922b95, "lease_get_mtime" },
	{ 0x55da6574, "__mnt_is_readonly" },
	{ 0x319d219b, "crypto_alloc_shash" },
	{ 0x5e324c2f, "svc_xprt_close" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0x6bc7aa44, "genl_register_family" },
	{ 0xd371b0df, "vcalloc_noprof" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xf20ce0a3, "xdr_stream_pos" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0x527db718, "svc_xprt_create" },
	{ 0x6ff41911, "sunrpc_cache_update" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf4a46fc0, "svc_auth_flavor" },
	{ 0xf0ae2cff, "xdr_truncate_encode" },
	{ 0xf9a482f9, "msleep" },
	{ 0xec49ba3, "locks_free_lock" },
	{ 0x78c7fe09, "fsnotify_add_mark" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa49d86c6, "set_groups" },
	{ 0x5b2a5b3, "rpc_destroy_wait_queue" },
	{ 0xf045c6bd, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x15a0992d, "auth_domain_put" },
	{ 0x68af9b28, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd5adfe16, "d_path" },
	{ 0x3da7f70, "svcauth_gss_flavor" },
	{ 0x675aedf0, "vfs_create" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x2bd99ffb, "svc_find_listener" },
	{ 0xef464c28, "getboottime64" },
	{ 0x861e5923, "svc_generic_rpcbind_set" },
	{ 0x2dc52ead, "svc_wake_up" },
	{ 0x9cbde0a0, "nlmsvc_unlock_all_by_ip" },
	{ 0x5e7c5c42, "seq_path" },
	{ 0x8df82a4c, "trace_print_array_seq" },
	{ 0xf21d4d0d, "vfs_fsync_range" },
	{ 0x390bcb3, "shrinker_alloc" },
	{ 0xbaeb40ad, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x59d24db0, "vfs_listxattr" },
	{ 0xeaf48a9d, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x2ed51cd1, "opens_in_grace" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf7b56de3, "notify_change" },
	{ 0x19525f9b, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x20978fb9, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf9390eeb, "simple_dir_inode_operations" },
	{ 0xf2b6f709, "vfs_getattr" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd0e29810, "xdr_write_pages" },
	{ 0xd462e88e, "rpc_shutdown_client" },
	{ 0x5c561af3, "vfs_rename" },
	{ 0x12a8b6b2, "svc_bind" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xbaf6850c, "fsnotify_wait_marks_destroyed" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x12cabc89, "siphash_2u64" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0x88bd7d0a, "proc_create" },
	{ 0x99975aee, "lookup_one_len" },
	{ 0xe86f2c5e, "auth_domain_find" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xd6d4cadc, "__break_lease" },
	{ 0x327198f7, "new_inode" },
	{ 0xc43e41a2, "svc_recv" },
	{ 0xd2b31b50, "crypto_shash_tfm_digest" },
	{ 0x6b2eec32, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xf0938f68, "xdr_inline_decode" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5c71966f, "cache_create_net" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xf29168f5, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xb51a3724, "rpc_pipefs_notifier_unregister" },
	{ 0x3e07667b, "nlmsvc_unlock_all_by_sb" },
	{ 0xd55cb078, "unregister_filesystem" },
	{ 0x60714e08, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x1fe1e1ad, "locks_end_grace" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x45a25ee5, "locks_owner_has_blockers" },
	{ 0x96a55fda, "list_lru_destroy" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x99ced18e, "iterate_dir" },
	{ 0xd76f4148, "read_bytes_from_xdr_buf" },
	{ 0x3b412070, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6666c963, "d_alloc_name" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2dd6c781, "lockd_down" },
	{ 0xf8ff267, "get_tree_keyed" },
	{ 0x44e2d7ee, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x504a30f, "lockd_up" },
	{ 0xbe1d578f, "abort_creds" },
	{ 0x81606be5, "simple_fill_super" },
	{ 0x5dc1d2aa, "security_file_post_open" },
	{ 0x932ef8ff, "svc_reserve" },
	{ 0x8ee12a49, "sunrpc_cache_lookup_rcu" },
	{ 0x92609aae, "fsnotify" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x8bc110ab, "kthread_func" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xe8dac09f, "cache_seq_next_rcu" },
	{ 0xf117c62d, "current_time" },
	{ 0xb10d5e3a, "genlmsg_put" },
	{ 0x481a8a88, "fsnotify_put_mark" },
	{ 0xfe3fefd1, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3044b935, "ihold" },
	{ 0xe754f0b3, "follow_up" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x844546d9, "simple_transaction_get" },
	{ 0x2722b082, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x52f4b6cf, "svc_max_payload" },
	{ 0xaa5dcc8e, "vfs_test_lock" },
	{ 0x11a0ce71, "svc_exit_thread" },
	{ 0x3c97b847, "iput" },
	{ 0xe943b4fc, "pcpu_hot" },
	{ 0x80994a6e, "seq_lseek" },
	{ 0xa7826e11, "follow_down" },
	{ 0xe9c70f1, "rpc_pton" },
	{ 0xbbcec0b7, "groups_alloc" },
	{ 0x7110b5c0, "rpc_wake_up_queued_task" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0x37dc0259, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x503ce048, "rpc_restart_call_prepare" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x442ddb93, "security_inode_setsecctx" },
	{ 0xd98aeda, "__xdr_commit_encode" },
	{ 0x10312ef0, "kthread_data" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x777f792c, "register_filesystem" },
	{ 0x5ee2aa12, "list_lru_count_node" },
	{ 0xdeb1893e, "kmem_cache_create" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xdb3ba212, "vfs_unlink" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb3638a37, "sync_inode_metadata" },
	{ 0x9e76eb45, "simple_transaction_set" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x5818fe3c, "posix_acl_from_mode" },
	{ 0x9493fc86, "node_states" },
	{ 0xaea8fbd3, "path_put" },
	{ 0x512475fa, "rpc_sleep_on" },
	{ 0x91f092a5, "svc_encode_result_payload" },
	{ 0x8e5d96f7, "vfs_copy_file_range" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x39e2352, "rpc_put_sb_net" },
	{ 0xce09e9cc, "__put_cred" },
	{ 0x576431ca, "register_pernet_subsys" },
	{ 0xe581fbd8, "locks_in_grace" },
	{ 0x1e6b5ac4, "wake_up_process" },
	{ 0x7a0892f7, "vfs_mkdir" },
	{ 0xeff48b10, "shrinker_free" },
	{ 0x7f1be59d, "svc_proc_register" },
	{ 0x6307af89, "trace_event_buffer_commit" },
	{ 0xb678366f, "int_sqrt" },
	{ 0xb63f9e50, "vfs_statfs" },
	{ 0x7fd9aac3, "crypto_destroy_tfm" },
	{ 0x982e0c47, "simple_inode_init_ts" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x985453e1, "lease_unregister_notifier" },
	{ 0xb0a21722, "list_lru_walk_node" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x78c259b1, "cache_purge" },
	{ 0x6419d561, "fsnotify_alloc_group" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd9eaccf9, "vfs_iter_read" },
	{ 0x48d6f6c0, "vfs_fallocate" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x798ee4eb, "__fput_sync" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x52d165a7, "make_kuid" },
	{ 0x4127070e, "locks_release_private" },
	{ 0x9bc6cd2e, "mnt_want_write" },
	{ 0xaf2f7472, "simple_dir_operations" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x3ef9ee09, "cache_seq_stop_rcu" },
	{ 0xa05af922, "__alloc_skb" },
	{ 0x65feb3a, "shrinker_register" },
	{ 0x2f3cee5f, "locks_init_lock" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x3f90b22f, "const_pcpu_hot" },
	{ 0xfa1df97c, "rpc_destroy_pipe_data" },
	{ 0xf55e6cfa, "cache_seq_start_rcu" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbf9d1b96, "nfsd_debug" },
	{ 0x387e1639, "rpc_pipefs_notifier_register" },
	{ 0x716a5f9f, "get_inode_acl" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x7c51664e, "init_task" },
	{ 0xe12798e1, "xdr_init_encode_pages" },
	{ 0xc64de4a4, "rpc_pipe_generic_upcall" },
	{ 0xb570e29f, "module_put" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x8887f41e, "mntput" },
	{ 0x76732943, "simple_transaction_release" },
	{ 0xf67b85b8, "svc_xprt_put" },
	{ 0xe390e9de, "__fsnotify_parent" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x31fbeac7, "security_inode_getsecctx" },
	{ 0xf6eccb65, "cache_unregister_net" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xedcf6be4, "qword_add" },
	{ 0x31ebc8ee, "sunrpc_get_pool_mode" },
	{ 0x9927b5bb, "seq_escape_mem" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x1de02a7e, "prepare_creds" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6ddb8194, "lease_modify" },
	{ 0x509ac988, "svc_age_temp_xprts_now" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xbf0f2609, "vfs_get_link" },
	{ 0xf4be0c89, "perf_trace_run_bpf_submit" },
	{ 0xca902ba8, "svc_rqst_replace_page" },
	{ 0xce92f655, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0x6253c4ae, "rpc_machine_cred" },
	{ 0x7eafd821, "nfs_stream_encode_acl" },
	{ 0xce807a25, "up_write" },
	{ 0x1206bea8, "exportfs_encode_fh" },
	{ 0xa9984ee8, "kernel_setlease" },
	{ 0xc8741d4f, "simple_symlink_inode_operations" },
	{ 0x8339c3a3, "svc_set_num_threads" },
	{ 0x4d861a28, "svc_rpcb_cleanup" },
	{ 0x16d71334, "unix_domain_find" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1ec6749c, "__splice_from_pipe" },
	{ 0xd6fa4e5a, "sk_skb_reason_drop" },
	{ 0xba70b453, "rpc_peeraddr2str" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0x1c5111ab, "netlink_unicast" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0x9e320386, "locks_init_lease" },
	{ 0x4071b517, "out_of_line_wait_on_bit_timeout" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0xf6c316cf, "bpf_trace_run5" },
	{ 0x1d81c1c0, "rpc_d_lookup_sb" },
	{ 0xa02cb91, "fsnotify_init_mark" },
	{ 0x954f099c, "idr_preload" },
	{ 0xb163c735, "svc_create_pooled" },
	{ 0x62f6bc81, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xefa9bf2a, "xdr_reserve_space_vec" },
	{ 0xccf0059e, "lock_rename" },
	{ 0xee1ea04c, "kmem_cache_free" },
	{ 0x3d31f427, "__vfs_setxattr_locked" },
	{ 0xf849915, "svc_fill_symlink_pathname" },
	{ 0x9b496b21, "posix_acl_alloc" },
	{ 0x5a921311, "strncmp" },
	{ 0x4d999d44, "xdr_stream_subsegment" },
	{ 0xd2e4d2c4, "seq_putc" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0xe32dc772, "from_kgid" },
	{ 0xc45d7345, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1b10f029, "vfs_getxattr" },
	{ 0x70054f94, "iov_iter_kvec" },
	{ 0x782152a8, "rw_verify_area" },
	{ 0xcf604fb0, "locks_alloc_lease" },
	{ 0xbebd8e1a, "list_lru_add_obj" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x8d42c62, "fsnotify_destroy_mark" },
	{ 0x3f9a2b0b, "rpcauth_get_gssinfo" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x8bb6fd09, "simple_transaction_read" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5fb808cf, "__audit_inode_child" },
	{ 0x295bc52c, "xdr_restrict_buflen" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xca0fd971, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9fc16032, "set_posix_acl" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xabcbeaaf, "rpc_create" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0x30a48e87, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xb0e68395, "rpc_call_start" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb07abe2, "unshare_fs_struct" },
	{ 0x8b4b9136, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xc28ad879, "svcauth_unix_purge" },
	{ 0x5f02db84, "default_llseek" },
	{ 0x3de26c1, "kill_litter_super" },
	{ 0xf4a41df2, "locks_alloc_lock" },
	{ 0x70dbca2b, "proc_mkdir" },
	{ 0x656c0b1f, "from_kuid" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x39b0c0e2, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x5eea4383, "rpc_queue_upcall" },
	{ 0x9b1fd079, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,auth_rpcgss,nfs_acl,lockd,grace");


MODULE_INFO(srcversion, "6492418AA737AE80FA443E9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
