#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(register_atm_ioctl, "", "");
KSYMTAB_FUNC(deregister_atm_ioctl, "", "");
KSYMTAB_DATA(vcc_hash, "", "");
KSYMTAB_DATA(vcc_sklist_lock, "", "");
KSYMTAB_FUNC(vcc_insert_socket, "", "");
KSYMTAB_FUNC(vcc_release_async, "", "");
KSYMTAB_FUNC(vcc_process_recv_queue, "", "");
KSYMTAB_FUNC(atm_dev_signal_change, "", "");
KSYMTAB_FUNC(atm_dev_release_vccs, "", "");
KSYMTAB_FUNC(register_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(unregister_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(atm_charge, "", "");
KSYMTAB_FUNC(atm_alloc_charge, "", "");
KSYMTAB_FUNC(atm_pcr_goal, "", "");
KSYMTAB_FUNC(sonet_copy_stats, "", "");
KSYMTAB_FUNC(sonet_subtract_stats, "", "");
KSYMTAB_FUNC(atm_init_aal5, "", "");
KSYMTAB_FUNC(atm_dev_lookup, "", "");
KSYMTAB_FUNC(atm_dev_register, "", "");
KSYMTAB_FUNC(atm_dev_deregister, "", "");
KSYMTAB_DATA(atm_proc_root, "", "");

SYMBOL_CRC(register_atm_ioctl, 0x57557803, "");
SYMBOL_CRC(deregister_atm_ioctl, 0xc341aa1c, "");
SYMBOL_CRC(vcc_hash, 0x2cc2d52d, "");
SYMBOL_CRC(vcc_sklist_lock, 0x44c6e633, "");
SYMBOL_CRC(vcc_insert_socket, 0x2244db82, "");
SYMBOL_CRC(vcc_release_async, 0x468c942e, "");
SYMBOL_CRC(vcc_process_recv_queue, 0x892248be, "");
SYMBOL_CRC(atm_dev_signal_change, 0x4ce385b5, "");
SYMBOL_CRC(atm_dev_release_vccs, 0x424c9f04, "");
SYMBOL_CRC(register_atmdevice_notifier, 0xb09faf79, "_gpl");
SYMBOL_CRC(unregister_atmdevice_notifier, 0xcfb6a3da, "_gpl");
SYMBOL_CRC(atm_charge, 0x93be0d8e, "");
SYMBOL_CRC(atm_alloc_charge, 0xe9c3c394, "");
SYMBOL_CRC(atm_pcr_goal, 0xf49bc67a, "");
SYMBOL_CRC(sonet_copy_stats, 0xaa024146, "");
SYMBOL_CRC(sonet_subtract_stats, 0x9feaf287, "");
SYMBOL_CRC(atm_init_aal5, 0x84743c34, "");
SYMBOL_CRC(atm_dev_lookup, 0x239ce03a, "");
SYMBOL_CRC(atm_dev_register, 0xa5c84e52, "");
SYMBOL_CRC(atm_dev_deregister, 0x08547d14, "");
SYMBOL_CRC(atm_proc_root, 0x4443d399, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1000e51, "schedule" },
	{ 0xe64797f8, "sock_register" },
	{ 0x9af0889d, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xaeb2b49b, "put_device" },
	{ 0xa05af922, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x3f90b22f, "const_pcpu_hot" },
	{ 0xe6bf55c9, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe180cd47, "skb_queue_tail" },
	{ 0xb570e29f, "module_put" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x62560195, "device_create_file" },
	{ 0x8e133eef, "init_net" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd6fa4e5a, "sk_skb_reason_drop" },
	{ 0x431490cb, "noop_llseek" },
	{ 0x7d221140, "sk_free" },
	{ 0x47063e3a, "sock_wake_async" },
	{ 0xb2a2bd2c, "sock_no_accept" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x621c8b93, "sock_no_listen" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xd2e4d2c4, "seq_putc" },
	{ 0x34af2b14, "class_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x466247d3, "lock_sock_nested" },
	{ 0xe713e272, "skb_copy_datagram_iter" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe6ead86a, "sk_alloc" },
	{ 0xad913aa5, "device_register" },
	{ 0x35d5a645, "device_del" },
	{ 0x9f76baf4, "_raw_write_unlock_irq" },
	{ 0x12a1abf4, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x76b0b83e, "sock_no_mmap" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9c55bdf0, "skb_recv_datagram" },
	{ 0x9f95701f, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x37dbef84, "remove_proc_entry" },
	{ 0xd6aa15e9, "__kmalloc_cache_noprof" },
	{ 0x49dcbd2c, "seq_printf" },
	{ 0xd1b6ce54, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xa4e14faf, "sock_gettstamp" },
	{ 0x612bba96, "_proc_mkdir" },
	{ 0x74264b96, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x96587aac, "__seq_puts" },
	{ 0x754d539c, "strlen" },
	{ 0xb5f0b884, "dev_kfree_skb_any_reason" },
	{ 0xdc6a94a6, "iov_iter_revert" },
	{ 0xa279a29d, "proc_create_seq_private" },
	{ 0xe8e6d53d, "class_register" },
	{ 0xf03816c1, "sock_init_data" },
	{ 0xf045c6bd, "kmalloc_caches" },
	{ 0xa5d2cfd2, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x1349300f, "release_sock" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x4d2f78b8, "skb_free_datagram" },
	{ 0xbaeb40ad, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x63b1707e, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd1b0bc41, "dev_set_name" },
	{ 0x6a5153b8, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xa2b86dc0, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x37a0cba, "kfree" },
	{ 0xa7492c0f, "proc_create_data" },
	{ 0x61a7ff6c, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3aca0190, "_raw_write_lock_irq" },
	{ 0x2d9e9ea5, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xc8ed4aa5, "proto_unregister" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x9b1fd079, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2B146EF15E7BB381AD1AAC1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
