#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(fanout_mutex, "_gpl", "");

SYMBOL_CRC(fanout_mutex, 0xdf448d1c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x971b6eb4, "nf_hook_slow" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbd9aa0c8, "skb_push" },
	{ 0xe891fd65, "skb_copy_bits" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x470ce95d, "__skb_get_hash_net" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb6210e42, "__dev_remove_pack" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2d9e9ea5, "skb_queue_purge_reason" },
	{ 0x92997ed8, "_printk" },
	{ 0xd551895b, "sock_i_ino" },
	{ 0xfa955588, "sock_i_uid" },
	{ 0x61581777, "from_kuid_munged" },
	{ 0x49dcbd2c, "seq_printf" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0xe943b4fc, "pcpu_hot" },
	{ 0x49bc4fd9, "__dev_direct_xmit" },
	{ 0xd89abef1, "__dev_queue_xmit" },
	{ 0x70a5c4b3, "netdev_pick_tx" },
	{ 0xd6fa4e5a, "sk_skb_reason_drop" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa6257a2f, "complete" },
	{ 0x264e85be, "sock_wfree" },
	{ 0x76c15045, "dev_add_pack" },
	{ 0x466247d3, "lock_sock_nested" },
	{ 0x74fb0232, "dev_get_by_name_rcu" },
	{ 0x1349300f, "release_sock" },
	{ 0xbef142a1, "sk_error_report" },
	{ 0xfe63ca2f, "ns_capable" },
	{ 0xe6ead86a, "sk_alloc" },
	{ 0xf03816c1, "sock_init_data" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x7d221140, "sk_free" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x20dbf27, "bitmap_alloc" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd1a271d1, "bpf_prog_destroy" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x869f601e, "__skb_flow_dissect" },
	{ 0xccc4dbd9, "__pskb_pull_tail" },
	{ 0x139ccd8a, "sock_queue_rcv_skb_reason" },
	{ 0xdd108f2b, "skb_clone" },
	{ 0x6a5153b8, "consume_skb" },
	{ 0xa1f2e338, "dst_release" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x32ef71e4, "skb_partial_csum_set" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x5dae8532, "sock_rfree" },
	{ 0x391df80a, "netstamp_needed_key" },
	{ 0xadd1b272, "___pskb_trim" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x13f7e9ad, "skb_pull" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe1dd8407, "sock_wmalloc" },
	{ 0x63b1707e, "skb_put" },
	{ 0xd1b6ce54, "_copy_from_iter" },
	{ 0xdc6a94a6, "iov_iter_revert" },
	{ 0x590183f, "sock_cmsg_send" },
	{ 0xc6cbbc89, "capable" },
	{ 0x437a0d6d, "__sock_tx_timestamp" },
	{ 0xfb578fc5, "memset" },
	{ 0x570d2f16, "sock_alloc_send_pskb" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x662487db, "iov_iter_advance" },
	{ 0xdcc74057, "skb_copy_datagram_from_iter" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x8460e6e9, "skb_store_bits" },
	{ 0x849cef97, "dev_get_by_index" },
	{ 0xd4576a78, "datagram_poll" },
	{ 0x9c55bdf0, "skb_recv_datagram" },
	{ 0xe713e272, "skb_copy_datagram_iter" },
	{ 0x9af0889d, "__sock_recv_cmsgs" },
	{ 0xaadf9ebf, "put_cmsg" },
	{ 0x4d2f78b8, "skb_free_datagram" },
	{ 0x6d8ae01b, "sock_recv_errqueue" },
	{ 0xe09bc7dc, "_copy_to_iter" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xdf523967, "ip_check_defrag" },
	{ 0xcc574741, "__skb_get_hash_symmetric_net" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe379e6c4, "bpf_prog_get_type_dev" },
	{ 0x6d09843f, "copy_bpf_fprog_from_user" },
	{ 0x327ad88b, "bpf_prog_create_from_user" },
	{ 0xf045c6bd, "kmalloc_caches" },
	{ 0xd6aa15e9, "__kmalloc_cache_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x2475e8c7, "sock_no_connect" },
	{ 0x12a1abf4, "sock_no_socketpair" },
	{ 0xb2a2bd2c, "sock_no_accept" },
	{ 0xa4e14faf, "sock_gettstamp" },
	{ 0x621c8b93, "sock_no_listen" },
	{ 0x6c7fcfce, "sock_no_shutdown" },
	{ 0x76b0b83e, "sock_no_mmap" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x576431ca, "register_pernet_subsys" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe6bf55c9, "proto_register" },
	{ 0xe64797f8, "sock_register" },
	{ 0xc8ed4aa5, "proto_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x39b0c0e2, "unregister_pernet_subsys" },
	{ 0x642f943b, "inet_dgram_ops" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xeb5f32c7, "dev_get_by_index_rcu" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x56470118, "__warn_printk" },
	{ 0x430f09f8, "dev_set_promiscuity" },
	{ 0xcdf38f4a, "dev_uc_add" },
	{ 0x9c44b898, "dev_set_allmulti" },
	{ 0xf718af6b, "dev_mc_add" },
	{ 0x414e2d60, "dev_mc_del" },
	{ 0x7ba50d41, "dev_uc_del" },
	{ 0x999e8297, "vfree" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x5c2b241a, "vm_insert_page" },
	{ 0x25be095, "vmalloc_to_page" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x37dbef84, "remove_proc_entry" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2b1486eb, "proc_create_net_data" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0x1e9edfb7, "seq_hlist_start_head_rcu" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x1bd5d618, "__dev_get_by_index" },
	{ 0xde0c1c94, "__ethtool_get_link_ksettings" },
	{ 0x9b1fd079, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E2FFB7AD4E00E470C481138");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
