#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt5670_jack_suspend, "_gpl", "");
KSYMTAB_FUNC(rt5670_jack_resume, "_gpl", "");
KSYMTAB_FUNC(rt5670_set_jack_detect, "_gpl", "");
KSYMTAB_FUNC(rt5670_sel_asrc_clk_src, "_gpl", "");
KSYMTAB_FUNC(rt5670_components, "_gpl", "");

SYMBOL_CRC(rt5670_jack_suspend, 0x855e98a3, "_gpl");
SYMBOL_CRC(rt5670_jack_resume, 0x4c7109ab, "_gpl");
SYMBOL_CRC(rt5670_set_jack_detect, 0xf7e93225, "_gpl");
SYMBOL_CRC(rt5670_sel_asrc_clk_src, 0xd683d344, "_gpl");
SYMBOL_CRC(rt5670_components, 0x2f5ee4db, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2a9ffdc4, "_dev_err" },
	{ 0x3cfeb8f6, "snd_soc_dapm_put_volsw" },
	{ 0x8d7fa148, "rl6231_get_pre_div" },
	{ 0xa51c770b, "_dev_warn" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0xf26736e1, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaf5332fc, "snd_soc_dapm_kcontrol_dapm" },
	{ 0x57e08235, "snd_soc_info_enum_double" },
	{ 0x11d80f0e, "snd_soc_get_volsw" },
	{ 0x17ec930a, "regmap_read" },
	{ 0xbc18558f, "snd_soc_put_volsw" },
	{ 0x5b6a6831, "snd_soc_component_update_bits" },
	{ 0x5acd6b4, "snd_soc_dapm_new_controls" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0x6d2cecba, "regmap_update_bits_base" },
	{ 0xd06e2afb, "snd_soc_dapm_get_volsw" },
	{ 0xa2c41cf1, "i2c_del_driver" },
	{ 0xa1b3a996, "regmap_register_patch" },
	{ 0x5ac639f0, "snd_soc_dapm_get_enum_double" },
	{ 0x906aec93, "__pm_runtime_disable" },
	{ 0x3060e392, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x5026963e, "snd_soc_dapm_put_enum_double" },
	{ 0x796262df, "regcache_cache_only" },
	{ 0xab5042a7, "regcache_sync" },
	{ 0x4c12af2d, "regmap_write" },
	{ 0x7f103df7, "param_ops_uint" },
	{ 0xe50bb142, "devm_kmalloc" },
	{ 0x74487c5a, "snd_soc_jack_free_gpios" },
	{ 0xda1ba81, "snd_soc_component_read" },
	{ 0x5dc92cdf, "rl6231_pll_calc" },
	{ 0x72cbb9da, "snd_soc_jack_add_gpios" },
	{ 0x30403a, "snd_soc_dapm_disable_pin" },
	{ 0x9ba839ca, "snd_soc_dapm_force_enable_pin" },
	{ 0xbc3f7c4e, "snd_soc_put_enum_double" },
	{ 0xcbfe68aa, "regcache_mark_dirty" },
	{ 0xee9124b3, "snd_soc_params_to_frame_size" },
	{ 0xf15ef131, "__dynamic_dev_dbg" },
	{ 0xdba4502f, "rl6231_calc_dmic_clk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbbc5b8fd, "snd_soc_component_write" },
	{ 0x67a20a7e, "snd_soc_dapm_sync" },
	{ 0x60e16d33, "devm_snd_soc_register_component" },
	{ 0x7b04c888, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4df39bca, "pm_runtime_enable" },
	{ 0xbc9d4c6c, "snd_soc_get_enum_double" },
	{ 0x8861636e, "_dev_info" },
	{ 0x6a6102d7, "i2c_register_driver" },
	{ 0x4bb9b0ce, "snd_soc_info_volsw" },
	{ 0x9b1fd079, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-rl6231,snd-pcm");

MODULE_ALIAS("i2c:rt5670");
MODULE_ALIAS("i2c:rt5671");
MODULE_ALIAS("i2c:rt5672");
MODULE_ALIAS("acpi*:10EC5670:*");
MODULE_ALIAS("acpi*:10EC5672:*");
MODULE_ALIAS("acpi*:10EC5640:*");

MODULE_INFO(srcversion, "755EA7EF14DC7AB16DDD255");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
